import { SectionTypes } from "@sc/modules/v2/Properties/types";
import { IComponentSettings, ComponentTypes } from "../types";
import theme from "@sc/components/ui/theme";

const settings: IComponentSettings = {
  id: ComponentTypes.NEWWEBCOMPONENT,
  name: "Testing",
  description: "",
  thumbnail: {
    style: {
      background:
        theme.altColor[Math.floor(Math.random() * theme.altColor.length)],
      color: `rgb(255,255,255,0.85)`,
      fontFamily: "Roboto",
      fontSize: "8pt",
      textAlign: "center",
      paddingTop: 15,
    },
    icon: "dns",
  },
  default: {
    type: ComponentTypes.NEWWEBCOMPONENT,
    myCustomProperty: {
      backgroundColor: "green",
    },
    properties: {
      width: "100%",
    },
  },
  properties: {
    main: {
      sections: [
        {
          type: SectionTypes.COLORPICKER,
          sectionWrap: true,
          settings: {
            label: "Custom Bar Color",
            icon: "colorize",
          },
        },
        {
          type: SectionTypes.POSITION,
          sectionWrap: true,
          settings: {
            label: "New Component Position",
            icon: "swap_vert",
          },
        },
      ],
    },
  },
};

export default settings;
