import React, { useEffect, useState } from "react";
import { IKanbanProps } from "./types";
import Kanban from "./Kanban";

export default (props: IKanbanProps) => {
  const [data, setData] = useState(props.data);

  useEffect(() => {
    setData(props.data);
  }, [props.data]);

  const readOnly = !!props.readOnly;
  const canAddList = !!props.canAddList;
  const canAddCard = !!props.canAddCard;

  return (
    <Kanban
      title={props.title}
      data={data}
      readOnly={readOnly}
      canAddList={canAddList}
      canAddCard={canAddCard}
      titleComponent={props.titleComponent}
      cardComponent={props.cardComponent}
      onChange={props.onChange}
      onDrag={props.onDrag}
      onDrop={props.onDrop}
      onCardIsDragging={props.onCardIsDragging}
      onCardCreate={props.onCardCreate}
      onCardChange={props.onCardChange}
      onCardDelete={props.onCardDelete}
      onListIsDragging={props.onListIsDragging}
      onListChange={props.onListChange}
      onListCreate={props.onListCreate}
      onListDelete={props.onListDelete}
    />
  );
};
