import {
  IKanbanListObject,
  IKanbanWebListObject,
  IKanbanWebListObjectDS,
} from "./types";

export const parseListToLibraryDataStructure = (
  list: IKanbanListObject
): IKanbanWebListObject => {
  return {
    id: list.id,
    title: list.name,
    cards: list.cards.map((card) => {
      return {
        id: card.id,
        title: card.name,
        description: card.description,
      };
    }),
  };
};

export const parseLibraryToListDataStructure = (
  list: IKanbanWebListObject
): IKanbanListObject => {
  return {
    id: list.id,
    name: list.title,
    cards: list.cards.map((card) => {
      return {
        id: card.id,
        name: card.title,
        description: card.description,
      };
    }),
  };
};

export const parseDataToLibraryDataStructure = (
  data: Array<IKanbanListObject>
): IKanbanWebListObjectDS => {
  return {
    columns: data.map((list) => parseListToLibraryDataStructure(list)),
  };
};
