import { triggerHook } from "@sc/plugins";
import React from "react";
import { DndProvider } from "react-dnd";
import HTML5Backend from "react-dnd-html5-backend";
import settings from "./config";
import Routes from "./routes";
import "./style.css";
class App extends React.Component {
  componentDidMount() {
    triggerHook("onComponentRender", { id: "appDidLoad" });
  }

  render() {
    return (
      <DndProvider backend={HTML5Backend}>
        <Routes settings={settings} />
      </DndProvider>
    );
  }
}

export default App;
