// Generate db types
import * as _ from "lodash";
import * as fs from "fs-extra";

import { getRelativePath, getRelativeProjectPath } from "../../lib/files";

import { generateDatabaseTypes } from "./generators/db";

export const generateDb = (content: any, outputPath: any) => {
  const { database } = content;

  const templateFolder: string = getRelativeProjectPath(
    "./src/commands/scaffold/templates"
  );
  const dbFolder: string = getRelativePath(outputPath) + "/db";

  // create a db folder
  fs.ensureDir(dbFolder);

  generateDatabaseTypes({ database, templateFolder, dbFolder });

  return content;
};
