import * as _ from "lodash";
import * as fs from "fs-extra";

export const generateClassMDX = (data: any) => {
  const { api, apiFolder, templateFolder } = data;

  //   loop over array of components
  _.forEach(api, apiClass => {
    const { name, description } = apiClass;

    //   loop through it and pass in name & description

    fs.readFile(
      `${templateFolder}/api/class.template/class.mdx.template`,
      "utf8",
      (err, data) => {
        if (err) return console.error(err);

        //   pass [name] & [it_block] to Component.test.ts.template
        const IndexTestTs = _.template(data)({
          name,
          description: description || "TODO: Enter a description here"
        });

        //   save result to {outFolder}/api/{[Name]}/[Name].mdx
        fs.outputFile(`${apiFolder}/${name}/${name}.mdx`, IndexTestTs);
      }
    );
  });
};
