#!/usr/bin/env ts-node

import * as _ from "lodash";

import {
  grabCommandFromArguments,
  grabInputArguments,
  showHelpScreen,
  showVersion
} from "./scripts";

import { scaffold } from "./commands";

const clear = require("clear");

const command: string = grabCommandFromArguments(2);
const options = grabInputArguments();

const runDefault = () => {
  // Show Help Screen
  if (_.has(options, "help") || _.has(options, "h")) {
    showHelpScreen();
    process.exit(1);
  } else if (
    _.has(options, "version") ||
    _.has(options, "V") ||
    _.has(options, "v")
  ) {
    showVersion();
    process.exit(1);
  } else {
    showHelpScreen();
  }
};

// Scaffolds feature
switch (command) {
  case "scaffold":
    scaffold();
    break;
  case "help":
    clear();
    showHelpScreen();
    process.exit(1);
    break;
  default:
    runDefault();
    process.exit(1);
}
