import * as fs from "fs-extra";
import * as path from "path";

// export const getCurrentDirectoryBase = () => path.basename(process.cwd());

export const getRelativePath = (filePath: string) => {
  return path.join(process.cwd(), filePath);
};

export const getRelativeProjectPath = (filePath: string) => {
  // return path.join(process.cwd(), filePath);
  return path.join(__dirname, '../../', filePath)
};

export const directoryExists = (filePath: string) => {
  try {
    return fs.statSync(path.join(process.cwd(), filePath)).isDirectory();
  } catch (err) {
    return false;
  }
};

export const getFileContents = async (filePath: string, callbackFn: any) => {
  fs.readFile(filePath, "utf8", (err: any, data: any) => {
    callbackFn(err, data);
  });
};

export const writeMyFile = (
  filePath: string,
  content: string,
  callbackFn: any
) => {
  fs.writeFile(filePath, content, (err: any) => {
    if (err) callbackFn(err);
    callbackFn({ success: true });
  });
};
