// import * as chalk from "chalk";
import * as _ from "lodash";

import { showWelcomeHeader } from "./showWelcomeHeader";
import scaffoldHelper from "../commands/scaffold/help";
import starterHelper from "../commands/starter/help";

const chalk = require("chalk");

// const myChalk: any = chalk;

const clear = require("clear");

const commands: any[] = [scaffoldHelper, starterHelper];

const drawHelpScreen = (focusOn?: string | boolean) => {
  const header = `
  Usage: sc [command] [options]
  
  -V, --version                             Output the version number
  -h, --help                                Output usage information

  Commands`;

  const commandString = _.join(
    _.map(commands, (command: any) => {
      if (focusOn === command.name) {
        return chalk.green(`
    ${command.name}                                ${command.description}
      ${command.options}`);
      } else {
        return `
    ${command.name}                                ${command.description}`;
      }
    }),
    ""
  );

  return `

  ${header}
  ${commandString}
  
  `;
};

export const showHelpScreen = (command: string | boolean = false) => {
  clear();
  console.log("");

  showWelcomeHeader();

  console.log(drawHelpScreen(command));
};
