## How create a new app

1. `npx create-react-app appname --template typescript`
2. `yarn add @sc/api @sc/components @sc/modules @sc/plugins`
3. `yarn add -D customize-cra react-app-rewired`
4. open `package.json` and make following changes...
   ```
   "name": "@sc/appname",
   "scripts": {
      "clean": "rm -rf node_modules build",
      "start": "react-app-rewired start",
      "build": "react-app-rewired build",
      "test": "CI=true react-app-rewired test",
      "eject": "react-scripts eject"
   }
   ```
5. create a file called `config-overrides.js` and set its content to

   ```
    const { override, babelInclude, addBundleVisualizer } = require('customize-cra')
    const path = require('path')

    module.exports = override(
      process.env.BUNDLE_VISUALIZE && addBundleVisualizer(),
      babelInclude([
        path.resolve('./'),
        path.resolve('../../plugins'),
        path.resolve('../../platform'),
      ]),
    )
   ```

6. create a file called `.env` and set its content to
   ```
    SKIP_PREFLIGHT_CHECK=true
   ```
