import gql from "graphql-tag";

export const getCampaign = gql`
  query getCampaign($id: ID!, $userId: ID!) {
    campaigns(where: { id: $id, user: { id: $userId } }) {
      id
      type
      deleted
      name
      screenshot
      createdAt
      scriptTags
      domain {
        id
        name
      }
      objects {
        id
        name
        deleted
        x
        y
        width
        height
        type
        screenshot
        connectTo {
          id
        }
        page {
          id
          name
          slug
          type
          screenshot
          content
          pageSettings
          homePageForDomain {
            id
          }
          errorPageForDomain {
            id
          }
        }
        settings
      }
    }
  }
`;

export const publishCampaign = gql`
  mutation publishCampaign(
    $campaignId: ID!
    $objects: Json!
    $trackingPayload: String!
    $launchDate: DateTime
    $type: String
    $parentDomain: String!
    $cloudfrontDistribution: String
  ) {
    publishCampaign(
      campaignId: $campaignId
      objects: $objects
      trackingPayload: $trackingPayload
      launchDate: $launchDate
      type: $type
      parentDomain: $parentDomain
      cloudfrontDistribution: $cloudfrontDistribution
    ) {
      webSiteUrl
      statusCode
    }
  }
`;

export const cloneCampaign = gql`
  mutation cloneCampaign($id: ID!, $userId: ID!, $name: String) {
    cloneCampaign(id: $id, userId: $userId, name: $name) {
      message
      response
      statusCode
    }
  }
`;
