import _ from 'lodash'
import express from 'express'
import { prisma } from "@sc/api/db/prisma/generated/prisma-client";

const catalogItems = express.Router()

// get catalogItems
catalogItems.get('/', async (req, res) => {
  const response = await prisma.catalogItems();
  res.send(response)
});

// get user
catalogItems.get('/:id', async (req, res) => {
  const { params } = req;
  const response = await prisma.catalogItem({ id: params.id });
  res.send(response)
});

// create new account
catalogItems.post('/create', async (req, res) => {
  const { body } = req;
  const response = await prisma.createCatalogItem(body);
  res.send(response)
});

// create new account
catalogItems.delete('/:id', async (req, res) => {
  const { params } = req;
  const response = await prisma.deleteCatalogItem({ id: params.id });
  res.send(response)
});

// update new account
catalogItems.post('/update/:id', async (req, res) => {
  const { body, params } = req;
  const response = await prisma.updateCatalogItem({ where: { id: params.id }, data: body });
  res.send(response)
});

export default catalogItems;
