import _ from 'lodash'
import express from 'express'
import { prisma } from "@sc/api/db/prisma/generated/prisma-client";

const mediaItems = express.Router()

// get mediaItems
mediaItems.get('/', async (req, res) => {
  const response = await prisma.mediaItems();
  res.send(response)
});

// get mediaItem
mediaItems.get('/:id', async (req, res) => {
  const { params } = req;
  const response = await prisma.mediaItem({ id: params.id });
  res.send(response)
});

// create new mediaItem
mediaItems.post('/create', async (req, res) => {
  const { body } = req;
  const response = await prisma.createMediaItem(body);
  res.send(response)
});

// create new mediaItem
mediaItems.delete('/:id', async (req, res) => {
  const { params } = req;
  const response = await prisma.deleteMediaItem({ id: params.id });
  res.send(response)
});

// update new mediaItem
mediaItems.post('/update/:id', async (req, res) => {
  const { body, params } = req;
  const response = await prisma.updateMediaItem({ where: { id: params.id }, data: body });
  res.send(response)
});

export default mediaItems;
