import _ from 'lodash'
import express from 'express'
import { prisma } from "@sc/api/db/prisma/generated/prisma-client";

const objects = express.Router()

// get objects
objects.get('/', async (req, res) => {
  const response = await prisma.objects();
  res.send(response)
});

// get object
objects.get('/:id', async (req, res) => {
  const { params } = req;
  const response = await prisma.object({ id: params.id });
  res.send(response)
});

// create new object
objects.post('/create', async (req, res) => {
  const { body } = req;
  const response = await prisma.createObject(body);
  res.send(response)
});

// create new object
objects.delete('/:id', async (req, res) => {
  const { params } = req;
  const response = await prisma.deleteObject({ id: params.id });
  res.send(response)
});

// update new object
objects.post('/update/:id', async (req, res) => {
  const { body, params } = req;
  const response = await prisma.updateObject({ where: { id: params.id }, data: body });
  res.send(response)
});

export default objects;
