module.exports = {
        typeDefs: // Code generated by Prisma (prisma@1.34.10). DO NOT EDIT.
  // Please don't change this file manually but run `prisma generate` to update it.
  // For more information, please read the docs: https://www.prisma.io/docs/prisma-client/

/* GraphQL */ `type AggregateApp {
  count: Int!
}

type AggregateCampaign {
  count: Int!
}

type AggregateCatalogItem {
  count: Int!
}

type AggregateDomain {
  count: Int!
}

type AggregateIntegration {
  count: Int!
}

type AggregateMediaItem {
  count: Int!
}

type AggregateObject {
  count: Int!
}

type AggregatePage {
  count: Int!
}

type AggregateUser {
  count: Int!
}

type App {
  id: ID!
  name: String!
  users(where: UserWhereInput, orderBy: UserOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [User!]
  host: String
  defaultDomain: String
  cloudfrontDistribution: String
  tags: Json
  configuration: Json
  status: AppStatus!
  createdAt: DateTime!
  updatedAt: DateTime!
}

type AppConnection {
  pageInfo: PageInfo!
  edges: [AppEdge]!
  aggregate: AggregateApp!
}

input AppCreateInput {
  id: ID
  name: String!
  users: UserCreateManyWithoutAppsInput
  host: String
  defaultDomain: String
  cloudfrontDistribution: String
  tags: Json
  configuration: Json
  status: AppStatus!
}

input AppCreateManyWithoutUsersInput {
  create: [AppCreateWithoutUsersInput!]
  connect: [AppWhereUniqueInput!]
}

input AppCreateWithoutUsersInput {
  id: ID
  name: String!
  host: String
  defaultDomain: String
  cloudfrontDistribution: String
  tags: Json
  configuration: Json
  status: AppStatus!
}

type AppEdge {
  node: App!
  cursor: String!
}

enum AppOrderByInput {
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  host_ASC
  host_DESC
  defaultDomain_ASC
  defaultDomain_DESC
  cloudfrontDistribution_ASC
  cloudfrontDistribution_DESC
  tags_ASC
  tags_DESC
  configuration_ASC
  configuration_DESC
  status_ASC
  status_DESC
  createdAt_ASC
  createdAt_DESC
  updatedAt_ASC
  updatedAt_DESC
}

type AppPreviousValues {
  id: ID!
  name: String!
  host: String
  defaultDomain: String
  cloudfrontDistribution: String
  tags: Json
  configuration: Json
  status: AppStatus!
  createdAt: DateTime!
  updatedAt: DateTime!
}

input AppScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  host: String
  host_not: String
  host_in: [String!]
  host_not_in: [String!]
  host_lt: String
  host_lte: String
  host_gt: String
  host_gte: String
  host_contains: String
  host_not_contains: String
  host_starts_with: String
  host_not_starts_with: String
  host_ends_with: String
  host_not_ends_with: String
  defaultDomain: String
  defaultDomain_not: String
  defaultDomain_in: [String!]
  defaultDomain_not_in: [String!]
  defaultDomain_lt: String
  defaultDomain_lte: String
  defaultDomain_gt: String
  defaultDomain_gte: String
  defaultDomain_contains: String
  defaultDomain_not_contains: String
  defaultDomain_starts_with: String
  defaultDomain_not_starts_with: String
  defaultDomain_ends_with: String
  defaultDomain_not_ends_with: String
  cloudfrontDistribution: String
  cloudfrontDistribution_not: String
  cloudfrontDistribution_in: [String!]
  cloudfrontDistribution_not_in: [String!]
  cloudfrontDistribution_lt: String
  cloudfrontDistribution_lte: String
  cloudfrontDistribution_gt: String
  cloudfrontDistribution_gte: String
  cloudfrontDistribution_contains: String
  cloudfrontDistribution_not_contains: String
  cloudfrontDistribution_starts_with: String
  cloudfrontDistribution_not_starts_with: String
  cloudfrontDistribution_ends_with: String
  cloudfrontDistribution_not_ends_with: String
  status: AppStatus
  status_not: AppStatus
  status_in: [AppStatus!]
  status_not_in: [AppStatus!]
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [AppScalarWhereInput!]
  OR: [AppScalarWhereInput!]
  NOT: [AppScalarWhereInput!]
}

enum AppStatus {
  ACTIVE
  INACTIVE
  PENDING
  SUSPENDED
}

type AppSubscriptionPayload {
  mutation: MutationType!
  node: App
  updatedFields: [String!]
  previousValues: AppPreviousValues
}

input AppSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: AppWhereInput
  AND: [AppSubscriptionWhereInput!]
  OR: [AppSubscriptionWhereInput!]
  NOT: [AppSubscriptionWhereInput!]
}

input AppUpdateInput {
  name: String
  users: UserUpdateManyWithoutAppsInput
  host: String
  defaultDomain: String
  cloudfrontDistribution: String
  tags: Json
  configuration: Json
  status: AppStatus
}

input AppUpdateManyDataInput {
  name: String
  host: String
  defaultDomain: String
  cloudfrontDistribution: String
  tags: Json
  configuration: Json
  status: AppStatus
}

input AppUpdateManyMutationInput {
  name: String
  host: String
  defaultDomain: String
  cloudfrontDistribution: String
  tags: Json
  configuration: Json
  status: AppStatus
}

input AppUpdateManyWithoutUsersInput {
  create: [AppCreateWithoutUsersInput!]
  delete: [AppWhereUniqueInput!]
  connect: [AppWhereUniqueInput!]
  set: [AppWhereUniqueInput!]
  disconnect: [AppWhereUniqueInput!]
  update: [AppUpdateWithWhereUniqueWithoutUsersInput!]
  upsert: [AppUpsertWithWhereUniqueWithoutUsersInput!]
  deleteMany: [AppScalarWhereInput!]
  updateMany: [AppUpdateManyWithWhereNestedInput!]
}

input AppUpdateManyWithWhereNestedInput {
  where: AppScalarWhereInput!
  data: AppUpdateManyDataInput!
}

input AppUpdateWithoutUsersDataInput {
  name: String
  host: String
  defaultDomain: String
  cloudfrontDistribution: String
  tags: Json
  configuration: Json
  status: AppStatus
}

input AppUpdateWithWhereUniqueWithoutUsersInput {
  where: AppWhereUniqueInput!
  data: AppUpdateWithoutUsersDataInput!
}

input AppUpsertWithWhereUniqueWithoutUsersInput {
  where: AppWhereUniqueInput!
  update: AppUpdateWithoutUsersDataInput!
  create: AppCreateWithoutUsersInput!
}

input AppWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  users_every: UserWhereInput
  users_some: UserWhereInput
  users_none: UserWhereInput
  host: String
  host_not: String
  host_in: [String!]
  host_not_in: [String!]
  host_lt: String
  host_lte: String
  host_gt: String
  host_gte: String
  host_contains: String
  host_not_contains: String
  host_starts_with: String
  host_not_starts_with: String
  host_ends_with: String
  host_not_ends_with: String
  defaultDomain: String
  defaultDomain_not: String
  defaultDomain_in: [String!]
  defaultDomain_not_in: [String!]
  defaultDomain_lt: String
  defaultDomain_lte: String
  defaultDomain_gt: String
  defaultDomain_gte: String
  defaultDomain_contains: String
  defaultDomain_not_contains: String
  defaultDomain_starts_with: String
  defaultDomain_not_starts_with: String
  defaultDomain_ends_with: String
  defaultDomain_not_ends_with: String
  cloudfrontDistribution: String
  cloudfrontDistribution_not: String
  cloudfrontDistribution_in: [String!]
  cloudfrontDistribution_not_in: [String!]
  cloudfrontDistribution_lt: String
  cloudfrontDistribution_lte: String
  cloudfrontDistribution_gt: String
  cloudfrontDistribution_gte: String
  cloudfrontDistribution_contains: String
  cloudfrontDistribution_not_contains: String
  cloudfrontDistribution_starts_with: String
  cloudfrontDistribution_not_starts_with: String
  cloudfrontDistribution_ends_with: String
  cloudfrontDistribution_not_ends_with: String
  status: AppStatus
  status_not: AppStatus
  status_in: [AppStatus!]
  status_not_in: [AppStatus!]
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [AppWhereInput!]
  OR: [AppWhereInput!]
  NOT: [AppWhereInput!]
}

input AppWhereUniqueInput {
  id: ID
}

type BatchPayload {
  count: Long!
}

type Campaign {
  createdAt: DateTime!
  deleted: Boolean
  id: ID!
  name: String!
  objects(where: ObjectWhereInput, orderBy: ObjectOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Object!]
  screenshot: String
  scriptTags: String
  type: String
  updatedAt: DateTime!
  user: User
  domain: Domain
  catalogItem: CatalogItem
  mediaItems(where: MediaItemWhereInput, orderBy: MediaItemOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [MediaItem!]
}

type CampaignConnection {
  pageInfo: PageInfo!
  edges: [CampaignEdge]!
  aggregate: AggregateCampaign!
}

input CampaignCreateInput {
  deleted: Boolean
  id: ID
  name: String!
  objects: ObjectCreateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  user: UserCreateOneWithoutCampaignsInput
  domain: DomainCreateOneWithoutCampaignInput
  catalogItem: CatalogItemCreateOneWithoutCampaignInput
  mediaItems: MediaItemCreateManyWithoutCampaignInput
}

input CampaignCreateManyWithoutDomainInput {
  create: [CampaignCreateWithoutDomainInput!]
  connect: [CampaignWhereUniqueInput!]
}

input CampaignCreateManyWithoutUserInput {
  create: [CampaignCreateWithoutUserInput!]
  connect: [CampaignWhereUniqueInput!]
}

input CampaignCreateOneWithoutCatalogItemInput {
  create: CampaignCreateWithoutCatalogItemInput
  connect: CampaignWhereUniqueInput
}

input CampaignCreateOneWithoutMediaItemsInput {
  create: CampaignCreateWithoutMediaItemsInput
  connect: CampaignWhereUniqueInput
}

input CampaignCreateOneWithoutObjectsInput {
  create: CampaignCreateWithoutObjectsInput
  connect: CampaignWhereUniqueInput
}

input CampaignCreateWithoutCatalogItemInput {
  deleted: Boolean
  id: ID
  name: String!
  objects: ObjectCreateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  user: UserCreateOneWithoutCampaignsInput
  domain: DomainCreateOneWithoutCampaignInput
  mediaItems: MediaItemCreateManyWithoutCampaignInput
}

input CampaignCreateWithoutDomainInput {
  deleted: Boolean
  id: ID
  name: String!
  objects: ObjectCreateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  user: UserCreateOneWithoutCampaignsInput
  catalogItem: CatalogItemCreateOneWithoutCampaignInput
  mediaItems: MediaItemCreateManyWithoutCampaignInput
}

input CampaignCreateWithoutMediaItemsInput {
  deleted: Boolean
  id: ID
  name: String!
  objects: ObjectCreateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  user: UserCreateOneWithoutCampaignsInput
  domain: DomainCreateOneWithoutCampaignInput
  catalogItem: CatalogItemCreateOneWithoutCampaignInput
}

input CampaignCreateWithoutObjectsInput {
  deleted: Boolean
  id: ID
  name: String!
  screenshot: String
  scriptTags: String
  type: String
  user: UserCreateOneWithoutCampaignsInput
  domain: DomainCreateOneWithoutCampaignInput
  catalogItem: CatalogItemCreateOneWithoutCampaignInput
  mediaItems: MediaItemCreateManyWithoutCampaignInput
}

input CampaignCreateWithoutUserInput {
  deleted: Boolean
  id: ID
  name: String!
  objects: ObjectCreateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  domain: DomainCreateOneWithoutCampaignInput
  catalogItem: CatalogItemCreateOneWithoutCampaignInput
  mediaItems: MediaItemCreateManyWithoutCampaignInput
}

type CampaignEdge {
  node: Campaign!
  cursor: String!
}

enum CampaignOrderByInput {
  createdAt_ASC
  createdAt_DESC
  deleted_ASC
  deleted_DESC
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  screenshot_ASC
  screenshot_DESC
  scriptTags_ASC
  scriptTags_DESC
  type_ASC
  type_DESC
  updatedAt_ASC
  updatedAt_DESC
}

type CampaignPreviousValues {
  createdAt: DateTime!
  deleted: Boolean
  id: ID!
  name: String!
  screenshot: String
  scriptTags: String
  type: String
  updatedAt: DateTime!
}

input CampaignScalarWhereInput {
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  deleted: Boolean
  deleted_not: Boolean
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  screenshot: String
  screenshot_not: String
  screenshot_in: [String!]
  screenshot_not_in: [String!]
  screenshot_lt: String
  screenshot_lte: String
  screenshot_gt: String
  screenshot_gte: String
  screenshot_contains: String
  screenshot_not_contains: String
  screenshot_starts_with: String
  screenshot_not_starts_with: String
  screenshot_ends_with: String
  screenshot_not_ends_with: String
  scriptTags: String
  scriptTags_not: String
  scriptTags_in: [String!]
  scriptTags_not_in: [String!]
  scriptTags_lt: String
  scriptTags_lte: String
  scriptTags_gt: String
  scriptTags_gte: String
  scriptTags_contains: String
  scriptTags_not_contains: String
  scriptTags_starts_with: String
  scriptTags_not_starts_with: String
  scriptTags_ends_with: String
  scriptTags_not_ends_with: String
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [CampaignScalarWhereInput!]
  OR: [CampaignScalarWhereInput!]
  NOT: [CampaignScalarWhereInput!]
}

type CampaignSubscriptionPayload {
  mutation: MutationType!
  node: Campaign
  updatedFields: [String!]
  previousValues: CampaignPreviousValues
}

input CampaignSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: CampaignWhereInput
  AND: [CampaignSubscriptionWhereInput!]
  OR: [CampaignSubscriptionWhereInput!]
  NOT: [CampaignSubscriptionWhereInput!]
}

input CampaignUpdateInput {
  deleted: Boolean
  name: String
  objects: ObjectUpdateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  user: UserUpdateOneWithoutCampaignsInput
  domain: DomainUpdateOneWithoutCampaignInput
  catalogItem: CatalogItemUpdateOneWithoutCampaignInput
  mediaItems: MediaItemUpdateManyWithoutCampaignInput
}

input CampaignUpdateManyDataInput {
  deleted: Boolean
  name: String
  screenshot: String
  scriptTags: String
  type: String
}

input CampaignUpdateManyMutationInput {
  deleted: Boolean
  name: String
  screenshot: String
  scriptTags: String
  type: String
}

input CampaignUpdateManyWithoutDomainInput {
  create: [CampaignCreateWithoutDomainInput!]
  delete: [CampaignWhereUniqueInput!]
  connect: [CampaignWhereUniqueInput!]
  set: [CampaignWhereUniqueInput!]
  disconnect: [CampaignWhereUniqueInput!]
  update: [CampaignUpdateWithWhereUniqueWithoutDomainInput!]
  upsert: [CampaignUpsertWithWhereUniqueWithoutDomainInput!]
  deleteMany: [CampaignScalarWhereInput!]
  updateMany: [CampaignUpdateManyWithWhereNestedInput!]
}

input CampaignUpdateManyWithoutUserInput {
  create: [CampaignCreateWithoutUserInput!]
  delete: [CampaignWhereUniqueInput!]
  connect: [CampaignWhereUniqueInput!]
  set: [CampaignWhereUniqueInput!]
  disconnect: [CampaignWhereUniqueInput!]
  update: [CampaignUpdateWithWhereUniqueWithoutUserInput!]
  upsert: [CampaignUpsertWithWhereUniqueWithoutUserInput!]
  deleteMany: [CampaignScalarWhereInput!]
  updateMany: [CampaignUpdateManyWithWhereNestedInput!]
}

input CampaignUpdateManyWithWhereNestedInput {
  where: CampaignScalarWhereInput!
  data: CampaignUpdateManyDataInput!
}

input CampaignUpdateOneWithoutCatalogItemInput {
  create: CampaignCreateWithoutCatalogItemInput
  update: CampaignUpdateWithoutCatalogItemDataInput
  upsert: CampaignUpsertWithoutCatalogItemInput
  delete: Boolean
  disconnect: Boolean
  connect: CampaignWhereUniqueInput
}

input CampaignUpdateOneWithoutMediaItemsInput {
  create: CampaignCreateWithoutMediaItemsInput
  update: CampaignUpdateWithoutMediaItemsDataInput
  upsert: CampaignUpsertWithoutMediaItemsInput
  delete: Boolean
  disconnect: Boolean
  connect: CampaignWhereUniqueInput
}

input CampaignUpdateOneWithoutObjectsInput {
  create: CampaignCreateWithoutObjectsInput
  update: CampaignUpdateWithoutObjectsDataInput
  upsert: CampaignUpsertWithoutObjectsInput
  delete: Boolean
  disconnect: Boolean
  connect: CampaignWhereUniqueInput
}

input CampaignUpdateWithoutCatalogItemDataInput {
  deleted: Boolean
  name: String
  objects: ObjectUpdateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  user: UserUpdateOneWithoutCampaignsInput
  domain: DomainUpdateOneWithoutCampaignInput
  mediaItems: MediaItemUpdateManyWithoutCampaignInput
}

input CampaignUpdateWithoutDomainDataInput {
  deleted: Boolean
  name: String
  objects: ObjectUpdateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  user: UserUpdateOneWithoutCampaignsInput
  catalogItem: CatalogItemUpdateOneWithoutCampaignInput
  mediaItems: MediaItemUpdateManyWithoutCampaignInput
}

input CampaignUpdateWithoutMediaItemsDataInput {
  deleted: Boolean
  name: String
  objects: ObjectUpdateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  user: UserUpdateOneWithoutCampaignsInput
  domain: DomainUpdateOneWithoutCampaignInput
  catalogItem: CatalogItemUpdateOneWithoutCampaignInput
}

input CampaignUpdateWithoutObjectsDataInput {
  deleted: Boolean
  name: String
  screenshot: String
  scriptTags: String
  type: String
  user: UserUpdateOneWithoutCampaignsInput
  domain: DomainUpdateOneWithoutCampaignInput
  catalogItem: CatalogItemUpdateOneWithoutCampaignInput
  mediaItems: MediaItemUpdateManyWithoutCampaignInput
}

input CampaignUpdateWithoutUserDataInput {
  deleted: Boolean
  name: String
  objects: ObjectUpdateManyWithoutCampaignInput
  screenshot: String
  scriptTags: String
  type: String
  domain: DomainUpdateOneWithoutCampaignInput
  catalogItem: CatalogItemUpdateOneWithoutCampaignInput
  mediaItems: MediaItemUpdateManyWithoutCampaignInput
}

input CampaignUpdateWithWhereUniqueWithoutDomainInput {
  where: CampaignWhereUniqueInput!
  data: CampaignUpdateWithoutDomainDataInput!
}

input CampaignUpdateWithWhereUniqueWithoutUserInput {
  where: CampaignWhereUniqueInput!
  data: CampaignUpdateWithoutUserDataInput!
}

input CampaignUpsertWithoutCatalogItemInput {
  update: CampaignUpdateWithoutCatalogItemDataInput!
  create: CampaignCreateWithoutCatalogItemInput!
}

input CampaignUpsertWithoutMediaItemsInput {
  update: CampaignUpdateWithoutMediaItemsDataInput!
  create: CampaignCreateWithoutMediaItemsInput!
}

input CampaignUpsertWithoutObjectsInput {
  update: CampaignUpdateWithoutObjectsDataInput!
  create: CampaignCreateWithoutObjectsInput!
}

input CampaignUpsertWithWhereUniqueWithoutDomainInput {
  where: CampaignWhereUniqueInput!
  update: CampaignUpdateWithoutDomainDataInput!
  create: CampaignCreateWithoutDomainInput!
}

input CampaignUpsertWithWhereUniqueWithoutUserInput {
  where: CampaignWhereUniqueInput!
  update: CampaignUpdateWithoutUserDataInput!
  create: CampaignCreateWithoutUserInput!
}

input CampaignWhereInput {
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  deleted: Boolean
  deleted_not: Boolean
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  objects_every: ObjectWhereInput
  objects_some: ObjectWhereInput
  objects_none: ObjectWhereInput
  screenshot: String
  screenshot_not: String
  screenshot_in: [String!]
  screenshot_not_in: [String!]
  screenshot_lt: String
  screenshot_lte: String
  screenshot_gt: String
  screenshot_gte: String
  screenshot_contains: String
  screenshot_not_contains: String
  screenshot_starts_with: String
  screenshot_not_starts_with: String
  screenshot_ends_with: String
  screenshot_not_ends_with: String
  scriptTags: String
  scriptTags_not: String
  scriptTags_in: [String!]
  scriptTags_not_in: [String!]
  scriptTags_lt: String
  scriptTags_lte: String
  scriptTags_gt: String
  scriptTags_gte: String
  scriptTags_contains: String
  scriptTags_not_contains: String
  scriptTags_starts_with: String
  scriptTags_not_starts_with: String
  scriptTags_ends_with: String
  scriptTags_not_ends_with: String
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  user: UserWhereInput
  domain: DomainWhereInput
  catalogItem: CatalogItemWhereInput
  mediaItems_every: MediaItemWhereInput
  mediaItems_some: MediaItemWhereInput
  mediaItems_none: MediaItemWhereInput
  AND: [CampaignWhereInput!]
  OR: [CampaignWhereInput!]
  NOT: [CampaignWhereInput!]
}

input CampaignWhereUniqueInput {
  id: ID
}

type CatalogItem {
  id: ID!
  user: User
  type: String
  image: String
  name: String!
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  campaign: Campaign
  page: Page
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
  createdAt: DateTime!
  updatedAt: DateTime!
}

type CatalogItemConnection {
  pageInfo: PageInfo!
  edges: [CatalogItemEdge]!
  aggregate: AggregateCatalogItem!
}

input CatalogItemCreateInput {
  id: ID
  user: UserCreateOneWithoutCatalogItemsInput
  type: String
  image: String
  name: String!
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  campaign: CampaignCreateOneWithoutCatalogItemInput
  page: PageCreateOneWithoutCatalogItemInput
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemCreateManyWithoutUserInput {
  create: [CatalogItemCreateWithoutUserInput!]
  connect: [CatalogItemWhereUniqueInput!]
}

input CatalogItemCreateOneWithoutCampaignInput {
  create: CatalogItemCreateWithoutCampaignInput
  connect: CatalogItemWhereUniqueInput
}

input CatalogItemCreateOneWithoutPageInput {
  create: CatalogItemCreateWithoutPageInput
  connect: CatalogItemWhereUniqueInput
}

input CatalogItemCreateWithoutCampaignInput {
  id: ID
  user: UserCreateOneWithoutCatalogItemsInput
  type: String
  image: String
  name: String!
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  page: PageCreateOneWithoutCatalogItemInput
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemCreateWithoutPageInput {
  id: ID
  user: UserCreateOneWithoutCatalogItemsInput
  type: String
  image: String
  name: String!
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  campaign: CampaignCreateOneWithoutCatalogItemInput
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemCreateWithoutUserInput {
  id: ID
  type: String
  image: String
  name: String!
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  campaign: CampaignCreateOneWithoutCatalogItemInput
  page: PageCreateOneWithoutCatalogItemInput
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

type CatalogItemEdge {
  node: CatalogItem!
  cursor: String!
}

enum CatalogItemOrderByInput {
  id_ASC
  id_DESC
  type_ASC
  type_DESC
  image_ASC
  image_DESC
  name_ASC
  name_DESC
  video_ASC
  video_DESC
  color_ASC
  color_DESC
  skill_ASC
  skill_DESC
  partner_ASC
  partner_DESC
  isNew_ASC
  isNew_DESC
  description_ASC
  description_DESC
  link_ASC
  link_DESC
  rating_ASC
  rating_DESC
  earnings_ASC
  earnings_DESC
  isRecommended_ASC
  isRecommended_DESC
  isSpotlight_ASC
  isSpotlight_DESC
  tags_ASC
  tags_DESC
  categories_ASC
  categories_DESC
  createdAt_ASC
  createdAt_DESC
  updatedAt_ASC
  updatedAt_DESC
}

type CatalogItemPreviousValues {
  id: ID!
  type: String
  image: String
  name: String!
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
  createdAt: DateTime!
  updatedAt: DateTime!
}

input CatalogItemScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  image: String
  image_not: String
  image_in: [String!]
  image_not_in: [String!]
  image_lt: String
  image_lte: String
  image_gt: String
  image_gte: String
  image_contains: String
  image_not_contains: String
  image_starts_with: String
  image_not_starts_with: String
  image_ends_with: String
  image_not_ends_with: String
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  video: String
  video_not: String
  video_in: [String!]
  video_not_in: [String!]
  video_lt: String
  video_lte: String
  video_gt: String
  video_gte: String
  video_contains: String
  video_not_contains: String
  video_starts_with: String
  video_not_starts_with: String
  video_ends_with: String
  video_not_ends_with: String
  color: String
  color_not: String
  color_in: [String!]
  color_not_in: [String!]
  color_lt: String
  color_lte: String
  color_gt: String
  color_gte: String
  color_contains: String
  color_not_contains: String
  color_starts_with: String
  color_not_starts_with: String
  color_ends_with: String
  color_not_ends_with: String
  skill: String
  skill_not: String
  skill_in: [String!]
  skill_not_in: [String!]
  skill_lt: String
  skill_lte: String
  skill_gt: String
  skill_gte: String
  skill_contains: String
  skill_not_contains: String
  skill_starts_with: String
  skill_not_starts_with: String
  skill_ends_with: String
  skill_not_ends_with: String
  partner: String
  partner_not: String
  partner_in: [String!]
  partner_not_in: [String!]
  partner_lt: String
  partner_lte: String
  partner_gt: String
  partner_gte: String
  partner_contains: String
  partner_not_contains: String
  partner_starts_with: String
  partner_not_starts_with: String
  partner_ends_with: String
  partner_not_ends_with: String
  isNew: Boolean
  isNew_not: Boolean
  description: String
  description_not: String
  description_in: [String!]
  description_not_in: [String!]
  description_lt: String
  description_lte: String
  description_gt: String
  description_gte: String
  description_contains: String
  description_not_contains: String
  description_starts_with: String
  description_not_starts_with: String
  description_ends_with: String
  description_not_ends_with: String
  link: String
  link_not: String
  link_in: [String!]
  link_not_in: [String!]
  link_lt: String
  link_lte: String
  link_gt: String
  link_gte: String
  link_contains: String
  link_not_contains: String
  link_starts_with: String
  link_not_starts_with: String
  link_ends_with: String
  link_not_ends_with: String
  rating: Float
  rating_not: Float
  rating_in: [Float!]
  rating_not_in: [Float!]
  rating_lt: Float
  rating_lte: Float
  rating_gt: Float
  rating_gte: Float
  earnings: Float
  earnings_not: Float
  earnings_in: [Float!]
  earnings_not_in: [Float!]
  earnings_lt: Float
  earnings_lte: Float
  earnings_gt: Float
  earnings_gte: Float
  isRecommended: Boolean
  isRecommended_not: Boolean
  isSpotlight: Boolean
  isSpotlight_not: Boolean
  tags: String
  tags_not: String
  tags_in: [String!]
  tags_not_in: [String!]
  tags_lt: String
  tags_lte: String
  tags_gt: String
  tags_gte: String
  tags_contains: String
  tags_not_contains: String
  tags_starts_with: String
  tags_not_starts_with: String
  tags_ends_with: String
  tags_not_ends_with: String
  categories: String
  categories_not: String
  categories_in: [String!]
  categories_not_in: [String!]
  categories_lt: String
  categories_lte: String
  categories_gt: String
  categories_gte: String
  categories_contains: String
  categories_not_contains: String
  categories_starts_with: String
  categories_not_starts_with: String
  categories_ends_with: String
  categories_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [CatalogItemScalarWhereInput!]
  OR: [CatalogItemScalarWhereInput!]
  NOT: [CatalogItemScalarWhereInput!]
}

type CatalogItemSubscriptionPayload {
  mutation: MutationType!
  node: CatalogItem
  updatedFields: [String!]
  previousValues: CatalogItemPreviousValues
}

input CatalogItemSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: CatalogItemWhereInput
  AND: [CatalogItemSubscriptionWhereInput!]
  OR: [CatalogItemSubscriptionWhereInput!]
  NOT: [CatalogItemSubscriptionWhereInput!]
}

input CatalogItemUpdateInput {
  user: UserUpdateOneWithoutCatalogItemsInput
  type: String
  image: String
  name: String
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  campaign: CampaignUpdateOneWithoutCatalogItemInput
  page: PageUpdateOneWithoutCatalogItemInput
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemUpdateManyDataInput {
  type: String
  image: String
  name: String
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemUpdateManyMutationInput {
  type: String
  image: String
  name: String
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemUpdateManyWithoutUserInput {
  create: [CatalogItemCreateWithoutUserInput!]
  delete: [CatalogItemWhereUniqueInput!]
  connect: [CatalogItemWhereUniqueInput!]
  set: [CatalogItemWhereUniqueInput!]
  disconnect: [CatalogItemWhereUniqueInput!]
  update: [CatalogItemUpdateWithWhereUniqueWithoutUserInput!]
  upsert: [CatalogItemUpsertWithWhereUniqueWithoutUserInput!]
  deleteMany: [CatalogItemScalarWhereInput!]
  updateMany: [CatalogItemUpdateManyWithWhereNestedInput!]
}

input CatalogItemUpdateManyWithWhereNestedInput {
  where: CatalogItemScalarWhereInput!
  data: CatalogItemUpdateManyDataInput!
}

input CatalogItemUpdateOneWithoutCampaignInput {
  create: CatalogItemCreateWithoutCampaignInput
  update: CatalogItemUpdateWithoutCampaignDataInput
  upsert: CatalogItemUpsertWithoutCampaignInput
  delete: Boolean
  disconnect: Boolean
  connect: CatalogItemWhereUniqueInput
}

input CatalogItemUpdateOneWithoutPageInput {
  create: CatalogItemCreateWithoutPageInput
  update: CatalogItemUpdateWithoutPageDataInput
  upsert: CatalogItemUpsertWithoutPageInput
  delete: Boolean
  disconnect: Boolean
  connect: CatalogItemWhereUniqueInput
}

input CatalogItemUpdateWithoutCampaignDataInput {
  user: UserUpdateOneWithoutCatalogItemsInput
  type: String
  image: String
  name: String
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  page: PageUpdateOneWithoutCatalogItemInput
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemUpdateWithoutPageDataInput {
  user: UserUpdateOneWithoutCatalogItemsInput
  type: String
  image: String
  name: String
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  campaign: CampaignUpdateOneWithoutCatalogItemInput
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemUpdateWithoutUserDataInput {
  type: String
  image: String
  name: String
  video: String
  color: String
  skill: String
  partner: String
  isNew: Boolean
  description: String
  link: String
  rating: Float
  campaign: CampaignUpdateOneWithoutCatalogItemInput
  page: PageUpdateOneWithoutCatalogItemInput
  earnings: Float
  isRecommended: Boolean
  isSpotlight: Boolean
  tags: String
  categories: String
}

input CatalogItemUpdateWithWhereUniqueWithoutUserInput {
  where: CatalogItemWhereUniqueInput!
  data: CatalogItemUpdateWithoutUserDataInput!
}

input CatalogItemUpsertWithoutCampaignInput {
  update: CatalogItemUpdateWithoutCampaignDataInput!
  create: CatalogItemCreateWithoutCampaignInput!
}

input CatalogItemUpsertWithoutPageInput {
  update: CatalogItemUpdateWithoutPageDataInput!
  create: CatalogItemCreateWithoutPageInput!
}

input CatalogItemUpsertWithWhereUniqueWithoutUserInput {
  where: CatalogItemWhereUniqueInput!
  update: CatalogItemUpdateWithoutUserDataInput!
  create: CatalogItemCreateWithoutUserInput!
}

input CatalogItemWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  user: UserWhereInput
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  image: String
  image_not: String
  image_in: [String!]
  image_not_in: [String!]
  image_lt: String
  image_lte: String
  image_gt: String
  image_gte: String
  image_contains: String
  image_not_contains: String
  image_starts_with: String
  image_not_starts_with: String
  image_ends_with: String
  image_not_ends_with: String
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  video: String
  video_not: String
  video_in: [String!]
  video_not_in: [String!]
  video_lt: String
  video_lte: String
  video_gt: String
  video_gte: String
  video_contains: String
  video_not_contains: String
  video_starts_with: String
  video_not_starts_with: String
  video_ends_with: String
  video_not_ends_with: String
  color: String
  color_not: String
  color_in: [String!]
  color_not_in: [String!]
  color_lt: String
  color_lte: String
  color_gt: String
  color_gte: String
  color_contains: String
  color_not_contains: String
  color_starts_with: String
  color_not_starts_with: String
  color_ends_with: String
  color_not_ends_with: String
  skill: String
  skill_not: String
  skill_in: [String!]
  skill_not_in: [String!]
  skill_lt: String
  skill_lte: String
  skill_gt: String
  skill_gte: String
  skill_contains: String
  skill_not_contains: String
  skill_starts_with: String
  skill_not_starts_with: String
  skill_ends_with: String
  skill_not_ends_with: String
  partner: String
  partner_not: String
  partner_in: [String!]
  partner_not_in: [String!]
  partner_lt: String
  partner_lte: String
  partner_gt: String
  partner_gte: String
  partner_contains: String
  partner_not_contains: String
  partner_starts_with: String
  partner_not_starts_with: String
  partner_ends_with: String
  partner_not_ends_with: String
  isNew: Boolean
  isNew_not: Boolean
  description: String
  description_not: String
  description_in: [String!]
  description_not_in: [String!]
  description_lt: String
  description_lte: String
  description_gt: String
  description_gte: String
  description_contains: String
  description_not_contains: String
  description_starts_with: String
  description_not_starts_with: String
  description_ends_with: String
  description_not_ends_with: String
  link: String
  link_not: String
  link_in: [String!]
  link_not_in: [String!]
  link_lt: String
  link_lte: String
  link_gt: String
  link_gte: String
  link_contains: String
  link_not_contains: String
  link_starts_with: String
  link_not_starts_with: String
  link_ends_with: String
  link_not_ends_with: String
  rating: Float
  rating_not: Float
  rating_in: [Float!]
  rating_not_in: [Float!]
  rating_lt: Float
  rating_lte: Float
  rating_gt: Float
  rating_gte: Float
  campaign: CampaignWhereInput
  page: PageWhereInput
  earnings: Float
  earnings_not: Float
  earnings_in: [Float!]
  earnings_not_in: [Float!]
  earnings_lt: Float
  earnings_lte: Float
  earnings_gt: Float
  earnings_gte: Float
  isRecommended: Boolean
  isRecommended_not: Boolean
  isSpotlight: Boolean
  isSpotlight_not: Boolean
  tags: String
  tags_not: String
  tags_in: [String!]
  tags_not_in: [String!]
  tags_lt: String
  tags_lte: String
  tags_gt: String
  tags_gte: String
  tags_contains: String
  tags_not_contains: String
  tags_starts_with: String
  tags_not_starts_with: String
  tags_ends_with: String
  tags_not_ends_with: String
  categories: String
  categories_not: String
  categories_in: [String!]
  categories_not_in: [String!]
  categories_lt: String
  categories_lte: String
  categories_gt: String
  categories_gte: String
  categories_contains: String
  categories_not_contains: String
  categories_starts_with: String
  categories_not_starts_with: String
  categories_ends_with: String
  categories_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [CatalogItemWhereInput!]
  OR: [CatalogItemWhereInput!]
  NOT: [CatalogItemWhereInput!]
}

input CatalogItemWhereUniqueInput {
  id: ID
}

scalar DateTime

type Domain {
  id: ID!
  name: String!
  user: User
  createdAt: DateTime!
  updatedAt: DateTime!
  campaign(where: CampaignWhereInput, orderBy: CampaignOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Campaign!]
  homePage: Page
  errorPage: Page
  cloudfrontDistribution: String
}

type DomainConnection {
  pageInfo: PageInfo!
  edges: [DomainEdge]!
  aggregate: AggregateDomain!
}

input DomainCreateInput {
  id: ID
  name: String!
  user: UserCreateOneWithoutDomainsInput
  campaign: CampaignCreateManyWithoutDomainInput
  homePage: PageCreateOneWithoutHomePageForDomainInput
  errorPage: PageCreateOneWithoutErrorPageForDomainInput
  cloudfrontDistribution: String
}

input DomainCreateManyWithoutUserInput {
  create: [DomainCreateWithoutUserInput!]
  connect: [DomainWhereUniqueInput!]
}

input DomainCreateOneWithoutCampaignInput {
  create: DomainCreateWithoutCampaignInput
  connect: DomainWhereUniqueInput
}

input DomainCreateOneWithoutErrorPageInput {
  create: DomainCreateWithoutErrorPageInput
  connect: DomainWhereUniqueInput
}

input DomainCreateOneWithoutHomePageInput {
  create: DomainCreateWithoutHomePageInput
  connect: DomainWhereUniqueInput
}

input DomainCreateWithoutCampaignInput {
  id: ID
  name: String!
  user: UserCreateOneWithoutDomainsInput
  homePage: PageCreateOneWithoutHomePageForDomainInput
  errorPage: PageCreateOneWithoutErrorPageForDomainInput
  cloudfrontDistribution: String
}

input DomainCreateWithoutErrorPageInput {
  id: ID
  name: String!
  user: UserCreateOneWithoutDomainsInput
  campaign: CampaignCreateManyWithoutDomainInput
  homePage: PageCreateOneWithoutHomePageForDomainInput
  cloudfrontDistribution: String
}

input DomainCreateWithoutHomePageInput {
  id: ID
  name: String!
  user: UserCreateOneWithoutDomainsInput
  campaign: CampaignCreateManyWithoutDomainInput
  errorPage: PageCreateOneWithoutErrorPageForDomainInput
  cloudfrontDistribution: String
}

input DomainCreateWithoutUserInput {
  id: ID
  name: String!
  campaign: CampaignCreateManyWithoutDomainInput
  homePage: PageCreateOneWithoutHomePageForDomainInput
  errorPage: PageCreateOneWithoutErrorPageForDomainInput
  cloudfrontDistribution: String
}

type DomainEdge {
  node: Domain!
  cursor: String!
}

enum DomainOrderByInput {
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  createdAt_ASC
  createdAt_DESC
  updatedAt_ASC
  updatedAt_DESC
  cloudfrontDistribution_ASC
  cloudfrontDistribution_DESC
}

type DomainPreviousValues {
  id: ID!
  name: String!
  createdAt: DateTime!
  updatedAt: DateTime!
  cloudfrontDistribution: String
}

input DomainScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  cloudfrontDistribution: String
  cloudfrontDistribution_not: String
  cloudfrontDistribution_in: [String!]
  cloudfrontDistribution_not_in: [String!]
  cloudfrontDistribution_lt: String
  cloudfrontDistribution_lte: String
  cloudfrontDistribution_gt: String
  cloudfrontDistribution_gte: String
  cloudfrontDistribution_contains: String
  cloudfrontDistribution_not_contains: String
  cloudfrontDistribution_starts_with: String
  cloudfrontDistribution_not_starts_with: String
  cloudfrontDistribution_ends_with: String
  cloudfrontDistribution_not_ends_with: String
  AND: [DomainScalarWhereInput!]
  OR: [DomainScalarWhereInput!]
  NOT: [DomainScalarWhereInput!]
}

type DomainSubscriptionPayload {
  mutation: MutationType!
  node: Domain
  updatedFields: [String!]
  previousValues: DomainPreviousValues
}

input DomainSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: DomainWhereInput
  AND: [DomainSubscriptionWhereInput!]
  OR: [DomainSubscriptionWhereInput!]
  NOT: [DomainSubscriptionWhereInput!]
}

input DomainUpdateInput {
  name: String
  user: UserUpdateOneWithoutDomainsInput
  campaign: CampaignUpdateManyWithoutDomainInput
  homePage: PageUpdateOneWithoutHomePageForDomainInput
  errorPage: PageUpdateOneWithoutErrorPageForDomainInput
  cloudfrontDistribution: String
}

input DomainUpdateManyDataInput {
  name: String
  cloudfrontDistribution: String
}

input DomainUpdateManyMutationInput {
  name: String
  cloudfrontDistribution: String
}

input DomainUpdateManyWithoutUserInput {
  create: [DomainCreateWithoutUserInput!]
  delete: [DomainWhereUniqueInput!]
  connect: [DomainWhereUniqueInput!]
  set: [DomainWhereUniqueInput!]
  disconnect: [DomainWhereUniqueInput!]
  update: [DomainUpdateWithWhereUniqueWithoutUserInput!]
  upsert: [DomainUpsertWithWhereUniqueWithoutUserInput!]
  deleteMany: [DomainScalarWhereInput!]
  updateMany: [DomainUpdateManyWithWhereNestedInput!]
}

input DomainUpdateManyWithWhereNestedInput {
  where: DomainScalarWhereInput!
  data: DomainUpdateManyDataInput!
}

input DomainUpdateOneWithoutCampaignInput {
  create: DomainCreateWithoutCampaignInput
  update: DomainUpdateWithoutCampaignDataInput
  upsert: DomainUpsertWithoutCampaignInput
  delete: Boolean
  disconnect: Boolean
  connect: DomainWhereUniqueInput
}

input DomainUpdateOneWithoutErrorPageInput {
  create: DomainCreateWithoutErrorPageInput
  update: DomainUpdateWithoutErrorPageDataInput
  upsert: DomainUpsertWithoutErrorPageInput
  delete: Boolean
  disconnect: Boolean
  connect: DomainWhereUniqueInput
}

input DomainUpdateOneWithoutHomePageInput {
  create: DomainCreateWithoutHomePageInput
  update: DomainUpdateWithoutHomePageDataInput
  upsert: DomainUpsertWithoutHomePageInput
  delete: Boolean
  disconnect: Boolean
  connect: DomainWhereUniqueInput
}

input DomainUpdateWithoutCampaignDataInput {
  name: String
  user: UserUpdateOneWithoutDomainsInput
  homePage: PageUpdateOneWithoutHomePageForDomainInput
  errorPage: PageUpdateOneWithoutErrorPageForDomainInput
  cloudfrontDistribution: String
}

input DomainUpdateWithoutErrorPageDataInput {
  name: String
  user: UserUpdateOneWithoutDomainsInput
  campaign: CampaignUpdateManyWithoutDomainInput
  homePage: PageUpdateOneWithoutHomePageForDomainInput
  cloudfrontDistribution: String
}

input DomainUpdateWithoutHomePageDataInput {
  name: String
  user: UserUpdateOneWithoutDomainsInput
  campaign: CampaignUpdateManyWithoutDomainInput
  errorPage: PageUpdateOneWithoutErrorPageForDomainInput
  cloudfrontDistribution: String
}

input DomainUpdateWithoutUserDataInput {
  name: String
  campaign: CampaignUpdateManyWithoutDomainInput
  homePage: PageUpdateOneWithoutHomePageForDomainInput
  errorPage: PageUpdateOneWithoutErrorPageForDomainInput
  cloudfrontDistribution: String
}

input DomainUpdateWithWhereUniqueWithoutUserInput {
  where: DomainWhereUniqueInput!
  data: DomainUpdateWithoutUserDataInput!
}

input DomainUpsertWithoutCampaignInput {
  update: DomainUpdateWithoutCampaignDataInput!
  create: DomainCreateWithoutCampaignInput!
}

input DomainUpsertWithoutErrorPageInput {
  update: DomainUpdateWithoutErrorPageDataInput!
  create: DomainCreateWithoutErrorPageInput!
}

input DomainUpsertWithoutHomePageInput {
  update: DomainUpdateWithoutHomePageDataInput!
  create: DomainCreateWithoutHomePageInput!
}

input DomainUpsertWithWhereUniqueWithoutUserInput {
  where: DomainWhereUniqueInput!
  update: DomainUpdateWithoutUserDataInput!
  create: DomainCreateWithoutUserInput!
}

input DomainWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  user: UserWhereInput
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  campaign_every: CampaignWhereInput
  campaign_some: CampaignWhereInput
  campaign_none: CampaignWhereInput
  homePage: PageWhereInput
  errorPage: PageWhereInput
  cloudfrontDistribution: String
  cloudfrontDistribution_not: String
  cloudfrontDistribution_in: [String!]
  cloudfrontDistribution_not_in: [String!]
  cloudfrontDistribution_lt: String
  cloudfrontDistribution_lte: String
  cloudfrontDistribution_gt: String
  cloudfrontDistribution_gte: String
  cloudfrontDistribution_contains: String
  cloudfrontDistribution_not_contains: String
  cloudfrontDistribution_starts_with: String
  cloudfrontDistribution_not_starts_with: String
  cloudfrontDistribution_ends_with: String
  cloudfrontDistribution_not_ends_with: String
  AND: [DomainWhereInput!]
  OR: [DomainWhereInput!]
  NOT: [DomainWhereInput!]
}

input DomainWhereUniqueInput {
  id: ID
}

type Integration {
  id: ID!
  setting: Json!
  type: String!
  user: User
  createdAt: DateTime!
  updatedAt: DateTime!
}

type IntegrationConnection {
  pageInfo: PageInfo!
  edges: [IntegrationEdge]!
  aggregate: AggregateIntegration!
}

input IntegrationCreateInput {
  id: ID
  setting: Json!
  type: String!
  user: UserCreateOneWithoutIntegrationsInput
}

input IntegrationCreateManyWithoutUserInput {
  create: [IntegrationCreateWithoutUserInput!]
  connect: [IntegrationWhereUniqueInput!]
}

input IntegrationCreateWithoutUserInput {
  id: ID
  setting: Json!
  type: String!
}

type IntegrationEdge {
  node: Integration!
  cursor: String!
}

enum IntegrationOrderByInput {
  id_ASC
  id_DESC
  setting_ASC
  setting_DESC
  type_ASC
  type_DESC
  createdAt_ASC
  createdAt_DESC
  updatedAt_ASC
  updatedAt_DESC
}

type IntegrationPreviousValues {
  id: ID!
  setting: Json!
  type: String!
  createdAt: DateTime!
  updatedAt: DateTime!
}

input IntegrationScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [IntegrationScalarWhereInput!]
  OR: [IntegrationScalarWhereInput!]
  NOT: [IntegrationScalarWhereInput!]
}

type IntegrationSubscriptionPayload {
  mutation: MutationType!
  node: Integration
  updatedFields: [String!]
  previousValues: IntegrationPreviousValues
}

input IntegrationSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: IntegrationWhereInput
  AND: [IntegrationSubscriptionWhereInput!]
  OR: [IntegrationSubscriptionWhereInput!]
  NOT: [IntegrationSubscriptionWhereInput!]
}

input IntegrationUpdateInput {
  setting: Json
  type: String
  user: UserUpdateOneWithoutIntegrationsInput
}

input IntegrationUpdateManyDataInput {
  setting: Json
  type: String
}

input IntegrationUpdateManyMutationInput {
  setting: Json
  type: String
}

input IntegrationUpdateManyWithoutUserInput {
  create: [IntegrationCreateWithoutUserInput!]
  delete: [IntegrationWhereUniqueInput!]
  connect: [IntegrationWhereUniqueInput!]
  set: [IntegrationWhereUniqueInput!]
  disconnect: [IntegrationWhereUniqueInput!]
  update: [IntegrationUpdateWithWhereUniqueWithoutUserInput!]
  upsert: [IntegrationUpsertWithWhereUniqueWithoutUserInput!]
  deleteMany: [IntegrationScalarWhereInput!]
  updateMany: [IntegrationUpdateManyWithWhereNestedInput!]
}

input IntegrationUpdateManyWithWhereNestedInput {
  where: IntegrationScalarWhereInput!
  data: IntegrationUpdateManyDataInput!
}

input IntegrationUpdateWithoutUserDataInput {
  setting: Json
  type: String
}

input IntegrationUpdateWithWhereUniqueWithoutUserInput {
  where: IntegrationWhereUniqueInput!
  data: IntegrationUpdateWithoutUserDataInput!
}

input IntegrationUpsertWithWhereUniqueWithoutUserInput {
  where: IntegrationWhereUniqueInput!
  update: IntegrationUpdateWithoutUserDataInput!
  create: IntegrationCreateWithoutUserInput!
}

input IntegrationWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  user: UserWhereInput
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [IntegrationWhereInput!]
  OR: [IntegrationWhereInput!]
  NOT: [IntegrationWhereInput!]
}

input IntegrationWhereUniqueInput {
  id: ID
}

scalar Json

scalar Long

type MediaItem {
  id: ID!
  name: String!
  user: User
  description: String
  url: String
  tags: Json
  categories: Json
  campaign: Campaign
  page: Page
  createdAt: DateTime!
  updatedAt: DateTime!
}

type MediaItemConnection {
  pageInfo: PageInfo!
  edges: [MediaItemEdge]!
  aggregate: AggregateMediaItem!
}

input MediaItemCreateInput {
  id: ID
  name: String!
  user: UserCreateOneWithoutMediaItemsInput
  description: String
  url: String
  tags: Json
  categories: Json
  campaign: CampaignCreateOneWithoutMediaItemsInput
  page: PageCreateOneWithoutMediaItemsInput
}

input MediaItemCreateManyWithoutCampaignInput {
  create: [MediaItemCreateWithoutCampaignInput!]
  connect: [MediaItemWhereUniqueInput!]
}

input MediaItemCreateManyWithoutPageInput {
  create: [MediaItemCreateWithoutPageInput!]
  connect: [MediaItemWhereUniqueInput!]
}

input MediaItemCreateManyWithoutUserInput {
  create: [MediaItemCreateWithoutUserInput!]
  connect: [MediaItemWhereUniqueInput!]
}

input MediaItemCreateWithoutCampaignInput {
  id: ID
  name: String!
  user: UserCreateOneWithoutMediaItemsInput
  description: String
  url: String
  tags: Json
  categories: Json
  page: PageCreateOneWithoutMediaItemsInput
}

input MediaItemCreateWithoutPageInput {
  id: ID
  name: String!
  user: UserCreateOneWithoutMediaItemsInput
  description: String
  url: String
  tags: Json
  categories: Json
  campaign: CampaignCreateOneWithoutMediaItemsInput
}

input MediaItemCreateWithoutUserInput {
  id: ID
  name: String!
  description: String
  url: String
  tags: Json
  categories: Json
  campaign: CampaignCreateOneWithoutMediaItemsInput
  page: PageCreateOneWithoutMediaItemsInput
}

type MediaItemEdge {
  node: MediaItem!
  cursor: String!
}

enum MediaItemOrderByInput {
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  description_ASC
  description_DESC
  url_ASC
  url_DESC
  tags_ASC
  tags_DESC
  categories_ASC
  categories_DESC
  createdAt_ASC
  createdAt_DESC
  updatedAt_ASC
  updatedAt_DESC
}

type MediaItemPreviousValues {
  id: ID!
  name: String!
  description: String
  url: String
  tags: Json
  categories: Json
  createdAt: DateTime!
  updatedAt: DateTime!
}

input MediaItemScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  description: String
  description_not: String
  description_in: [String!]
  description_not_in: [String!]
  description_lt: String
  description_lte: String
  description_gt: String
  description_gte: String
  description_contains: String
  description_not_contains: String
  description_starts_with: String
  description_not_starts_with: String
  description_ends_with: String
  description_not_ends_with: String
  url: String
  url_not: String
  url_in: [String!]
  url_not_in: [String!]
  url_lt: String
  url_lte: String
  url_gt: String
  url_gte: String
  url_contains: String
  url_not_contains: String
  url_starts_with: String
  url_not_starts_with: String
  url_ends_with: String
  url_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [MediaItemScalarWhereInput!]
  OR: [MediaItemScalarWhereInput!]
  NOT: [MediaItemScalarWhereInput!]
}

type MediaItemSubscriptionPayload {
  mutation: MutationType!
  node: MediaItem
  updatedFields: [String!]
  previousValues: MediaItemPreviousValues
}

input MediaItemSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: MediaItemWhereInput
  AND: [MediaItemSubscriptionWhereInput!]
  OR: [MediaItemSubscriptionWhereInput!]
  NOT: [MediaItemSubscriptionWhereInput!]
}

input MediaItemUpdateInput {
  name: String
  user: UserUpdateOneWithoutMediaItemsInput
  description: String
  url: String
  tags: Json
  categories: Json
  campaign: CampaignUpdateOneWithoutMediaItemsInput
  page: PageUpdateOneWithoutMediaItemsInput
}

input MediaItemUpdateManyDataInput {
  name: String
  description: String
  url: String
  tags: Json
  categories: Json
}

input MediaItemUpdateManyMutationInput {
  name: String
  description: String
  url: String
  tags: Json
  categories: Json
}

input MediaItemUpdateManyWithoutCampaignInput {
  create: [MediaItemCreateWithoutCampaignInput!]
  delete: [MediaItemWhereUniqueInput!]
  connect: [MediaItemWhereUniqueInput!]
  set: [MediaItemWhereUniqueInput!]
  disconnect: [MediaItemWhereUniqueInput!]
  update: [MediaItemUpdateWithWhereUniqueWithoutCampaignInput!]
  upsert: [MediaItemUpsertWithWhereUniqueWithoutCampaignInput!]
  deleteMany: [MediaItemScalarWhereInput!]
  updateMany: [MediaItemUpdateManyWithWhereNestedInput!]
}

input MediaItemUpdateManyWithoutPageInput {
  create: [MediaItemCreateWithoutPageInput!]
  delete: [MediaItemWhereUniqueInput!]
  connect: [MediaItemWhereUniqueInput!]
  set: [MediaItemWhereUniqueInput!]
  disconnect: [MediaItemWhereUniqueInput!]
  update: [MediaItemUpdateWithWhereUniqueWithoutPageInput!]
  upsert: [MediaItemUpsertWithWhereUniqueWithoutPageInput!]
  deleteMany: [MediaItemScalarWhereInput!]
  updateMany: [MediaItemUpdateManyWithWhereNestedInput!]
}

input MediaItemUpdateManyWithoutUserInput {
  create: [MediaItemCreateWithoutUserInput!]
  delete: [MediaItemWhereUniqueInput!]
  connect: [MediaItemWhereUniqueInput!]
  set: [MediaItemWhereUniqueInput!]
  disconnect: [MediaItemWhereUniqueInput!]
  update: [MediaItemUpdateWithWhereUniqueWithoutUserInput!]
  upsert: [MediaItemUpsertWithWhereUniqueWithoutUserInput!]
  deleteMany: [MediaItemScalarWhereInput!]
  updateMany: [MediaItemUpdateManyWithWhereNestedInput!]
}

input MediaItemUpdateManyWithWhereNestedInput {
  where: MediaItemScalarWhereInput!
  data: MediaItemUpdateManyDataInput!
}

input MediaItemUpdateWithoutCampaignDataInput {
  name: String
  user: UserUpdateOneWithoutMediaItemsInput
  description: String
  url: String
  tags: Json
  categories: Json
  page: PageUpdateOneWithoutMediaItemsInput
}

input MediaItemUpdateWithoutPageDataInput {
  name: String
  user: UserUpdateOneWithoutMediaItemsInput
  description: String
  url: String
  tags: Json
  categories: Json
  campaign: CampaignUpdateOneWithoutMediaItemsInput
}

input MediaItemUpdateWithoutUserDataInput {
  name: String
  description: String
  url: String
  tags: Json
  categories: Json
  campaign: CampaignUpdateOneWithoutMediaItemsInput
  page: PageUpdateOneWithoutMediaItemsInput
}

input MediaItemUpdateWithWhereUniqueWithoutCampaignInput {
  where: MediaItemWhereUniqueInput!
  data: MediaItemUpdateWithoutCampaignDataInput!
}

input MediaItemUpdateWithWhereUniqueWithoutPageInput {
  where: MediaItemWhereUniqueInput!
  data: MediaItemUpdateWithoutPageDataInput!
}

input MediaItemUpdateWithWhereUniqueWithoutUserInput {
  where: MediaItemWhereUniqueInput!
  data: MediaItemUpdateWithoutUserDataInput!
}

input MediaItemUpsertWithWhereUniqueWithoutCampaignInput {
  where: MediaItemWhereUniqueInput!
  update: MediaItemUpdateWithoutCampaignDataInput!
  create: MediaItemCreateWithoutCampaignInput!
}

input MediaItemUpsertWithWhereUniqueWithoutPageInput {
  where: MediaItemWhereUniqueInput!
  update: MediaItemUpdateWithoutPageDataInput!
  create: MediaItemCreateWithoutPageInput!
}

input MediaItemUpsertWithWhereUniqueWithoutUserInput {
  where: MediaItemWhereUniqueInput!
  update: MediaItemUpdateWithoutUserDataInput!
  create: MediaItemCreateWithoutUserInput!
}

input MediaItemWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  user: UserWhereInput
  description: String
  description_not: String
  description_in: [String!]
  description_not_in: [String!]
  description_lt: String
  description_lte: String
  description_gt: String
  description_gte: String
  description_contains: String
  description_not_contains: String
  description_starts_with: String
  description_not_starts_with: String
  description_ends_with: String
  description_not_ends_with: String
  url: String
  url_not: String
  url_in: [String!]
  url_not_in: [String!]
  url_lt: String
  url_lte: String
  url_gt: String
  url_gte: String
  url_contains: String
  url_not_contains: String
  url_starts_with: String
  url_not_starts_with: String
  url_ends_with: String
  url_not_ends_with: String
  campaign: CampaignWhereInput
  page: PageWhereInput
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [MediaItemWhereInput!]
  OR: [MediaItemWhereInput!]
  NOT: [MediaItemWhereInput!]
}

input MediaItemWhereUniqueInput {
  id: ID
}

type Mutation {
  createApp(data: AppCreateInput!): App!
  updateApp(data: AppUpdateInput!, where: AppWhereUniqueInput!): App
  updateManyApps(data: AppUpdateManyMutationInput!, where: AppWhereInput): BatchPayload!
  upsertApp(where: AppWhereUniqueInput!, create: AppCreateInput!, update: AppUpdateInput!): App!
  deleteApp(where: AppWhereUniqueInput!): App
  deleteManyApps(where: AppWhereInput): BatchPayload!
  createCampaign(data: CampaignCreateInput!): Campaign!
  updateCampaign(data: CampaignUpdateInput!, where: CampaignWhereUniqueInput!): Campaign
  updateManyCampaigns(data: CampaignUpdateManyMutationInput!, where: CampaignWhereInput): BatchPayload!
  upsertCampaign(where: CampaignWhereUniqueInput!, create: CampaignCreateInput!, update: CampaignUpdateInput!): Campaign!
  deleteCampaign(where: CampaignWhereUniqueInput!): Campaign
  deleteManyCampaigns(where: CampaignWhereInput): BatchPayload!
  createCatalogItem(data: CatalogItemCreateInput!): CatalogItem!
  updateCatalogItem(data: CatalogItemUpdateInput!, where: CatalogItemWhereUniqueInput!): CatalogItem
  updateManyCatalogItems(data: CatalogItemUpdateManyMutationInput!, where: CatalogItemWhereInput): BatchPayload!
  upsertCatalogItem(where: CatalogItemWhereUniqueInput!, create: CatalogItemCreateInput!, update: CatalogItemUpdateInput!): CatalogItem!
  deleteCatalogItem(where: CatalogItemWhereUniqueInput!): CatalogItem
  deleteManyCatalogItems(where: CatalogItemWhereInput): BatchPayload!
  createDomain(data: DomainCreateInput!): Domain!
  updateDomain(data: DomainUpdateInput!, where: DomainWhereUniqueInput!): Domain
  updateManyDomains(data: DomainUpdateManyMutationInput!, where: DomainWhereInput): BatchPayload!
  upsertDomain(where: DomainWhereUniqueInput!, create: DomainCreateInput!, update: DomainUpdateInput!): Domain!
  deleteDomain(where: DomainWhereUniqueInput!): Domain
  deleteManyDomains(where: DomainWhereInput): BatchPayload!
  createIntegration(data: IntegrationCreateInput!): Integration!
  updateIntegration(data: IntegrationUpdateInput!, where: IntegrationWhereUniqueInput!): Integration
  updateManyIntegrations(data: IntegrationUpdateManyMutationInput!, where: IntegrationWhereInput): BatchPayload!
  upsertIntegration(where: IntegrationWhereUniqueInput!, create: IntegrationCreateInput!, update: IntegrationUpdateInput!): Integration!
  deleteIntegration(where: IntegrationWhereUniqueInput!): Integration
  deleteManyIntegrations(where: IntegrationWhereInput): BatchPayload!
  createMediaItem(data: MediaItemCreateInput!): MediaItem!
  updateMediaItem(data: MediaItemUpdateInput!, where: MediaItemWhereUniqueInput!): MediaItem
  updateManyMediaItems(data: MediaItemUpdateManyMutationInput!, where: MediaItemWhereInput): BatchPayload!
  upsertMediaItem(where: MediaItemWhereUniqueInput!, create: MediaItemCreateInput!, update: MediaItemUpdateInput!): MediaItem!
  deleteMediaItem(where: MediaItemWhereUniqueInput!): MediaItem
  deleteManyMediaItems(where: MediaItemWhereInput): BatchPayload!
  createObject(data: ObjectCreateInput!): Object!
  updateObject(data: ObjectUpdateInput!, where: ObjectWhereUniqueInput!): Object
  updateManyObjects(data: ObjectUpdateManyMutationInput!, where: ObjectWhereInput): BatchPayload!
  upsertObject(where: ObjectWhereUniqueInput!, create: ObjectCreateInput!, update: ObjectUpdateInput!): Object!
  deleteObject(where: ObjectWhereUniqueInput!): Object
  deleteManyObjects(where: ObjectWhereInput): BatchPayload!
  createPage(data: PageCreateInput!): Page!
  updatePage(data: PageUpdateInput!, where: PageWhereUniqueInput!): Page
  updateManyPages(data: PageUpdateManyMutationInput!, where: PageWhereInput): BatchPayload!
  upsertPage(where: PageWhereUniqueInput!, create: PageCreateInput!, update: PageUpdateInput!): Page!
  deletePage(where: PageWhereUniqueInput!): Page
  deleteManyPages(where: PageWhereInput): BatchPayload!
  createUser(data: UserCreateInput!): User!
  updateUser(data: UserUpdateInput!, where: UserWhereUniqueInput!): User
  updateManyUsers(data: UserUpdateManyMutationInput!, where: UserWhereInput): BatchPayload!
  upsertUser(where: UserWhereUniqueInput!, create: UserCreateInput!, update: UserUpdateInput!): User!
  deleteUser(where: UserWhereUniqueInput!): User
  deleteManyUsers(where: UserWhereInput): BatchPayload!
}

enum MutationType {
  CREATED
  UPDATED
  DELETED
}

interface Node {
  id: ID!
}

type Object {
  campaign: Campaign
  connectTo(where: ObjectWhereInput, orderBy: ObjectOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Object!]
  deleted: Boolean
  id: ID!
  page: Page
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
  createdAt: DateTime!
  updatedAt: DateTime!
}

type ObjectConnection {
  pageInfo: PageInfo!
  edges: [ObjectEdge]!
  aggregate: AggregateObject!
}

input ObjectCreateInput {
  campaign: CampaignCreateOneWithoutObjectsInput
  connectTo: ObjectCreateManyWithoutConnectToInput
  deleted: Boolean
  id: ID
  page: PageCreateOneWithoutObjectInput
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectCreateManyWithoutCampaignInput {
  create: [ObjectCreateWithoutCampaignInput!]
  connect: [ObjectWhereUniqueInput!]
}

input ObjectCreateManyWithoutConnectToInput {
  create: [ObjectCreateWithoutConnectToInput!]
  connect: [ObjectWhereUniqueInput!]
}

input ObjectCreateOneWithoutPageInput {
  create: ObjectCreateWithoutPageInput
  connect: ObjectWhereUniqueInput
}

input ObjectCreateWithoutCampaignInput {
  connectTo: ObjectCreateManyWithoutConnectToInput
  deleted: Boolean
  id: ID
  page: PageCreateOneWithoutObjectInput
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectCreateWithoutConnectToInput {
  campaign: CampaignCreateOneWithoutObjectsInput
  deleted: Boolean
  id: ID
  page: PageCreateOneWithoutObjectInput
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectCreateWithoutPageInput {
  campaign: CampaignCreateOneWithoutObjectsInput
  connectTo: ObjectCreateManyWithoutConnectToInput
  deleted: Boolean
  id: ID
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

type ObjectEdge {
  node: Object!
  cursor: String!
}

enum ObjectOrderByInput {
  deleted_ASC
  deleted_DESC
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  screenshot_ASC
  screenshot_DESC
  settings_ASC
  settings_DESC
  type_ASC
  type_DESC
  x_ASC
  x_DESC
  y_ASC
  y_DESC
  width_ASC
  width_DESC
  height_ASC
  height_DESC
  oldCampaignId_ASC
  oldCampaignId_DESC
  createdAt_ASC
  createdAt_DESC
  updatedAt_ASC
  updatedAt_DESC
}

type ObjectPreviousValues {
  deleted: Boolean
  id: ID!
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
  createdAt: DateTime!
  updatedAt: DateTime!
}

input ObjectScalarWhereInput {
  deleted: Boolean
  deleted_not: Boolean
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  screenshot: String
  screenshot_not: String
  screenshot_in: [String!]
  screenshot_not_in: [String!]
  screenshot_lt: String
  screenshot_lte: String
  screenshot_gt: String
  screenshot_gte: String
  screenshot_contains: String
  screenshot_not_contains: String
  screenshot_starts_with: String
  screenshot_not_starts_with: String
  screenshot_ends_with: String
  screenshot_not_ends_with: String
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  x: Int
  x_not: Int
  x_in: [Int!]
  x_not_in: [Int!]
  x_lt: Int
  x_lte: Int
  x_gt: Int
  x_gte: Int
  y: Int
  y_not: Int
  y_in: [Int!]
  y_not_in: [Int!]
  y_lt: Int
  y_lte: Int
  y_gt: Int
  y_gte: Int
  width: Int
  width_not: Int
  width_in: [Int!]
  width_not_in: [Int!]
  width_lt: Int
  width_lte: Int
  width_gt: Int
  width_gte: Int
  height: Int
  height_not: Int
  height_in: [Int!]
  height_not_in: [Int!]
  height_lt: Int
  height_lte: Int
  height_gt: Int
  height_gte: Int
  oldCampaignId: String
  oldCampaignId_not: String
  oldCampaignId_in: [String!]
  oldCampaignId_not_in: [String!]
  oldCampaignId_lt: String
  oldCampaignId_lte: String
  oldCampaignId_gt: String
  oldCampaignId_gte: String
  oldCampaignId_contains: String
  oldCampaignId_not_contains: String
  oldCampaignId_starts_with: String
  oldCampaignId_not_starts_with: String
  oldCampaignId_ends_with: String
  oldCampaignId_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [ObjectScalarWhereInput!]
  OR: [ObjectScalarWhereInput!]
  NOT: [ObjectScalarWhereInput!]
}

type ObjectSubscriptionPayload {
  mutation: MutationType!
  node: Object
  updatedFields: [String!]
  previousValues: ObjectPreviousValues
}

input ObjectSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: ObjectWhereInput
  AND: [ObjectSubscriptionWhereInput!]
  OR: [ObjectSubscriptionWhereInput!]
  NOT: [ObjectSubscriptionWhereInput!]
}

input ObjectUpdateInput {
  campaign: CampaignUpdateOneWithoutObjectsInput
  connectTo: ObjectUpdateManyWithoutConnectToInput
  deleted: Boolean
  page: PageUpdateOneWithoutObjectInput
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectUpdateManyDataInput {
  deleted: Boolean
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectUpdateManyMutationInput {
  deleted: Boolean
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectUpdateManyWithoutCampaignInput {
  create: [ObjectCreateWithoutCampaignInput!]
  delete: [ObjectWhereUniqueInput!]
  connect: [ObjectWhereUniqueInput!]
  set: [ObjectWhereUniqueInput!]
  disconnect: [ObjectWhereUniqueInput!]
  update: [ObjectUpdateWithWhereUniqueWithoutCampaignInput!]
  upsert: [ObjectUpsertWithWhereUniqueWithoutCampaignInput!]
  deleteMany: [ObjectScalarWhereInput!]
  updateMany: [ObjectUpdateManyWithWhereNestedInput!]
}

input ObjectUpdateManyWithoutConnectToInput {
  create: [ObjectCreateWithoutConnectToInput!]
  delete: [ObjectWhereUniqueInput!]
  connect: [ObjectWhereUniqueInput!]
  set: [ObjectWhereUniqueInput!]
  disconnect: [ObjectWhereUniqueInput!]
  update: [ObjectUpdateWithWhereUniqueWithoutConnectToInput!]
  upsert: [ObjectUpsertWithWhereUniqueWithoutConnectToInput!]
  deleteMany: [ObjectScalarWhereInput!]
  updateMany: [ObjectUpdateManyWithWhereNestedInput!]
}

input ObjectUpdateManyWithWhereNestedInput {
  where: ObjectScalarWhereInput!
  data: ObjectUpdateManyDataInput!
}

input ObjectUpdateOneWithoutPageInput {
  create: ObjectCreateWithoutPageInput
  update: ObjectUpdateWithoutPageDataInput
  upsert: ObjectUpsertWithoutPageInput
  delete: Boolean
  disconnect: Boolean
  connect: ObjectWhereUniqueInput
}

input ObjectUpdateWithoutCampaignDataInput {
  connectTo: ObjectUpdateManyWithoutConnectToInput
  deleted: Boolean
  page: PageUpdateOneWithoutObjectInput
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectUpdateWithoutConnectToDataInput {
  campaign: CampaignUpdateOneWithoutObjectsInput
  deleted: Boolean
  page: PageUpdateOneWithoutObjectInput
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectUpdateWithoutPageDataInput {
  campaign: CampaignUpdateOneWithoutObjectsInput
  connectTo: ObjectUpdateManyWithoutConnectToInput
  deleted: Boolean
  name: String
  screenshot: String
  settings: Json
  type: String
  x: Int
  y: Int
  width: Int
  height: Int
  oldCampaignId: String
}

input ObjectUpdateWithWhereUniqueWithoutCampaignInput {
  where: ObjectWhereUniqueInput!
  data: ObjectUpdateWithoutCampaignDataInput!
}

input ObjectUpdateWithWhereUniqueWithoutConnectToInput {
  where: ObjectWhereUniqueInput!
  data: ObjectUpdateWithoutConnectToDataInput!
}

input ObjectUpsertWithoutPageInput {
  update: ObjectUpdateWithoutPageDataInput!
  create: ObjectCreateWithoutPageInput!
}

input ObjectUpsertWithWhereUniqueWithoutCampaignInput {
  where: ObjectWhereUniqueInput!
  update: ObjectUpdateWithoutCampaignDataInput!
  create: ObjectCreateWithoutCampaignInput!
}

input ObjectUpsertWithWhereUniqueWithoutConnectToInput {
  where: ObjectWhereUniqueInput!
  update: ObjectUpdateWithoutConnectToDataInput!
  create: ObjectCreateWithoutConnectToInput!
}

input ObjectWhereInput {
  campaign: CampaignWhereInput
  connectTo_every: ObjectWhereInput
  connectTo_some: ObjectWhereInput
  connectTo_none: ObjectWhereInput
  deleted: Boolean
  deleted_not: Boolean
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  page: PageWhereInput
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  screenshot: String
  screenshot_not: String
  screenshot_in: [String!]
  screenshot_not_in: [String!]
  screenshot_lt: String
  screenshot_lte: String
  screenshot_gt: String
  screenshot_gte: String
  screenshot_contains: String
  screenshot_not_contains: String
  screenshot_starts_with: String
  screenshot_not_starts_with: String
  screenshot_ends_with: String
  screenshot_not_ends_with: String
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  x: Int
  x_not: Int
  x_in: [Int!]
  x_not_in: [Int!]
  x_lt: Int
  x_lte: Int
  x_gt: Int
  x_gte: Int
  y: Int
  y_not: Int
  y_in: [Int!]
  y_not_in: [Int!]
  y_lt: Int
  y_lte: Int
  y_gt: Int
  y_gte: Int
  width: Int
  width_not: Int
  width_in: [Int!]
  width_not_in: [Int!]
  width_lt: Int
  width_lte: Int
  width_gt: Int
  width_gte: Int
  height: Int
  height_not: Int
  height_in: [Int!]
  height_not_in: [Int!]
  height_lt: Int
  height_lte: Int
  height_gt: Int
  height_gte: Int
  oldCampaignId: String
  oldCampaignId_not: String
  oldCampaignId_in: [String!]
  oldCampaignId_not_in: [String!]
  oldCampaignId_lt: String
  oldCampaignId_lte: String
  oldCampaignId_gt: String
  oldCampaignId_gte: String
  oldCampaignId_contains: String
  oldCampaignId_not_contains: String
  oldCampaignId_starts_with: String
  oldCampaignId_not_starts_with: String
  oldCampaignId_ends_with: String
  oldCampaignId_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [ObjectWhereInput!]
  OR: [ObjectWhereInput!]
  NOT: [ObjectWhereInput!]
}

input ObjectWhereUniqueInput {
  id: ID
}

type Page {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: Domain
  errorPageForDomain: Domain
  htmlContent: String
  id: ID!
  name: String!
  object: Object
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  user: User
  catalogItem: CatalogItem
  mediaItems(where: MediaItemWhereInput, orderBy: MediaItemOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [MediaItem!]
  createdAt: DateTime!
  updatedAt: DateTime!
}

type PageConnection {
  pageInfo: PageInfo!
  edges: [PageEdge]!
  aggregate: AggregatePage!
}

input PageCreateInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainCreateOneWithoutHomePageInput
  errorPageForDomain: DomainCreateOneWithoutErrorPageInput
  htmlContent: String
  id: ID
  name: String!
  object: ObjectCreateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  user: UserCreateOneWithoutPagesInput
  catalogItem: CatalogItemCreateOneWithoutPageInput
  mediaItems: MediaItemCreateManyWithoutPageInput
}

input PageCreateManyWithoutUserInput {
  create: [PageCreateWithoutUserInput!]
  connect: [PageWhereUniqueInput!]
}

input PageCreateOneWithoutCatalogItemInput {
  create: PageCreateWithoutCatalogItemInput
  connect: PageWhereUniqueInput
}

input PageCreateOneWithoutErrorPageForDomainInput {
  create: PageCreateWithoutErrorPageForDomainInput
  connect: PageWhereUniqueInput
}

input PageCreateOneWithoutHomePageForDomainInput {
  create: PageCreateWithoutHomePageForDomainInput
  connect: PageWhereUniqueInput
}

input PageCreateOneWithoutMediaItemsInput {
  create: PageCreateWithoutMediaItemsInput
  connect: PageWhereUniqueInput
}

input PageCreateOneWithoutObjectInput {
  create: PageCreateWithoutObjectInput
  connect: PageWhereUniqueInput
}

input PageCreateWithoutCatalogItemInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainCreateOneWithoutHomePageInput
  errorPageForDomain: DomainCreateOneWithoutErrorPageInput
  htmlContent: String
  id: ID
  name: String!
  object: ObjectCreateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  user: UserCreateOneWithoutPagesInput
  mediaItems: MediaItemCreateManyWithoutPageInput
}

input PageCreateWithoutErrorPageForDomainInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainCreateOneWithoutHomePageInput
  htmlContent: String
  id: ID
  name: String!
  object: ObjectCreateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  user: UserCreateOneWithoutPagesInput
  catalogItem: CatalogItemCreateOneWithoutPageInput
  mediaItems: MediaItemCreateManyWithoutPageInput
}

input PageCreateWithoutHomePageForDomainInput {
  content: Json
  deleted: Boolean
  fileName: String
  errorPageForDomain: DomainCreateOneWithoutErrorPageInput
  htmlContent: String
  id: ID
  name: String!
  object: ObjectCreateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  user: UserCreateOneWithoutPagesInput
  catalogItem: CatalogItemCreateOneWithoutPageInput
  mediaItems: MediaItemCreateManyWithoutPageInput
}

input PageCreateWithoutMediaItemsInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainCreateOneWithoutHomePageInput
  errorPageForDomain: DomainCreateOneWithoutErrorPageInput
  htmlContent: String
  id: ID
  name: String!
  object: ObjectCreateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  user: UserCreateOneWithoutPagesInput
  catalogItem: CatalogItemCreateOneWithoutPageInput
}

input PageCreateWithoutObjectInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainCreateOneWithoutHomePageInput
  errorPageForDomain: DomainCreateOneWithoutErrorPageInput
  htmlContent: String
  id: ID
  name: String!
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  user: UserCreateOneWithoutPagesInput
  catalogItem: CatalogItemCreateOneWithoutPageInput
  mediaItems: MediaItemCreateManyWithoutPageInput
}

input PageCreateWithoutUserInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainCreateOneWithoutHomePageInput
  errorPageForDomain: DomainCreateOneWithoutErrorPageInput
  htmlContent: String
  id: ID
  name: String!
  object: ObjectCreateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  catalogItem: CatalogItemCreateOneWithoutPageInput
  mediaItems: MediaItemCreateManyWithoutPageInput
}

type PageEdge {
  node: Page!
  cursor: String!
}

type PageInfo {
  hasNextPage: Boolean!
  hasPreviousPage: Boolean!
  startCursor: String
  endCursor: String
}

enum PageOrderByInput {
  content_ASC
  content_DESC
  deleted_ASC
  deleted_DESC
  fileName_ASC
  fileName_DESC
  htmlContent_ASC
  htmlContent_DESC
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  pageSettings_ASC
  pageSettings_DESC
  publishedAt_ASC
  publishedAt_DESC
  screenshot_ASC
  screenshot_DESC
  slug_ASC
  slug_DESC
  theme_ASC
  theme_DESC
  type_ASC
  type_DESC
  createdAt_ASC
  createdAt_DESC
  updatedAt_ASC
  updatedAt_DESC
}

type PagePreviousValues {
  content: Json
  deleted: Boolean
  fileName: String
  htmlContent: String
  id: ID!
  name: String!
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String!
  theme: String!
  type: String!
  createdAt: DateTime!
  updatedAt: DateTime!
}

input PageScalarWhereInput {
  deleted: Boolean
  deleted_not: Boolean
  fileName: String
  fileName_not: String
  fileName_in: [String!]
  fileName_not_in: [String!]
  fileName_lt: String
  fileName_lte: String
  fileName_gt: String
  fileName_gte: String
  fileName_contains: String
  fileName_not_contains: String
  fileName_starts_with: String
  fileName_not_starts_with: String
  fileName_ends_with: String
  fileName_not_ends_with: String
  htmlContent: String
  htmlContent_not: String
  htmlContent_in: [String!]
  htmlContent_not_in: [String!]
  htmlContent_lt: String
  htmlContent_lte: String
  htmlContent_gt: String
  htmlContent_gte: String
  htmlContent_contains: String
  htmlContent_not_contains: String
  htmlContent_starts_with: String
  htmlContent_not_starts_with: String
  htmlContent_ends_with: String
  htmlContent_not_ends_with: String
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  publishedAt: DateTime
  publishedAt_not: DateTime
  publishedAt_in: [DateTime!]
  publishedAt_not_in: [DateTime!]
  publishedAt_lt: DateTime
  publishedAt_lte: DateTime
  publishedAt_gt: DateTime
  publishedAt_gte: DateTime
  screenshot: String
  screenshot_not: String
  screenshot_in: [String!]
  screenshot_not_in: [String!]
  screenshot_lt: String
  screenshot_lte: String
  screenshot_gt: String
  screenshot_gte: String
  screenshot_contains: String
  screenshot_not_contains: String
  screenshot_starts_with: String
  screenshot_not_starts_with: String
  screenshot_ends_with: String
  screenshot_not_ends_with: String
  slug: String
  slug_not: String
  slug_in: [String!]
  slug_not_in: [String!]
  slug_lt: String
  slug_lte: String
  slug_gt: String
  slug_gte: String
  slug_contains: String
  slug_not_contains: String
  slug_starts_with: String
  slug_not_starts_with: String
  slug_ends_with: String
  slug_not_ends_with: String
  theme: String
  theme_not: String
  theme_in: [String!]
  theme_not_in: [String!]
  theme_lt: String
  theme_lte: String
  theme_gt: String
  theme_gte: String
  theme_contains: String
  theme_not_contains: String
  theme_starts_with: String
  theme_not_starts_with: String
  theme_ends_with: String
  theme_not_ends_with: String
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [PageScalarWhereInput!]
  OR: [PageScalarWhereInput!]
  NOT: [PageScalarWhereInput!]
}

type PageSubscriptionPayload {
  mutation: MutationType!
  node: Page
  updatedFields: [String!]
  previousValues: PagePreviousValues
}

input PageSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: PageWhereInput
  AND: [PageSubscriptionWhereInput!]
  OR: [PageSubscriptionWhereInput!]
  NOT: [PageSubscriptionWhereInput!]
}

input PageUpdateInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainUpdateOneWithoutHomePageInput
  errorPageForDomain: DomainUpdateOneWithoutErrorPageInput
  htmlContent: String
  name: String
  object: ObjectUpdateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
  user: UserUpdateOneWithoutPagesInput
  catalogItem: CatalogItemUpdateOneWithoutPageInput
  mediaItems: MediaItemUpdateManyWithoutPageInput
}

input PageUpdateManyDataInput {
  content: Json
  deleted: Boolean
  fileName: String
  htmlContent: String
  name: String
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
}

input PageUpdateManyMutationInput {
  content: Json
  deleted: Boolean
  fileName: String
  htmlContent: String
  name: String
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
}

input PageUpdateManyWithoutUserInput {
  create: [PageCreateWithoutUserInput!]
  delete: [PageWhereUniqueInput!]
  connect: [PageWhereUniqueInput!]
  set: [PageWhereUniqueInput!]
  disconnect: [PageWhereUniqueInput!]
  update: [PageUpdateWithWhereUniqueWithoutUserInput!]
  upsert: [PageUpsertWithWhereUniqueWithoutUserInput!]
  deleteMany: [PageScalarWhereInput!]
  updateMany: [PageUpdateManyWithWhereNestedInput!]
}

input PageUpdateManyWithWhereNestedInput {
  where: PageScalarWhereInput!
  data: PageUpdateManyDataInput!
}

input PageUpdateOneWithoutCatalogItemInput {
  create: PageCreateWithoutCatalogItemInput
  update: PageUpdateWithoutCatalogItemDataInput
  upsert: PageUpsertWithoutCatalogItemInput
  delete: Boolean
  disconnect: Boolean
  connect: PageWhereUniqueInput
}

input PageUpdateOneWithoutErrorPageForDomainInput {
  create: PageCreateWithoutErrorPageForDomainInput
  update: PageUpdateWithoutErrorPageForDomainDataInput
  upsert: PageUpsertWithoutErrorPageForDomainInput
  delete: Boolean
  disconnect: Boolean
  connect: PageWhereUniqueInput
}

input PageUpdateOneWithoutHomePageForDomainInput {
  create: PageCreateWithoutHomePageForDomainInput
  update: PageUpdateWithoutHomePageForDomainDataInput
  upsert: PageUpsertWithoutHomePageForDomainInput
  delete: Boolean
  disconnect: Boolean
  connect: PageWhereUniqueInput
}

input PageUpdateOneWithoutMediaItemsInput {
  create: PageCreateWithoutMediaItemsInput
  update: PageUpdateWithoutMediaItemsDataInput
  upsert: PageUpsertWithoutMediaItemsInput
  delete: Boolean
  disconnect: Boolean
  connect: PageWhereUniqueInput
}

input PageUpdateOneWithoutObjectInput {
  create: PageCreateWithoutObjectInput
  update: PageUpdateWithoutObjectDataInput
  upsert: PageUpsertWithoutObjectInput
  delete: Boolean
  disconnect: Boolean
  connect: PageWhereUniqueInput
}

input PageUpdateWithoutCatalogItemDataInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainUpdateOneWithoutHomePageInput
  errorPageForDomain: DomainUpdateOneWithoutErrorPageInput
  htmlContent: String
  name: String
  object: ObjectUpdateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
  user: UserUpdateOneWithoutPagesInput
  mediaItems: MediaItemUpdateManyWithoutPageInput
}

input PageUpdateWithoutErrorPageForDomainDataInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainUpdateOneWithoutHomePageInput
  htmlContent: String
  name: String
  object: ObjectUpdateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
  user: UserUpdateOneWithoutPagesInput
  catalogItem: CatalogItemUpdateOneWithoutPageInput
  mediaItems: MediaItemUpdateManyWithoutPageInput
}

input PageUpdateWithoutHomePageForDomainDataInput {
  content: Json
  deleted: Boolean
  fileName: String
  errorPageForDomain: DomainUpdateOneWithoutErrorPageInput
  htmlContent: String
  name: String
  object: ObjectUpdateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
  user: UserUpdateOneWithoutPagesInput
  catalogItem: CatalogItemUpdateOneWithoutPageInput
  mediaItems: MediaItemUpdateManyWithoutPageInput
}

input PageUpdateWithoutMediaItemsDataInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainUpdateOneWithoutHomePageInput
  errorPageForDomain: DomainUpdateOneWithoutErrorPageInput
  htmlContent: String
  name: String
  object: ObjectUpdateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
  user: UserUpdateOneWithoutPagesInput
  catalogItem: CatalogItemUpdateOneWithoutPageInput
}

input PageUpdateWithoutObjectDataInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainUpdateOneWithoutHomePageInput
  errorPageForDomain: DomainUpdateOneWithoutErrorPageInput
  htmlContent: String
  name: String
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
  user: UserUpdateOneWithoutPagesInput
  catalogItem: CatalogItemUpdateOneWithoutPageInput
  mediaItems: MediaItemUpdateManyWithoutPageInput
}

input PageUpdateWithoutUserDataInput {
  content: Json
  deleted: Boolean
  fileName: String
  homePageForDomain: DomainUpdateOneWithoutHomePageInput
  errorPageForDomain: DomainUpdateOneWithoutErrorPageInput
  htmlContent: String
  name: String
  object: ObjectUpdateOneWithoutPageInput
  pageSettings: Json
  publishedAt: DateTime
  screenshot: String
  slug: String
  theme: String
  type: String
  catalogItem: CatalogItemUpdateOneWithoutPageInput
  mediaItems: MediaItemUpdateManyWithoutPageInput
}

input PageUpdateWithWhereUniqueWithoutUserInput {
  where: PageWhereUniqueInput!
  data: PageUpdateWithoutUserDataInput!
}

input PageUpsertWithoutCatalogItemInput {
  update: PageUpdateWithoutCatalogItemDataInput!
  create: PageCreateWithoutCatalogItemInput!
}

input PageUpsertWithoutErrorPageForDomainInput {
  update: PageUpdateWithoutErrorPageForDomainDataInput!
  create: PageCreateWithoutErrorPageForDomainInput!
}

input PageUpsertWithoutHomePageForDomainInput {
  update: PageUpdateWithoutHomePageForDomainDataInput!
  create: PageCreateWithoutHomePageForDomainInput!
}

input PageUpsertWithoutMediaItemsInput {
  update: PageUpdateWithoutMediaItemsDataInput!
  create: PageCreateWithoutMediaItemsInput!
}

input PageUpsertWithoutObjectInput {
  update: PageUpdateWithoutObjectDataInput!
  create: PageCreateWithoutObjectInput!
}

input PageUpsertWithWhereUniqueWithoutUserInput {
  where: PageWhereUniqueInput!
  update: PageUpdateWithoutUserDataInput!
  create: PageCreateWithoutUserInput!
}

input PageWhereInput {
  deleted: Boolean
  deleted_not: Boolean
  fileName: String
  fileName_not: String
  fileName_in: [String!]
  fileName_not_in: [String!]
  fileName_lt: String
  fileName_lte: String
  fileName_gt: String
  fileName_gte: String
  fileName_contains: String
  fileName_not_contains: String
  fileName_starts_with: String
  fileName_not_starts_with: String
  fileName_ends_with: String
  fileName_not_ends_with: String
  homePageForDomain: DomainWhereInput
  errorPageForDomain: DomainWhereInput
  htmlContent: String
  htmlContent_not: String
  htmlContent_in: [String!]
  htmlContent_not_in: [String!]
  htmlContent_lt: String
  htmlContent_lte: String
  htmlContent_gt: String
  htmlContent_gte: String
  htmlContent_contains: String
  htmlContent_not_contains: String
  htmlContent_starts_with: String
  htmlContent_not_starts_with: String
  htmlContent_ends_with: String
  htmlContent_not_ends_with: String
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  name: String
  name_not: String
  name_in: [String!]
  name_not_in: [String!]
  name_lt: String
  name_lte: String
  name_gt: String
  name_gte: String
  name_contains: String
  name_not_contains: String
  name_starts_with: String
  name_not_starts_with: String
  name_ends_with: String
  name_not_ends_with: String
  object: ObjectWhereInput
  publishedAt: DateTime
  publishedAt_not: DateTime
  publishedAt_in: [DateTime!]
  publishedAt_not_in: [DateTime!]
  publishedAt_lt: DateTime
  publishedAt_lte: DateTime
  publishedAt_gt: DateTime
  publishedAt_gte: DateTime
  screenshot: String
  screenshot_not: String
  screenshot_in: [String!]
  screenshot_not_in: [String!]
  screenshot_lt: String
  screenshot_lte: String
  screenshot_gt: String
  screenshot_gte: String
  screenshot_contains: String
  screenshot_not_contains: String
  screenshot_starts_with: String
  screenshot_not_starts_with: String
  screenshot_ends_with: String
  screenshot_not_ends_with: String
  slug: String
  slug_not: String
  slug_in: [String!]
  slug_not_in: [String!]
  slug_lt: String
  slug_lte: String
  slug_gt: String
  slug_gte: String
  slug_contains: String
  slug_not_contains: String
  slug_starts_with: String
  slug_not_starts_with: String
  slug_ends_with: String
  slug_not_ends_with: String
  theme: String
  theme_not: String
  theme_in: [String!]
  theme_not_in: [String!]
  theme_lt: String
  theme_lte: String
  theme_gt: String
  theme_gte: String
  theme_contains: String
  theme_not_contains: String
  theme_starts_with: String
  theme_not_starts_with: String
  theme_ends_with: String
  theme_not_ends_with: String
  type: String
  type_not: String
  type_in: [String!]
  type_not_in: [String!]
  type_lt: String
  type_lte: String
  type_gt: String
  type_gte: String
  type_contains: String
  type_not_contains: String
  type_starts_with: String
  type_not_starts_with: String
  type_ends_with: String
  type_not_ends_with: String
  user: UserWhereInput
  catalogItem: CatalogItemWhereInput
  mediaItems_every: MediaItemWhereInput
  mediaItems_some: MediaItemWhereInput
  mediaItems_none: MediaItemWhereInput
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [PageWhereInput!]
  OR: [PageWhereInput!]
  NOT: [PageWhereInput!]
}

input PageWhereUniqueInput {
  id: ID
}

type Query {
  app(where: AppWhereUniqueInput!): App
  apps(where: AppWhereInput, orderBy: AppOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [App]!
  appsConnection(where: AppWhereInput, orderBy: AppOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): AppConnection!
  campaign(where: CampaignWhereUniqueInput!): Campaign
  campaigns(where: CampaignWhereInput, orderBy: CampaignOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Campaign]!
  campaignsConnection(where: CampaignWhereInput, orderBy: CampaignOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): CampaignConnection!
  catalogItem(where: CatalogItemWhereUniqueInput!): CatalogItem
  catalogItems(where: CatalogItemWhereInput, orderBy: CatalogItemOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [CatalogItem]!
  catalogItemsConnection(where: CatalogItemWhereInput, orderBy: CatalogItemOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): CatalogItemConnection!
  domain(where: DomainWhereUniqueInput!): Domain
  domains(where: DomainWhereInput, orderBy: DomainOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Domain]!
  domainsConnection(where: DomainWhereInput, orderBy: DomainOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): DomainConnection!
  integration(where: IntegrationWhereUniqueInput!): Integration
  integrations(where: IntegrationWhereInput, orderBy: IntegrationOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Integration]!
  integrationsConnection(where: IntegrationWhereInput, orderBy: IntegrationOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): IntegrationConnection!
  mediaItem(where: MediaItemWhereUniqueInput!): MediaItem
  mediaItems(where: MediaItemWhereInput, orderBy: MediaItemOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [MediaItem]!
  mediaItemsConnection(where: MediaItemWhereInput, orderBy: MediaItemOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): MediaItemConnection!
  object(where: ObjectWhereUniqueInput!): Object
  objects(where: ObjectWhereInput, orderBy: ObjectOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Object]!
  objectsConnection(where: ObjectWhereInput, orderBy: ObjectOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): ObjectConnection!
  page(where: PageWhereUniqueInput!): Page
  pages(where: PageWhereInput, orderBy: PageOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Page]!
  pagesConnection(where: PageWhereInput, orderBy: PageOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): PageConnection!
  user(where: UserWhereUniqueInput!): User
  users(where: UserWhereInput, orderBy: UserOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [User]!
  usersConnection(where: UserWhereInput, orderBy: UserOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): UserConnection!
  node(id: ID!): Node
}

type Subscription {
  app(where: AppSubscriptionWhereInput): AppSubscriptionPayload
  campaign(where: CampaignSubscriptionWhereInput): CampaignSubscriptionPayload
  catalogItem(where: CatalogItemSubscriptionWhereInput): CatalogItemSubscriptionPayload
  domain(where: DomainSubscriptionWhereInput): DomainSubscriptionPayload
  integration(where: IntegrationSubscriptionWhereInput): IntegrationSubscriptionPayload
  mediaItem(where: MediaItemSubscriptionWhereInput): MediaItemSubscriptionPayload
  object(where: ObjectSubscriptionWhereInput): ObjectSubscriptionPayload
  page(where: PageSubscriptionWhereInput): PageSubscriptionPayload
  user(where: UserSubscriptionWhereInput): UserSubscriptionPayload
}

type User {
  id: ID!
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps(where: AppWhereInput, orderBy: AppOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [App!]
  campaigns(where: CampaignWhereInput, orderBy: CampaignOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Campaign!]
  catalogItems(where: CatalogItemWhereInput, orderBy: CatalogItemOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [CatalogItem!]
  domains(where: DomainWhereInput, orderBy: DomainOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Domain!]
  integrations(where: IntegrationWhereInput, orderBy: IntegrationOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Integration!]
  mediaItems(where: MediaItemWhereInput, orderBy: MediaItemOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [MediaItem!]
  pages(where: PageWhereInput, orderBy: PageOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Page!]
  permissions: Json
  lastLoginDate: DateTime
  createdAt: DateTime!
  updatedAt: DateTime!
}

type UserConnection {
  pageInfo: PageInfo!
  edges: [UserEdge]!
  aggregate: AggregateUser!
}

input UserCreateInput {
  id: ID
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppCreateManyWithoutUsersInput
  campaigns: CampaignCreateManyWithoutUserInput
  catalogItems: CatalogItemCreateManyWithoutUserInput
  domains: DomainCreateManyWithoutUserInput
  integrations: IntegrationCreateManyWithoutUserInput
  mediaItems: MediaItemCreateManyWithoutUserInput
  pages: PageCreateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserCreateManyWithoutAppsInput {
  create: [UserCreateWithoutAppsInput!]
  connect: [UserWhereUniqueInput!]
}

input UserCreateOneWithoutCampaignsInput {
  create: UserCreateWithoutCampaignsInput
  connect: UserWhereUniqueInput
}

input UserCreateOneWithoutCatalogItemsInput {
  create: UserCreateWithoutCatalogItemsInput
  connect: UserWhereUniqueInput
}

input UserCreateOneWithoutDomainsInput {
  create: UserCreateWithoutDomainsInput
  connect: UserWhereUniqueInput
}

input UserCreateOneWithoutIntegrationsInput {
  create: UserCreateWithoutIntegrationsInput
  connect: UserWhereUniqueInput
}

input UserCreateOneWithoutMediaItemsInput {
  create: UserCreateWithoutMediaItemsInput
  connect: UserWhereUniqueInput
}

input UserCreateOneWithoutPagesInput {
  create: UserCreateWithoutPagesInput
  connect: UserWhereUniqueInput
}

input UserCreateWithoutAppsInput {
  id: ID
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  campaigns: CampaignCreateManyWithoutUserInput
  catalogItems: CatalogItemCreateManyWithoutUserInput
  domains: DomainCreateManyWithoutUserInput
  integrations: IntegrationCreateManyWithoutUserInput
  mediaItems: MediaItemCreateManyWithoutUserInput
  pages: PageCreateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserCreateWithoutCampaignsInput {
  id: ID
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppCreateManyWithoutUsersInput
  catalogItems: CatalogItemCreateManyWithoutUserInput
  domains: DomainCreateManyWithoutUserInput
  integrations: IntegrationCreateManyWithoutUserInput
  mediaItems: MediaItemCreateManyWithoutUserInput
  pages: PageCreateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserCreateWithoutCatalogItemsInput {
  id: ID
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppCreateManyWithoutUsersInput
  campaigns: CampaignCreateManyWithoutUserInput
  domains: DomainCreateManyWithoutUserInput
  integrations: IntegrationCreateManyWithoutUserInput
  mediaItems: MediaItemCreateManyWithoutUserInput
  pages: PageCreateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserCreateWithoutDomainsInput {
  id: ID
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppCreateManyWithoutUsersInput
  campaigns: CampaignCreateManyWithoutUserInput
  catalogItems: CatalogItemCreateManyWithoutUserInput
  integrations: IntegrationCreateManyWithoutUserInput
  mediaItems: MediaItemCreateManyWithoutUserInput
  pages: PageCreateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserCreateWithoutIntegrationsInput {
  id: ID
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppCreateManyWithoutUsersInput
  campaigns: CampaignCreateManyWithoutUserInput
  catalogItems: CatalogItemCreateManyWithoutUserInput
  domains: DomainCreateManyWithoutUserInput
  mediaItems: MediaItemCreateManyWithoutUserInput
  pages: PageCreateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserCreateWithoutMediaItemsInput {
  id: ID
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppCreateManyWithoutUsersInput
  campaigns: CampaignCreateManyWithoutUserInput
  catalogItems: CatalogItemCreateManyWithoutUserInput
  domains: DomainCreateManyWithoutUserInput
  integrations: IntegrationCreateManyWithoutUserInput
  pages: PageCreateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserCreateWithoutPagesInput {
  id: ID
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppCreateManyWithoutUsersInput
  campaigns: CampaignCreateManyWithoutUserInput
  catalogItems: CatalogItemCreateManyWithoutUserInput
  domains: DomainCreateManyWithoutUserInput
  integrations: IntegrationCreateManyWithoutUserInput
  mediaItems: MediaItemCreateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

type UserEdge {
  node: User!
  cursor: String!
}

enum UserOrderByInput {
  id_ASC
  id_DESC
  auth0UserId_ASC
  auth0UserId_DESC
  firstName_ASC
  firstName_DESC
  lastName_ASC
  lastName_DESC
  email_ASC
  email_DESC
  company_ASC
  company_DESC
  password_ASC
  password_DESC
  subdomain_ASC
  subdomain_DESC
  deleted_ASC
  deleted_DESC
  permissions_ASC
  permissions_DESC
  lastLoginDate_ASC
  lastLoginDate_DESC
  createdAt_ASC
  createdAt_DESC
  updatedAt_ASC
  updatedAt_DESC
}

type UserPreviousValues {
  id: ID!
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  permissions: Json
  lastLoginDate: DateTime
  createdAt: DateTime!
  updatedAt: DateTime!
}

input UserScalarWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  auth0UserId: String
  auth0UserId_not: String
  auth0UserId_in: [String!]
  auth0UserId_not_in: [String!]
  auth0UserId_lt: String
  auth0UserId_lte: String
  auth0UserId_gt: String
  auth0UserId_gte: String
  auth0UserId_contains: String
  auth0UserId_not_contains: String
  auth0UserId_starts_with: String
  auth0UserId_not_starts_with: String
  auth0UserId_ends_with: String
  auth0UserId_not_ends_with: String
  firstName: String
  firstName_not: String
  firstName_in: [String!]
  firstName_not_in: [String!]
  firstName_lt: String
  firstName_lte: String
  firstName_gt: String
  firstName_gte: String
  firstName_contains: String
  firstName_not_contains: String
  firstName_starts_with: String
  firstName_not_starts_with: String
  firstName_ends_with: String
  firstName_not_ends_with: String
  lastName: String
  lastName_not: String
  lastName_in: [String!]
  lastName_not_in: [String!]
  lastName_lt: String
  lastName_lte: String
  lastName_gt: String
  lastName_gte: String
  lastName_contains: String
  lastName_not_contains: String
  lastName_starts_with: String
  lastName_not_starts_with: String
  lastName_ends_with: String
  lastName_not_ends_with: String
  email: String
  email_not: String
  email_in: [String!]
  email_not_in: [String!]
  email_lt: String
  email_lte: String
  email_gt: String
  email_gte: String
  email_contains: String
  email_not_contains: String
  email_starts_with: String
  email_not_starts_with: String
  email_ends_with: String
  email_not_ends_with: String
  company: String
  company_not: String
  company_in: [String!]
  company_not_in: [String!]
  company_lt: String
  company_lte: String
  company_gt: String
  company_gte: String
  company_contains: String
  company_not_contains: String
  company_starts_with: String
  company_not_starts_with: String
  company_ends_with: String
  company_not_ends_with: String
  password: String
  password_not: String
  password_in: [String!]
  password_not_in: [String!]
  password_lt: String
  password_lte: String
  password_gt: String
  password_gte: String
  password_contains: String
  password_not_contains: String
  password_starts_with: String
  password_not_starts_with: String
  password_ends_with: String
  password_not_ends_with: String
  subdomain: String
  subdomain_not: String
  subdomain_in: [String!]
  subdomain_not_in: [String!]
  subdomain_lt: String
  subdomain_lte: String
  subdomain_gt: String
  subdomain_gte: String
  subdomain_contains: String
  subdomain_not_contains: String
  subdomain_starts_with: String
  subdomain_not_starts_with: String
  subdomain_ends_with: String
  subdomain_not_ends_with: String
  deleted: Boolean
  deleted_not: Boolean
  lastLoginDate: DateTime
  lastLoginDate_not: DateTime
  lastLoginDate_in: [DateTime!]
  lastLoginDate_not_in: [DateTime!]
  lastLoginDate_lt: DateTime
  lastLoginDate_lte: DateTime
  lastLoginDate_gt: DateTime
  lastLoginDate_gte: DateTime
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [UserScalarWhereInput!]
  OR: [UserScalarWhereInput!]
  NOT: [UserScalarWhereInput!]
}

type UserSubscriptionPayload {
  mutation: MutationType!
  node: User
  updatedFields: [String!]
  previousValues: UserPreviousValues
}

input UserSubscriptionWhereInput {
  mutation_in: [MutationType!]
  updatedFields_contains: String
  updatedFields_contains_every: [String!]
  updatedFields_contains_some: [String!]
  node: UserWhereInput
  AND: [UserSubscriptionWhereInput!]
  OR: [UserSubscriptionWhereInput!]
  NOT: [UserSubscriptionWhereInput!]
}

input UserUpdateInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppUpdateManyWithoutUsersInput
  campaigns: CampaignUpdateManyWithoutUserInput
  catalogItems: CatalogItemUpdateManyWithoutUserInput
  domains: DomainUpdateManyWithoutUserInput
  integrations: IntegrationUpdateManyWithoutUserInput
  mediaItems: MediaItemUpdateManyWithoutUserInput
  pages: PageUpdateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateManyDataInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateManyMutationInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateManyWithoutAppsInput {
  create: [UserCreateWithoutAppsInput!]
  delete: [UserWhereUniqueInput!]
  connect: [UserWhereUniqueInput!]
  set: [UserWhereUniqueInput!]
  disconnect: [UserWhereUniqueInput!]
  update: [UserUpdateWithWhereUniqueWithoutAppsInput!]
  upsert: [UserUpsertWithWhereUniqueWithoutAppsInput!]
  deleteMany: [UserScalarWhereInput!]
  updateMany: [UserUpdateManyWithWhereNestedInput!]
}

input UserUpdateManyWithWhereNestedInput {
  where: UserScalarWhereInput!
  data: UserUpdateManyDataInput!
}

input UserUpdateOneWithoutCampaignsInput {
  create: UserCreateWithoutCampaignsInput
  update: UserUpdateWithoutCampaignsDataInput
  upsert: UserUpsertWithoutCampaignsInput
  delete: Boolean
  disconnect: Boolean
  connect: UserWhereUniqueInput
}

input UserUpdateOneWithoutCatalogItemsInput {
  create: UserCreateWithoutCatalogItemsInput
  update: UserUpdateWithoutCatalogItemsDataInput
  upsert: UserUpsertWithoutCatalogItemsInput
  delete: Boolean
  disconnect: Boolean
  connect: UserWhereUniqueInput
}

input UserUpdateOneWithoutDomainsInput {
  create: UserCreateWithoutDomainsInput
  update: UserUpdateWithoutDomainsDataInput
  upsert: UserUpsertWithoutDomainsInput
  delete: Boolean
  disconnect: Boolean
  connect: UserWhereUniqueInput
}

input UserUpdateOneWithoutIntegrationsInput {
  create: UserCreateWithoutIntegrationsInput
  update: UserUpdateWithoutIntegrationsDataInput
  upsert: UserUpsertWithoutIntegrationsInput
  delete: Boolean
  disconnect: Boolean
  connect: UserWhereUniqueInput
}

input UserUpdateOneWithoutMediaItemsInput {
  create: UserCreateWithoutMediaItemsInput
  update: UserUpdateWithoutMediaItemsDataInput
  upsert: UserUpsertWithoutMediaItemsInput
  delete: Boolean
  disconnect: Boolean
  connect: UserWhereUniqueInput
}

input UserUpdateOneWithoutPagesInput {
  create: UserCreateWithoutPagesInput
  update: UserUpdateWithoutPagesDataInput
  upsert: UserUpsertWithoutPagesInput
  delete: Boolean
  disconnect: Boolean
  connect: UserWhereUniqueInput
}

input UserUpdateWithoutAppsDataInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  campaigns: CampaignUpdateManyWithoutUserInput
  catalogItems: CatalogItemUpdateManyWithoutUserInput
  domains: DomainUpdateManyWithoutUserInput
  integrations: IntegrationUpdateManyWithoutUserInput
  mediaItems: MediaItemUpdateManyWithoutUserInput
  pages: PageUpdateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateWithoutCampaignsDataInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppUpdateManyWithoutUsersInput
  catalogItems: CatalogItemUpdateManyWithoutUserInput
  domains: DomainUpdateManyWithoutUserInput
  integrations: IntegrationUpdateManyWithoutUserInput
  mediaItems: MediaItemUpdateManyWithoutUserInput
  pages: PageUpdateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateWithoutCatalogItemsDataInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppUpdateManyWithoutUsersInput
  campaigns: CampaignUpdateManyWithoutUserInput
  domains: DomainUpdateManyWithoutUserInput
  integrations: IntegrationUpdateManyWithoutUserInput
  mediaItems: MediaItemUpdateManyWithoutUserInput
  pages: PageUpdateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateWithoutDomainsDataInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppUpdateManyWithoutUsersInput
  campaigns: CampaignUpdateManyWithoutUserInput
  catalogItems: CatalogItemUpdateManyWithoutUserInput
  integrations: IntegrationUpdateManyWithoutUserInput
  mediaItems: MediaItemUpdateManyWithoutUserInput
  pages: PageUpdateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateWithoutIntegrationsDataInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppUpdateManyWithoutUsersInput
  campaigns: CampaignUpdateManyWithoutUserInput
  catalogItems: CatalogItemUpdateManyWithoutUserInput
  domains: DomainUpdateManyWithoutUserInput
  mediaItems: MediaItemUpdateManyWithoutUserInput
  pages: PageUpdateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateWithoutMediaItemsDataInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppUpdateManyWithoutUsersInput
  campaigns: CampaignUpdateManyWithoutUserInput
  catalogItems: CatalogItemUpdateManyWithoutUserInput
  domains: DomainUpdateManyWithoutUserInput
  integrations: IntegrationUpdateManyWithoutUserInput
  pages: PageUpdateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateWithoutPagesDataInput {
  auth0UserId: String
  firstName: String
  lastName: String
  email: String
  company: String
  password: String
  subdomain: String
  deleted: Boolean
  apps: AppUpdateManyWithoutUsersInput
  campaigns: CampaignUpdateManyWithoutUserInput
  catalogItems: CatalogItemUpdateManyWithoutUserInput
  domains: DomainUpdateManyWithoutUserInput
  integrations: IntegrationUpdateManyWithoutUserInput
  mediaItems: MediaItemUpdateManyWithoutUserInput
  permissions: Json
  lastLoginDate: DateTime
}

input UserUpdateWithWhereUniqueWithoutAppsInput {
  where: UserWhereUniqueInput!
  data: UserUpdateWithoutAppsDataInput!
}

input UserUpsertWithoutCampaignsInput {
  update: UserUpdateWithoutCampaignsDataInput!
  create: UserCreateWithoutCampaignsInput!
}

input UserUpsertWithoutCatalogItemsInput {
  update: UserUpdateWithoutCatalogItemsDataInput!
  create: UserCreateWithoutCatalogItemsInput!
}

input UserUpsertWithoutDomainsInput {
  update: UserUpdateWithoutDomainsDataInput!
  create: UserCreateWithoutDomainsInput!
}

input UserUpsertWithoutIntegrationsInput {
  update: UserUpdateWithoutIntegrationsDataInput!
  create: UserCreateWithoutIntegrationsInput!
}

input UserUpsertWithoutMediaItemsInput {
  update: UserUpdateWithoutMediaItemsDataInput!
  create: UserCreateWithoutMediaItemsInput!
}

input UserUpsertWithoutPagesInput {
  update: UserUpdateWithoutPagesDataInput!
  create: UserCreateWithoutPagesInput!
}

input UserUpsertWithWhereUniqueWithoutAppsInput {
  where: UserWhereUniqueInput!
  update: UserUpdateWithoutAppsDataInput!
  create: UserCreateWithoutAppsInput!
}

input UserWhereInput {
  id: ID
  id_not: ID
  id_in: [ID!]
  id_not_in: [ID!]
  id_lt: ID
  id_lte: ID
  id_gt: ID
  id_gte: ID
  id_contains: ID
  id_not_contains: ID
  id_starts_with: ID
  id_not_starts_with: ID
  id_ends_with: ID
  id_not_ends_with: ID
  auth0UserId: String
  auth0UserId_not: String
  auth0UserId_in: [String!]
  auth0UserId_not_in: [String!]
  auth0UserId_lt: String
  auth0UserId_lte: String
  auth0UserId_gt: String
  auth0UserId_gte: String
  auth0UserId_contains: String
  auth0UserId_not_contains: String
  auth0UserId_starts_with: String
  auth0UserId_not_starts_with: String
  auth0UserId_ends_with: String
  auth0UserId_not_ends_with: String
  firstName: String
  firstName_not: String
  firstName_in: [String!]
  firstName_not_in: [String!]
  firstName_lt: String
  firstName_lte: String
  firstName_gt: String
  firstName_gte: String
  firstName_contains: String
  firstName_not_contains: String
  firstName_starts_with: String
  firstName_not_starts_with: String
  firstName_ends_with: String
  firstName_not_ends_with: String
  lastName: String
  lastName_not: String
  lastName_in: [String!]
  lastName_not_in: [String!]
  lastName_lt: String
  lastName_lte: String
  lastName_gt: String
  lastName_gte: String
  lastName_contains: String
  lastName_not_contains: String
  lastName_starts_with: String
  lastName_not_starts_with: String
  lastName_ends_with: String
  lastName_not_ends_with: String
  email: String
  email_not: String
  email_in: [String!]
  email_not_in: [String!]
  email_lt: String
  email_lte: String
  email_gt: String
  email_gte: String
  email_contains: String
  email_not_contains: String
  email_starts_with: String
  email_not_starts_with: String
  email_ends_with: String
  email_not_ends_with: String
  company: String
  company_not: String
  company_in: [String!]
  company_not_in: [String!]
  company_lt: String
  company_lte: String
  company_gt: String
  company_gte: String
  company_contains: String
  company_not_contains: String
  company_starts_with: String
  company_not_starts_with: String
  company_ends_with: String
  company_not_ends_with: String
  password: String
  password_not: String
  password_in: [String!]
  password_not_in: [String!]
  password_lt: String
  password_lte: String
  password_gt: String
  password_gte: String
  password_contains: String
  password_not_contains: String
  password_starts_with: String
  password_not_starts_with: String
  password_ends_with: String
  password_not_ends_with: String
  subdomain: String
  subdomain_not: String
  subdomain_in: [String!]
  subdomain_not_in: [String!]
  subdomain_lt: String
  subdomain_lte: String
  subdomain_gt: String
  subdomain_gte: String
  subdomain_contains: String
  subdomain_not_contains: String
  subdomain_starts_with: String
  subdomain_not_starts_with: String
  subdomain_ends_with: String
  subdomain_not_ends_with: String
  deleted: Boolean
  deleted_not: Boolean
  apps_every: AppWhereInput
  apps_some: AppWhereInput
  apps_none: AppWhereInput
  campaigns_every: CampaignWhereInput
  campaigns_some: CampaignWhereInput
  campaigns_none: CampaignWhereInput
  catalogItems_every: CatalogItemWhereInput
  catalogItems_some: CatalogItemWhereInput
  catalogItems_none: CatalogItemWhereInput
  domains_every: DomainWhereInput
  domains_some: DomainWhereInput
  domains_none: DomainWhereInput
  integrations_every: IntegrationWhereInput
  integrations_some: IntegrationWhereInput
  integrations_none: IntegrationWhereInput
  mediaItems_every: MediaItemWhereInput
  mediaItems_some: MediaItemWhereInput
  mediaItems_none: MediaItemWhereInput
  pages_every: PageWhereInput
  pages_some: PageWhereInput
  pages_none: PageWhereInput
  lastLoginDate: DateTime
  lastLoginDate_not: DateTime
  lastLoginDate_in: [DateTime!]
  lastLoginDate_not_in: [DateTime!]
  lastLoginDate_lt: DateTime
  lastLoginDate_lte: DateTime
  lastLoginDate_gt: DateTime
  lastLoginDate_gte: DateTime
  createdAt: DateTime
  createdAt_not: DateTime
  createdAt_in: [DateTime!]
  createdAt_not_in: [DateTime!]
  createdAt_lt: DateTime
  createdAt_lte: DateTime
  createdAt_gt: DateTime
  createdAt_gte: DateTime
  updatedAt: DateTime
  updatedAt_not: DateTime
  updatedAt_in: [DateTime!]
  updatedAt_not_in: [DateTime!]
  updatedAt_lt: DateTime
  updatedAt_lte: DateTime
  updatedAt_gt: DateTime
  updatedAt_gte: DateTime
  AND: [UserWhereInput!]
  OR: [UserWhereInput!]
  NOT: [UserWhereInput!]
}

input UserWhereUniqueInput {
  id: ID
}
`
      }
    