import theme from "../theme";

const style = {
  button: {
    padding: "12px 50px",
    border: 0,
    borderRadius: 30,
    cursor: "pointer",
    textDecoration: "none",
    outline: "none",
    ":hover": {
      opacity: 0.9
    }
  },
  iconButton: {
    cursor: "pointer",
    color: "white"
  },
  text: {
    fontSize: 14,
    color: "white",
    fontWeight: "bold",
    textTransform: "uppercase"
  },
  iconLeft: {
    color: "white",
    paddingRight: 5
  },
  iconRight: {
    color: "white",
    paddingLeft: 5
  },
  smallSize: {
    padding: "5px 18px"
  },
  smallTextSize: {
    fontSize: 13,
    fontWeight: "bold"
  }
};

export const getBackgroundColor = props => {
  let backgroundColor = "transparent";
  if (props.transparent) backgroundColor = "transparent";
  if (props.secondary) backgroundColor = theme.secondaryColor;
  if (props.primary) backgroundColor = theme.primaryColor;
  if (props.tertiary) backgroundColor = theme.tertiaryColor;
  if (props.disabled) backgroundColor = theme.disabledColor;
  if (props.negative) backgroundColor = theme.disabledColor;

  return { backgroundColor };
};

export default style;
