import React from "react";
import { SelectionControl as RMDCheckbox } from "react-md";

/**
 * The Checkbox component is used for the selection of multiple options from a set.
 * @param {object} props The props
 * @returns {function} The component
 */
const CheckBox = props => (
  <RMDCheckbox
    aria-label="checkbox"
    id="checkbox"
    name="checkbox"
    type="checkbox"
    defaultChecked={props.on || !props.off}
    // {...props}
  />
);

export default CheckBox;
