import React from "react";
import style from "./style";

/**
 * Paper is a wrapper component you can use to enclose different components.  You can also
 * set up different shadow levels too.
 * @param {object} props The props
 * @returns {function} The component
 */
const Paper = props => (
  <div role="group" style={{ ...style, ...props.style }}>
    {props.children}
  </div>
);

Paper.defaultProps = {
  shadowDepth: 1
};

export default Paper;
