import * as React from "react";

interface ToolbarProps {
  
  /**
   * The unique name to give the toolbar...useful for plugin hooks
   */
  name?: string

  /**
   * An array of react components to display on the left side of the toolbar
   */
  leftItems?: JSX.Element[]

  /**
   * An array of react components to display on the right side of the toolbar
   */
  rightItems?: JSX.Element[]

  /**
   * Component/element to place beneath the toolbar
   */
  children?: JSX.Element

  /**
   * The title or react component to display in the center / title area of the toolbar
   */
  title?: string | JSX.Element
}

/**
 * A flexible way to show and customize a toolbar
 */
const Toolbar:React.FC<ToolbarProps> = ({ children }) => {
  

  return <div>{children}</div>;
}

export default Toolbar;
