import _ from "lodash";
import actions from "./actions";

export default (state = [], action) => {
  switch (action.type) {
    case "DO_NOTHING":
      return state;
    case "TRIGGER_NEXT_NODE":
      actions.triggerNextPage(action);
      return state;
    case "SUBMIT_FORM":
      actions.submitForm(action);
      return state;
    case "TRIGGER_PURCHASE":
      actions.triggerPurchase(action);
      return state;
    case "TRIGGER_UPSELL":
      actions.triggerUpsell(action);
      return state;
    case "GO_TO_URL":
      actions.goToUrl(action);
      return state;
    case "ADD_TO_CART":
      actions.addToCart(action, _.get(state, "formContent", []));
      return state;
    case "REMOVE_FROM_CART":
      actions.removeFromCart(action);
      return state;
    case "TRIGGER_BOLTPAY":
      actions.triggerBoltPay(action);
      return state;
    case "SHOW_AND_HIDE":
      actions.showAndHide(action);
      return state;
    case "OPEN_POPUP":
      actions.openPopup(action);
      return state;
    case "HIDE_POPUP":
      actions.hidePopup(action);
      return state;
    case "CREATE_TAG":
      actions.createTag(action);
      return state;
    default:
      return state;
  }
};
