module.exports.errorReroute = async (event, context, callback) => {
  const request = event.Records[0].cf.request;
  const response = event.Records[0].cf.response;
  
  if (request.uri.indexOf('.') === -1) {
    const headers = request.headers;
    
    const hostname = headers.host[0].value;
    const uri = request.uri;

    let newUri = `/${hostname}${uri}/index.html`.replace('//', '/');

    if (response.status >= 400 && response.status <= 599) {
      newUri = `/${hostname}404.html`.replace('//', '/');
    }
    
    request.uri = newUri;
    
    console.log('Old URI', uri, 'New URI', newUri, 'Entire Request', JSON.stringify(request), 'Entire Response', JSON.stringify(response));
  }

  callback(null, request);
}