const fs = require("fs-extra");

const path = require("path");

require("dotenv").config({
  path: path.resolve(process.cwd(), "../.env")
});

const rootLocation = __dirname.substring(0, __dirname.indexOf("sandcastle"));

const { S3_SITES_BUCKET } = process.env;

const awsDetails = {
  bucketName: S3_SITES_BUCKET,
  bucketBaseURL: `"https://s3-us-west-2.amazonaws.com/${S3_SITES_BUCKET}/`
};

const state = "local";

const options = state !== "local"
  ? {
    key: fs.readFileSync(
      // `${rootLocation}sandcastle/platform/server/.ssl/privatekey.pem`
      `/etc/letsencrypt/live/api.funnels.cc/privkey.pem`
    ),
    cert: fs.readFileSync(
      // `${rootLocation}sandcastle/platform/server/.ssl/certificate.pem`
      `/etc/letsencrypt/live/api.funnels.cc/fullchain.pem`
    ),
    ca: fs.readFileSync(
      // `${rootLocation}sandcastle/platform/server/.ssl/__10minutefunnels_com.ca-bundle`
    )
  } : { key: false, cert: false, ca: false };

const gatsbySiteLocation = `${rootLocation}sandcastle/apps/livesite/src`;

module.exports = {
  state,
  gatsbySiteLocation,
  options,
  awsDetails
};
