const shell = require("shelljs");
const fs = require("fs-extra");

const getBucket = require("./getBucket");
const doSiteBuild = require("./doSiteBuild");
const settings = require("../config");
const { gatsbySiteLocation } = settings;

const doPageUnPublish = (req, res) => {
  const body = req.body;
  const contentFilePath = `${gatsbySiteLocation}/data/`;

  const cpCommand = `aws s3 cp s3://${getBucket(body.parentDomain)}/${
    body.parentDomain
    }/content.json ${contentFilePath}`;
  shell.exec(cpCommand, (code, stdout) => {
    fs.readFile(`${contentFilePath}content.json`, "utf-8", (err, data) => {
      const existingContent = JSON.parse(data);
      const index = existingContent.findIndex(page => page.id === body.pageId);
      if (index > -1) {
        const updatedContentObject = [
          ...existingContent.slice(0, index),
          ...existingContent.slice(0, index + 1)
        ];

        const updatedContent = JSON.stringify(updatedContentObject);

        // 4. now overwrite the current file with my modified file
        fs.writeFile(
          `${contentFilePath}content.json`,
          updatedContent,
          error => {
            if (error) return false;

            // update path-prefix
            fs.readFile(
              `${gatsbySiteLocation}/gatsby-config-template.js`,
              "utf-8",
              (err, data) => {
                const updatedConfigWithPathPrefix = data.replace(
                  "{pathPrefix}",
                  `${body.parentDomain}`
                );

                fs.writeFile(
                  `${gatsbySiteLocation}/gatsby-config.js`,
                  updatedConfigWithPathPrefix,
                  error => {
                    doSiteBuild(req, res);
                  }
                );
              }
            );
          }
        );
      }
    });
  });
};

module.exports = doPageUnPublish
