const getBucket = require("./getBucket");
const shell = require("shelljs");

const settings = require("../config");
const { gatsbySiteLocation } = settings;

const doQuickPublish = (req, res) => {
  // const contentFilePath = `${gatsbySiteLocation}/data/content.json`;
  const { slug, parentDomain, cloudfrontDistribution } = req.body;
  // const parentDomain = "qa-test-01.eventfunnel.com";

  shell.cd(gatsbySiteLocation);

  const s3syncCommand = `aws s3 sync ${gatsbySiteLocation.replace('/src', '')}/build/ s3://${getBucket(parentDomain)}/${parentDomain} --acl public-read-write`;
  const s3uploadCommand = `aws s3 cp ${gatsbySiteLocation}/data/content.json s3://${getBucket(parentDomain)}/${parentDomain}/ --acl public-read-write`;

  console.log("S3 UPLOAD COMANND", s3uploadCommand);

  // const cloudfrontInvalidationCommand = `aws cloudfront create-invalidation --distribution-id ${cloudfrontDistribution} --paths "/${parentDomain}/*"`;
  const cloudfrontInvalidationCommand = `aws cloudfront create-invalidation --distribution-id ${cloudfrontDistribution} --paths "/*"`; // because of recommendation https://docs.aws.amazon.com/AmazonCloudFront/latest/DeveloperGuide/Invalidation.html#invalidation-lambda-at-edge
  console.log("S3 INVALIDATION COMANND", cloudfrontInvalidationCommand);

  shell.exec(s3syncCommand, (code, stdout, stderr) => {
    if (stderr)
      return res.status(400).send({
        statusCode: 400,
        status: "Site S3 uploading failed. Please try again",
        message: false
      });
    if (stdout || stdout === "") {
      const foundError = stdout.search("Error:");
      if (foundError > -1)
        return res.status(400).send({
          statusCode: 400,
          status: "There is an error publishing your site",
          message: false
        });
      console.log("WE'RE DONE 1: ");
      // return res.send({ websiteUrl });
    }
    console.log("WE'RE DONE 2: ");

    shell.exec(s3uploadCommand, (code, stdout, stderr) => {

      console.log(cloudfrontInvalidationCommand);
      const webSiteUrl = `${parentDomain}/${slug}`;

      // You should probably run this BEFORE publishing since the invalidation takes a few seconds
      shell.exec(cloudfrontInvalidationCommand, (code, stdout, stderr) => {
        console.log("INVALIDATION COMMAND COMPLETE");

        res.send({
          message: "Site has been published!",
          statusCode: 200,
          data: webSiteUrl
        });
      });

    })

  });
};

module.exports = doQuickPublish