const shell = require("shelljs");
const fs = require("fs-extra");

const doSitePublish = require("./doSitePublish");
const settings = require("../config");
const { gatsbySiteLocation } = settings;

const doSiteBuild = (req, res) => {
  const contentFilePath = `${gatsbySiteLocation}/data/`;

  shell.cd(gatsbySiteLocation);

  const shellCommand = "sudo gatsby build";
  console.log("BUILDING SITE: ", shellCommand);

  shell.exec(shellCommand, (code, stdout, stderr) => {
    if (stderr) {
      console.log("*** THERE WAS AN ERROR *** ", stderr);
      console.log("**** > Still Attempting to Publish < ****");
      doSitePublish(req, res);
    }

    if (stdout) {
      const foundError = stdout.search("Error:");
      if (foundError === -1) {
        // copy the content.json file to the public folder
        fs.readFile(`${contentFilePath}content.json`, "utf-8", (err, data) => {
          if (err) console.log("** ERROR READING FILE **", error);
          fs.writeFile(
            `${gatsbySiteLocation}/public/content.json`,
            data,
            error => {
              if (error) console.log("** ERROR WRITING FILE **", error);
              doSitePublish(req, res);
            }
          );
        });
      }
    }
  });
};

module.exports = doSiteBuild
