import {
  allCampaigns,
  createCampaign,
  createCampaignObject,
  getCampaign,
  updateCampaignObject
} from "@sc/api/gql/campaigns";
import {
  allCatalogItems,
  createCatalogItem,
  deleteCatalogItem,
  deployCatalogItem,
  updateCatalogItem
} from "@sc/api/gql/catalog";
import {
  createPage
  // getPage
} from "@sc/api/gql/pages";
import { getUser } from "@sc/api/gql/users";
import { compose, graphql } from "react-apollo";
import Catalog from "./Catalog";

export default compose(
  graphql(allCampaigns, {
    name: "allCampaignsQuery",
    options: props => ({
      variables: {
        userId: localStorage.userId
      }
    })
  }),
  // graphql(getCampaign, {
  //   name: "getCampaignQuery",
  //   options: campaignId => ({
  //     variables: {
  //       id: campaignId
  //     }
  //   })
  // }),
  graphql(createCampaign, {
    name: "createCampaign"
  }),
  // graphql(getPage, {
  //   name: "getPage",
  //   options: pageId => ({
  //     variables: {
  //       pageId
  //     }
  //   })
  // }),
  graphql(createPage, {
    name: "createPage"
  }),
  graphql(allCatalogItems, {
    name: "allCatalogItemsQuery",
    options: props => ({
      variables: {
        userId: localStorage.userId
      }
    })
  }),
  graphql(updateCampaignObject, {
    name: "updateCampaignObject"
  }),
  graphql(createCampaignObject, {
    name: "createCampaignObject"
  }),
  graphql(getUser, {
    name: "getUserQuery",
    options: () => ({
      variables: {
        userId: localStorage.userId
      }
    })
  }),
  graphql(updateCatalogItem, { name: "updateCatalogItem" }),
  graphql(createCatalogItem, { name: "createCatalogItem" }),
  graphql(deleteCatalogItem, { name: "deleteCatalogItem" }),
  graphql(deployCatalogItem, { name: "deployCatalogItem" })
)(Catalog);
