import React from "react";
import { Button } from "@sc/components/ui";

const buttonStyle = { color: "white", display: "inline-block" };

export const Settings = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    settings
  </Button>
);
export const Duplicate = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    content_copy
  </Button>
);
export const Delete = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    delete
  </Button>
);
export const Close = props => (
  <Button
    icon
    style={{ ...buttonStyle, ...props.style }}
    className="btn-control"
    {...props}
  >
    close
  </Button>
);

export const Custom = props => (
  <Button icon style={buttonStyle} className="btn-control">
    do_not_disturb
  </Button>
);
export const Color = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_color_text
  </Button>
);
export const Upload = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    file_upload
  </Button>
);
export const Spacer = props => (
  <div
    style={{
      color: "#999",
      padding: "0 10px",
      display: "inline-block",
      fontSize: "10pt",
      fontWeight: "normal",
      position: "relative",
      top: -7,
      height: 18
    }}
  >
    |
  </div>
);
export const Bold = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_bold
  </Button>
);
export const Italic = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_italic
  </Button>
);
export const Underline = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_underline
  </Button>
);
export const TextStyle = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    text_fields
  </Button>
);
export const TextAlign = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_align_left
  </Button>
);
export const TextAlignLeft = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_align_left
  </Button>
);
export const TextAlignRight = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_align_right
  </Button>
);
export const TextAlignCenter = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_align_center
  </Button>
);
export const Link = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    insert_link
  </Button>
);
export const List = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_list_bulleted
  </Button>
);
export const ListBullet = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_list_bulleted
  </Button>
);
export const ListNumbers = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_list_numbered
  </Button>
);
export const ObjAlignLeft = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_align_left
  </Button>
);
export const ObjAlignRight = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_align_right
  </Button>
);
export const ObjAlignCenter = props => (
  <Button icon style={buttonStyle} className="btn-control" {...props}>
    format_align_center
  </Button>
);
