import PropertiesWindow from "./PropertiesWindow";
import Section from "./Section";

// Prebuilt Sections
import Background from "./Sections/Background";
import PositionPadding from "./Sections/PositionPadding";
import WidthHeight from "./Sections/WidthHeight";
import Alignment from "./Sections/Alignment";
import BordersShadow from "./Sections/BordersShadow";
import Typography from "./Sections/Typography";

// Prebuilt Groups (Building Blocks)
import ButtonSliderGroup from "./BuildingBlocks/ButtonSliderGroup";
import ColorPicker from "./BuildingBlocks/ColorPicker";
import FancySelector, { Icon } from "./BuildingBlocks/FancySelector";
import ObjectPreview from "./BuildingBlocks/ObjectPreview";
import LinkDropDown from "./BuildingBlocks/LinkDropDown";
import ObjectPresets from "./BuildingBlocks/ObjectPresets";
import UploadGroup from "./BuildingBlocks/UploadGroup";
import DropDownCollapse from "./BuildingBlocks/DropDownCollapse";
import Interactions from "./BuildingBlocks/Interactions";

// Individual Properties
import Margin from "./BasicProperties/Margin";
import Spacing from "./BasicProperties/Spacing";
import Padding from "./BasicProperties/Padding";
import Width from "./BasicProperties/Width";
import Height from "./BasicProperties/Height";
import LineHeight from "./BasicProperties/LineHeight";

// Rich Editor
import RichEditor from "./RichEditor";

// Version Two
import Caption from '@sc/modules/v2/Properties/components/properties/Caption'
import Custom from '@sc/modules/v2/Properties/components/properties/Custom'
import IconSelector from '@sc/modules/v2/Properties/components/properties/IconSelector'

export { PropertiesWindow, Section };

// Export Sections
export {
  Background,
  PositionPadding,
  Alignment,
  BordersShadow,
  WidthHeight,
  Typography
};

// Export Groups
export {
  ButtonSliderGroup,
  ColorPicker,
  FancySelector,
  ObjectPreview,
  LinkDropDown,
  ObjectPresets,
  UploadGroup,
  DropDownCollapse,
  Interactions,
};

// Export Property Components
export { Margin, Spacing, Padding, Icon, Width, Height, LineHeight }
export { RichEditor };

// Version Two
export { Caption, Custom, IconSelector };
