import React from "react";
import { Button } from "@sc/components/ui";

const UndoRedo = props => {
  const { undoPosition, undoStackSize, doUndoRedo } = props;

  return (
    <div>
      {undoPosition ? (
        <Button
          style={{ color: "inherit" }}
          icon
          onClick={e => {
            e.stopPropagation();
            if (undoPosition) doUndoRedo("undo");
          }}
        >
          undo
        </Button>
      ) : null}
      &nbsp;
      {undoPosition !== undoStackSize ? (
        <Button
          style={{ color: "inherit" }}
          icon
          onClick={e => {
            e.stopPropagation();
            doUndoRedo("redo");
          }}
        >
          redo
        </Button>
      ) : null}
    </div>
  );
};

UndoRedo.defaultProps = {
  doUndoRedo: () => false,
  undoPosition: 0,
  undoStackSize: 0
};

export default UndoRedo;
