type EditorComponent = any;

export interface EditorProps {
  content: EditorComponent[];
  defaultMobileState?: {
    type: string;
    dimensions: React.CSSProperties;
  };
  log?: (type: string, variables: any) => void;
  onSetActiveObject?: (settings: any) => void;
  onScheduleUpdate?: (updateFn: () => void, callbackFn?: () => void) => void;
  onChangeState?: (
    id: string,
    state: string,
    content: EditorComponent[]
  ) => void;
  onAddThisAfterThat?: (item, id, callbackFn?: () => void) => void;
  onRemoveItem?: (id: string, dbUpdate?: boolean) => void;
  onDuplicateItem?: (
    id: string,
    doRecursive: boolean,
    dbUpdate?: boolean,
    callbackFn?: () => void
  ) => void;
  onMoveThisByThat?: (id1: string, id2: string, dbUpdate?: boolean) => void;
  onUpdateComponentSettings?: (
    id: string,
    settings: any,
    dbUpdate?: boolean,
    debounceTimeout?: number
  ) => void;
  onUpdateComponentStyle?: (
    id: string,
    newStyle,
    dbUpdate?: boolean,
    debounceTimeout?: number
  ) => void;
  onUpdateContent?: (
    content,
    dbUpdate?: boolean,
    debounceTimeout?: number,
    callbackFn?: () => void
  ) => void;
  onListComponents?: (
    content: EditorComponent[],
    filterOut: string[],
    filterOnly: string[]
  ) => void;
  onDoUndoRedo?: (type) => void;
  onSetMobileState?: (type, dimensions, backgroundImage: boolean) => void;
  onGetMobileState?: () => void;
  onActivePropertyWindows?: () => void;
  onGetActivePropertyWindows?: () => void;
  onHandleUpdatePageContent?: (
    content: any,
    recordUndo: boolean,
    callbackFn?: () => void,
    wait?: number
  ) => void;
  onSetCanDrag?: (canDrag: boolean, callbackFn?: () => void) => void;
  onGetCanDrag?: () => void;
}
