import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import InitialValue from "./InitialValue";
import { FormFieldTypes } from "@sc/plugins/webcomponents/v2/FormField/types";

export default {
  title: "Modules|CRUD/AttributeBuilder/Attributes/InitialValue",
  component: InitialValue,
  excludeStories: /.*Data$/,
};

export const Default: any = () => (
  <InitialValue>
    <span onClick={() => action("Clicked")}>This is an action!</span>
  </InitialValue>
);

export const withRichText: any = () => (
  <InitialValue fieldType={FormFieldTypes.CONTENT} value="Testing" />
);

Default.story = {
  parameters: {
    jest: ["InitialValue"],
  },
};
