import React from 'react'
import { AlphabetFilter } from '../'
import style from './styles'

import { action } from '@storybook/addon-actions'

export default {
  title: 'Modules|Crud/DisplayItems/AlphabetFilter',
  component: AlphabetFilter,
  excludeStories: /.*Data$/
}

export const containerStyleData = { ...style.containerStyle, border: '1px solid pink' }
export const characterStyleData = { ...style.characterStyle, border: '1px solid purple' }

export const DefaultComponent = () => <AlphabetFilter />
export const WithCustomContainerStyle = () => <AlphabetFilter containerStyle={containerStyleData} />
export const WithCustomCharacterStyle = () => <AlphabetFilter characterStyle={characterStyleData} />
export const WithOnClickEvent = () => <AlphabetFilter onClick={(ch) => action(ch)} />
