import * as React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { withInfo } from "@storybook/addon-info";
import { host } from "storybook-host";

import AlphabetFilter from "./AlphabetFilter";

const ReadMe = require("./README.md");

const options = {
  info: {
    header: false,
    text: `
# AlphabetFilter
A vertical list of letters (the alphabet) that filter the DisplayItems when clicked    
    `
  },
  notes: ReadMe
};

storiesOf("Components|DisplayItems/Components/AlphabetFilter", module)
  .addDecorator(withInfo)
  .addDecorator(
    host({
      title: "AlphabetFilter Component",
      align: "center bottom",
      height: "80%",
      width: 800,
      border: "1px solid #DDD"
    })
  )
  .add(
    "Default State",
    () => (
  <AlphabetFilter
    containerStyle=""
    characterStyle=""
    onClick=""
  >
        <span onClick={() => action("Clicked")}>This is an action!</span>
      </AlphabetFilter>
    ),
    options
  );
