import * as React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { withInfo } from "@storybook/addon-info";
import { host } from "storybook-host";

import BulkActionsMenu from "./BulkActionsMenu";

const ReadMe = require("./README.md");

const options = {
  info: {
    header: false,
    text: `
# BulkActionsMenu
A list of actions to be applied to the selected items in the data display.    
    `
  },
  notes: ReadMe
};

storiesOf("Components|DisplayItems/Components/BulkActionsMenu", module)
  .addDecorator(withInfo)
  .addDecorator(
    host({
      title: "BulkActionsMenu Component",
      align: "center bottom",
      height: "80%",
      width: 800,
      border: "1px solid #DDD"
    })
  )
  .add(
    "Default State",
    () => (
  <BulkActionsMenu
    type={0}
    icon=""
    label=""
    data=""
    onSelect=""
  >
        <span onClick={() => action("Clicked")}>This is an action!</span>
      </BulkActionsMenu>
    ),
    options
  );
