import React from "react";
import { BulkSelectedActions } from '../'
import { bulkActionsSampleData } from '../BulkActionsMenu/BulkActionsMenu.stories'
import { BulkSelectedActionsPropsLocation } from '../types'


export default {
  title: 'Modules|CRUD/DisplayItems/BulkSelectedActions',
  component: BulkSelectedActions,
  excludeStories: /.*Data$/
}

export const ActionButtonsData = [
  (props) => <div>Button 1</div>,
  (props) => <div>Button 2</div>,
  (props) => <div>Button 3</div>,
]

export const DefaultComponent = () => <BulkSelectedActions />
export const RenderWithChildren = () => <BulkSelectedActions location={BulkSelectedActionsPropsLocation.TOP}><div>Child Content Here</div></BulkSelectedActions>
export const WithPropsPassedToChildren = () => (
  <BulkSelectedActions data={['This is a test!']}>
    {props => <div>{props.data[0]}</div>}
  </BulkSelectedActions>
)
export const RenderWithActionButtons = () => <BulkSelectedActions showActionButtons actionButtons={ActionButtonsData} />
export const RenderWithoutActionButtons = () => <BulkSelectedActions showActionButtons={false} />
export const RenderWithActionMenu = () => <BulkSelectedActions showBulkActionsMenuButton bulkActionsMenuSettings={{ data: bulkActionsSampleData }} />