import * as React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { withInfo } from "@storybook/addon-info";
import { host } from "storybook-host";

import BulkSelectedActions from "./BulkSelectedActions";

const ReadMe = require("./README.md");

const options = {
  info: {
    header: false,
    text: `
# BulkSelectedActions
Shows when there are one or more items selected.  Provides a quick way to perform bulk actions on the selected list    
    `
  },
  notes: ReadMe
};

storiesOf("Components|DisplayItems/Components/BulkSelectedActions", module)
  .addDecorator(withInfo)
  .addDecorator(
    host({
      title: "BulkSelectedActions Component",
      align: "center bottom",
      height: "80%",
      width: 800,
      border: "1px solid #DDD"
    })
  )
  .add(
    "Default State",
    () => (
  <BulkSelectedActions
    children={<div />}
    data=""
    location={0}
    actionButtons=""
    showActionButtons=""
    style=""
  >
        <span onClick={() => action("Clicked")}>This is an action!</span>
      </BulkSelectedActions>
    ),
    options
  );
