import React from 'react'
import { DataCard } from '../'

export default {
  title: 'Modules|CRUD/DisplayItems/DataCard',
  component: DataCard,
  decorators: [story => <div style={{ padding: 24, margin: '4rem' }}>{story()}</div>],
  excludeStories: /.*Data$/
}

export const sampleCardData = {
  actions: [
    { action: '', label: 'Testing 1' },
    { action: '', label: 'Testing 2' },
    { action: '', label: 'Testing 3' },
  ]
}

export const DefaultRecord = () => (
  <DataCard {...sampleCardData} />
)

export const WithIcon = () => (
  <DataCard {...sampleCardData} icon="check_circle" />
)

export const WithComponent = () => <DataCard {...sampleCardData} component={<div>Test Component</div>} />

export const WithTags = () => <DataCard {...sampleCardData} tags={['Tag 1', 'Tag 2', 'Tag 3']} />

export const WithCaption = () => <DataCard {...sampleCardData} label="This is a caption" />