import * as React from "react";
import { storiesOf } from "@storybook/react";
import { withInfo } from "@storybook/addon-info";
import { host } from "storybook-host";

const ReadMe = require("./README.md");

const options = {
  info: {
    header: false,
    text: `
# DisplayItems

A module for displaying and filtering data with tools for hooking actions into the resulting records
    `
  },
  notes: ReadMe
};

storiesOf("Modules|DisplayItems", module)
  .addDecorator(withInfo)
  .addDecorator(
    host({
      title: "DisplayItems Feature",
      align: "center bottom",
      height: "80%",
      width: 800,
      border: "1px solid #DDD"
    })
  )
  .add("Read Me", () => <div>See [Notes] Tab</div>, options);
