import React from "react";
import { render, fireEvent, cleanup } from "@testing-library/react";
import "@testing-library/jest-dom/extend-expect";

import {
  DefaultComponent,
  WithMessage,
  WithImage,
  WithChildren
} from './EmptyStateComponent.stories'

describe("<EmptyStateComponent /> Tests", () => {

  afterEach(cleanup)

  it(`Should render in the dom`, () => {
    const { getByTestId } = render(<DefaultComponent />)
    expect(getByTestId('EmptyState-Default')).not.toBe(null)
  })

  it(`Should show the provided message in the dom`, () => {
    const { getByTestId } = render(<WithMessage />)
    expect(getByTestId('EmptyState-Message')).not.toBe(null)
  })

  it(`Should show the provided image in the dom`, () => {
    const { getByTestId } = render(<WithImage />)
    expect(getByTestId('EmptyState-Image')).not.toBe(null)
  })

  it(`Should render any children provided`, () => {
    const { getByTestId } = render(<WithChildren />)
    expect(getByTestId('EmptyState-Children')).not.toBe(null)
  })

});
