import * as React from "react";
import { storiesOf } from "@storybook/react";
import { action } from "@storybook/addon-actions";
import { withInfo } from "@storybook/addon-info";
import { host } from "storybook-host";

import FilterGroup from "./FilterGroup";

const ReadMe = require("./README.md");

const options = {
  info: {
    header: false,
    text: `
# FilterGroup
A component that provides filter controls against a provided data set and hooks for handling the filter selections    
    `
  },
  notes: ReadMe
};

storiesOf("Components|DisplayItems/Components/FilterGroup", module)
  .addDecorator(withInfo)
  .addDecorator(
    host({
      title: "FilterGroup Component",
      align: "center bottom",
      height: "80%",
      width: 800,
      border: "1px solid #DDD"
    })
  )
  .add(
    "Default State",
    () => (
  <FilterGroup
    showDateRange=""
    data=""
    columns=""
    savedFilters=""
    savedFiltersIsEnabled=""
    onChange=""
    onDelete=""
    onCreate=""
    onClear=""
    onSave=""
  >
        <span onClick={() => action("Clicked")}>This is an action!</span>
      </FilterGroup>
    ),
    options
  );
