import React from 'react'
import { FilterGroup } from '../'
import { sampleFieldData, savedFilterData } from '../../DisplayItems.stories'

export default {
  title: "Modules|CRUD/DisplayItems/FilterGroup",
  component: FilterGroup,
  decorators: [
    story => <div style={{ padding: 24, margin: "4rem" }}>{story()}</div>
  ],
  excludeStories: /.*Data$/
}

export const sampleFilterGroupData = {
  fields: sampleFieldData,
  savedFilters: savedFilterData,
  onChange: filter => console.log({ filter })
}

export const DefaultComponent = () => <FilterGroup {...sampleFilterGroupData} />
export const WithFilters = () => <FilterGroup {...sampleFilterGroupData} />
export const WithDateRange = (props) => <FilterGroup {...sampleFilterGroupData} showDateRange {...props} />
export const WithSavedFilters = () => <FilterGroup {...sampleFilterGroupData} savedFiltersIsEnabled />