# &lt;FilterGroup /&gt; Component

## Description

A component that provides filter controls against a provided data set and hooks for handling the filter selections

## Checklist

This component should...

- Should render in the dom
- Should show a date range picker when dateRangeIsVisible in props is true
- Should trigger onChange event when date picker changes
- Should show a list of filters in the dom that corresponds with the list provided in the data props
- Should show a list of columns that are available for filtering that corresponds with the columns provided in the columns prop
- Should show a list of savedFilters in the dom that corresponds with the savedFilters prop if the savedFiltersIsEnabled prop is set to true
- Should trigger the onChange event whenever a filter is selected
- Should trigger the onCreate event when a new filter is created or added to the group
- Should trigger the onDelete event when a filter group is deleted
- Should trigger the onClear event when all the filters are cleared
- Should trigger the onSave event when the chosen group of filters are saved

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as FilterGroup from '@sandcastle/components/FilterGroup`

export default () => (
  <FilterGroup
    showDateRange=""
    data=""
    columns=""
    savedFilters=""
    savedFiltersIsEnabled=""
    onChange=""
    onDelete=""
    onCreate=""
    onClear=""
    onSave=""
  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
