import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

import SelectFieldType from "./SelectFieldType";
import { FormFieldTypes } from "../../types";

const testId = "FormBuilder-EditFormField-SelectFieldType";
const props = {};

describe("<SelectFieldType /> Rendering Tests", () => {
  it(`Should renders in the dom`, () => {
    render(<SelectFieldType {...props} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });

  // it(`Should show a list of common choices in the selection menu`, () => {
  //   const { debug } = render(<SelectFieldType {...props} />);
  //   fireEvent.click(
  //     screen
  //       .getByTestId("FormBuilder-EditFormField-SelectFieldType")
  //       .querySelector("div div div div")
  //   );
  //   debug();
  //   for (let type in FormFieldTypes) {
  //     expect(screen.queryByText(FormFieldTypes[type])).toBeTruthy();
  //   }
  // });

  // it(`Should show a list of custom field types in the selection menu`, () => {});

  it(`Should shows the value provided in props as a label in the dom`, () => {
    const caption = "Testing Caption Text";
    render(<SelectFieldType caption={caption} />);
    expect(screen.getAllByText(caption)).toBeTruthy();
  });
});

describe("<SelectFieldType /> Events Tests", () => {
  test.todo(`Should trigger the onChange event when a selection is made`);

  test.todo(
    `Should pass along the selected payload to the onChange event when the selection is made`
  );
});

describe("<SelectFieldType /> Actions Tests", () => {
  test.todo(
    `Should populate the AttributeContainer with pre-filled out content when selection of a common choice is made`
  );
});
