import { FormFieldTypes } from "../../types";
import { LiveFormFieldProps } from "../../LiveFormField/types";
import { FieldNamePresets } from "../types";

export type FieldTypeOnChangePayload = (
  value: FormFieldTypes,
  preset?: string,
  attributes?: LiveFormFieldProps
) => void;

export interface SelectFieldTypeProps {
  /**
   * The currently selected choice
   */
  type?: FormFieldTypes;

  /**
   * The preset that was used when building the form
   * */
  preset?: FieldNamePresets;

  /**
   * The label/caption to show for the component
   */
  caption?: string;

  /**
   * Triggered when a selection is made
   *
   * - Send as a payload you can send to the <LiveFormField />, the specific form field, and the attributes
   */
  onChange?: FieldTypeOnChangePayload;
}
