import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ContentField from "./ContentField";
import { EditorMode } from "../../../../Editor/types";

export default {
  title: "Modules|CRUD/FormBuilder/Form Fields/ContentField",
  component: ContentField,
  excludeStories: /.*Data$/,
};

export const Live: any = () => (
  <ContentField mode={EditorMode.LIVE}>
    <p>
      Lorem ipsum dolor sit amet consectetur adipisicing elit. Aperiam vitae,
      quod repudiandae omnis blanditiis nihil magni sed rem libero, repellendus
      doloremque ad ut suscipit eveniet quos incidunt. Mollitia, aliquid rerum.
    </p>
  </ContentField>
);

export const Edit: any = () => (
  <ContentField mode={EditorMode.EDITOR}>
    <p>
      Lorem ipsum dolor sit amet consectetur adipisicing elit. Aperiam vitae,
      quod repudiandae omnis blanditiis nihil magni sed rem libero, repellendus
      doloremque ad ut suscipit eveniet quos incidunt. Mollitia, aliquid rerum.
    </p>
  </ContentField>
);

Live.story = {
  parameters: {
    jest: ["ContentField"],
  },
};
