# &lt;ContentField /&gt; Component

## Description

A component that shows LIVE text content.  Useful for breaking up pieces of form field content with just text explanations

## Checklist

This component should...

- (Rendering) Should render in the dom
- (Rendering) Should render a rich text editor for collecting the content when in edit mode
- (Rendering) Should show the rendered content when in LIVE mode
- (Rendering) Should render the AttributeContainer component when the mode is edit
- (Rendering) Should see that the <Label /> component has been rendered in the dom
- (Rendering) Should see that the <Description /> component has been rendered in the dom
- (Rendering) Should see that the <InitialValue /> component has been rendered in the dom
- (Events) Should trigger the onChange event (via handleChange()) if the AttributeContainer's onChange event is called
- (Actions) handleChange should convert the incoming payload to LiveFormFieldProps

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as ContentField from '@sandcastle/components/ContentField`

export default () => (
  <ContentField

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
