import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import MultipleChoice from "./MultipleChoice";
import { IRadioItem } from "../types";
import { EditorMode } from "../../../../Editor/types";

export default {
  title: "Modules|CRUD/FormBuilder/Form Fields/MultipleChoice",
  component: MultipleChoice,
  excludeStories: /.*data$/,
};

export const data: IRadioItem[] = [
  { id: "1", label: "Kyle" },
  { id: "2", label: "Linda" },
  { id: "3", label: "Mikel" },
  { id: "4", label: "Nevaeh" },
];

export const Live: any = () => (
  <MultipleChoice mode={EditorMode.LIVE} data={data} />
);

export const Edit: any = () => (
  <MultipleChoice mode={EditorMode.EDITOR} data={data} />
);

Live.story = {
  parameters: {
    jest: ["MultipleChoice"],
  },
};
