import * as React from "react";
import { DashboardProps } from "./types";
import WidgetContainer from "../WidgetContainer";
import { Grid } from "@material-ui/core";
/**
 * A flexible module for quickly building dashboards.
 */
const Dashboard: React.FC<DashboardProps> = ({ widgets }) => {
  return (
    <Grid container spacing={2}>
      {widgets &&
        widgets.map((widget, key) => (
          <Grid item xs>
            <WidgetContainer key={key} {...widget} />
          </Grid>
        ))}
    </Grid>
  );
};

export default Dashboard;
