# &lt;Dashboard /&gt; Component

## Description

A flexible module for quickly building dashboards.

## Checklist

This component should...

- Should show a collection of widgets on the dashboard.  Amount should be equal to the number of objects in the widgets array found in the prop
- Should show widgets on a grid laid out according to the settings found in the layout prop
- Should show in "edit" mode when inEditMode prop is true
- Should show a custom style (provided by editModeStyle prop) on widgets when inEditMode prop is true
- Should be able to drag a widget from one column to another when in edit mode
- Should show a custom style (provided by the droppableStyle prop) in available dropzones while dragging over
- Should show a custom component (provided by the widgetComponent prop) instead the default widget container when one is provided
- Should trigger the onCreate() event when a new widget has been added to the dashboard
- Should trigger the onDelete() event when a widget is removed
- Should trigger the onMove() event when a widget is moved
- Should trigger the "onWidgetCreate" plugin hooks when a new widget has been added to the dashboard
- Should trigger the "onWidgetDelete" plugin hooks when a widget is removed
- Should trigger the "onWidgetMove" plugin hooks when a widget is moved
- Should trigger the "onWidgetRender" plugin hooks when widget is rendered
- Should trigger the "onDashboardRender" plugin hooks when dashboard is rendered

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as Dashboard from '@sandcastle/components/Dashboard`

export default () => (
  <Dashboard

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
