import * as React from "react";
export interface DashboardProps {
  /**
   * The name to use for the Dashboard component.  Useful for plugins that want to hook into your specific dashboard vs others
   */
  name?: string;

  /**
   * The widgets that can should be on the dashboard
   */
  widgets?: any[];

  /**
   * The layout of the dashboard
   */
  layout?: object;

  /**
   * Whether or not the dashboard is in edit mode
   */
  inEditMode?: boolean;

  /**
   * Style used to indicate that a column is droppable
   */
  droppableStyle?: React.CSSProperties;

  /**
   * Style used to indicate that widgets are in edit mode
   */
  editModeStyle?: React.CSSProperties;

  /**
   * Custom component to be used instead of the default widget component
   */
  widgetComponent?: React.ReactNode;

  /**
   * Trigger when a new widget has been added to the dashboard
   */
  onCreate?: () => any;

  /**
   * Trigger when a widget is removed
   */
  onDelete?: () => any;

  /**
   * Trigger when a widget is moved
   */
  onMove?: () => any;
}
