import * as React from "react";

export interface WidgetContainerProps {
  /**
   * Will contain the actual widget contents
   */
  children?: React.ReactNode;

  /**
   * The caption to display as the title of the widget
   */
  title?: string;

  /**
   * An array of objects that represent the items in to show in the dropdown menu and associated actions to take
   */
  actions?: {
    id?: string;
    label: string;
    icon?: React.ReactElement;
    onSelect: () => any;
  }[];

  /**
   * Custom component to use instead of the default action component
   */
  actionComponent?: React.ReactNode;
}
