export interface ItemLegendProps {
  /**
   * Whether or not the big legend is showing or not
   */
  isCollapsed?: Boolean;

  /**
   * The title/caption that shows as the title of the item legend
   */
  title?: string;

  /**
   * { id, component, itemComponent, label, filterOut, filterOnly }
   */
  tabs?: any[];

  /**
   * Whether or not re-ordering the items in the legend is enabled or not
   */
  canReorder?: Boolean;

  /**
   * Whether or not the list should show how the items are nested (e.g. should containers as uncollapsed, then show the objects inside the container indented)
   */
  showNesting?: Boolean;

  /**
   * Whether or not a close button is showing
   */
  showCloseButton?: Boolean;

  /**
   * The content to use to populate the editor with objects
   */
  content: any[];

  /**
   * Triggers when the item legend is closed
   */
  onClose?: () => void;

  /**
   * Triggers when an item in the legend is re-ordered
   */
  onReorder?: () => void;

  /**
   * Triggers when an item in the legend is selected
   */
  onItemSelect?: () => void;

  /**
   * Triggers when an item in the legend is double clicked
   */
  onItemDoubleClick?: () => void;

  /**
   * Triggers when an item in the legend has changed
   */
  onItemChange?: () => void;

  /**
   * Triggers when the mouse enters an item in the legend
   */
  onItemMouseEnter?: () => void;

  /**
   * Triggers when the mouse leaves an item in the legend
   */
  onItemMouseLeave?: () => void;
}
