# &lt;LoadComponent /&gt; Component

## Description

(Formerly WebComponent) The react component used to interpret each item in the editor.

## Checklist

This component should...

- Should render the component provided in the type prop
- Should render the `LIVE` version of the component when the mode is set to `LIVE`
- Should render the `EDITOR` version of the component when the mode is set to `EDITOR`
- Component rendered should reflect the properties found in the settings prop
- Should set isDragInProgress prop to true when in the middle of dragging
- Should see accurate values in itemCoordinates prop after the item's position changes
- Should see accurate values in parentCoordinates prop after the item's position changes to be inside of a different parent container/column
- Should be able to access itemCoordinates, settings, isEditing, setIsEditing, and parentCoordinates from any child component
- Should set the isEditing prop to true when the component is being edited

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as LoadComponent from '@sandcastle/components/LoadComponent`

export default () => (
  <LoadComponent
    mode={0}
    type=""
    settings=""
    [!]rSettings=""
    isDragInProgress=""
    children=""
  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
