# &lt;Page /&gt; Component

## Description

A simple module for setting up new pages, with routes, etc., and a consistent look & feel

## Checklist

This component should...

- (Rendering) Should render the component in the dom
- (Rendering) Should be accessible at the url path indicated in the path props
- (Rendering) Should not render a toolbar when the disableToolbar props is true
- (Rendering) Should render the component provided in the toolbarComponent props instead of the default toolbar if one is provided
- (Rendering) Should not render an appDrawer if the disableAppDrawer prop is true
- (Rendering) Should render the same number of tabs that are in the tabs array
- (Rendering) Should not render any page tabs if the disableTabs prop is true
- (Rendering) Should always render children
- (Methods) Should update the toolbar content if the setToolbarContent() method is ever called
- (Events) Should trigger the onComponentRender("Page") plugin hook when a Page renders in the dom
- (Events) Should trigger the onComponentRender("Toolbar") plugin hook when a toolbar renders in the dom
- (Events) Should trigger the onComponentRender("AppDrawer") plugin hook when the app drawer renders in the dom
- (Events) Should render the onListItems("toolbarItems") plugin hook when the list of toolbar actions are being generated
- (Events) Should render the onListItems("pageTabs") plugin hook when the list of page tabs are being generated

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as Page from '@sandcastle/components/Page`

export default () => (
  <Page

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
