import * as React from "react";
import { action } from "@storybook/addon-actions";
// import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import ButtonSliderGroup from "./ButtonSliderGroup";

export default {
  title: "Modules|Properties/Groups/ButtonSliderGroup",
  component: ButtonSliderGroup,
  excludeStories: /.*Data$/,
};

export const Default: any = () => {
  const [value, setValue] = React.useState<string | number | number[]>(600);

  return (
    <ButtonSliderGroup
      value={value as number}
      maxValue={200}
      minValue={0}
      onValueChange={(command, sliderValue) => setValue(sliderValue)}
      showSlider
      label="This is the Button Slider"
    >
      {value} -- This is a test!!
    </ButtonSliderGroup>
  );
};

Default.story = {
  parameters: {
    jest: ["ButtonSliderGroup"],
  },
};
