export interface ButtonSliderGroupProps {
  /**
   * The current value of the property
   */
  value?: number;

  /**
   * The tooltip to show when the group is hovered over
   */
  toolTip?: string;

  /**
   * The settings for the first button { value, style, events, icon }
   */
  button1?: {
    command: string | number;
    style?: React.CSSProperties;
    icon?: React.ReactNode;
  };

  /**
   * Whether or not to show the slider
   */
  showSlider?: Boolean;

  /**
   * The settings for the second button { value, style, events, icon }
   */
  button2?: {
    command: string | number;
    style?: React.CSSProperties;
    icon?: React.ReactNode;
  };

  /**
   * The label caption for the group
   */
  label?: string;

  /**
   * The minimum allowed value for the property
   */
  minValue?: number;

  /**
   * The maximum allowed value for the property
   */
  maxValue: number;

  /**
   * Any items you want placed beneath the slider and/or buttons
   */
  children?: React.ReactNode;

  /**
   * Triggers when the value of the property changes
   */
  onValueChange?: (
    command: any,
    sliderValue: number | number[] | React.ReactText
  ) => any;

  /**
   * Triggers when the mouse button is released (on the button or slider)
   */
  // onFinish?: () => any;

  /**
   * This is the value to set the slider to when the test trigger element is fired from the jest test runner
   */
  __testSliderValue?: number;
}
