export interface ColorPickerProps {
  /**
   * This is the color that is currently selected
   */
  color: string;
  /**
   * This is the descriptive text label that will appear next to the colors
   */
  text: string;
  /**
   * Whether or not the array of circles should show
   */
  showCircles?: Boolean;
  /**
   * Whether or not the horizontal slider hue picker should show
   */
  showSlider?: Boolean;
  /**
   * Whether or not the hex picker should show
   */
  showHex?: Boolean;
  /**
   * Whether or not the the Alpha Picker should show
   */
  showAlpha?: Boolean;
  /**
   * Whether or not the expanded color options should show
   */
  colorExpanded?: Boolean;
  /**
   * The tooltip to show when the group is hovered over
   */
  toolTip?: string;
  /**
   * An array of colors to show in the circles.  Overrides the default choices
   */
  colorArray?: any[];
  /**
   * This event is triggered when the color is changed
   */
  onChange: (color: object) => void;
}
