import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Height from "./Height";

export default {
  title: "Modules|Properties/Individual Properties/Height",
  component: Height,
  excludeStories: /.*Data$/,
};

export const Default: any = () => {
  const [style, setStyle] = React.useState({ padding: 50, height: 200 });

  const updateStyle = (property) => {
    setStyle({ ...style, ...property });
  };

  return (
    <>
      <div
        style={{
          margin: "30px auto",
          background: "yellow",
          border: "5px solid green",
          color: "red",
          fontWeight: "bold",
          fontFamily: "Roboto",
          textAlign: "center",
          ...style,
        }}
      >
        {JSON.stringify(style)}
      </div>

      <Height
        onChange={(height) => updateStyle(height)}
        showMaxCheck
        showAutoCheck
        showSlider
        style={style}
        minValue={25}
        maxValue={500}
      />
    </>
  );
};

Default.story = {
  parameters: {
    jest: ["Height"],
  },
};
