import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Padding from "./Padding";

export default {
  title: "Modules|Properties/Individual Properties/Padding",
  component: Padding,
  excludeStories: /.*Data$/,
};

export const Default: any = () => {
  const [style, setStyle] = React.useState({ padding: 50, width: 500 });

  const updateStyle = (property) => {
    setStyle({ ...style, ...property });
  };

  return (
    <>
      <div
        style={{
          margin: "30px auto",
          background: "yellow",
          border: "5px solid green",
          color: "red",
          fontWeight: "bold",
          fontFamily: "Roboto",
          textAlign: "center",
          ...style,
        }}
      >
        {JSON.stringify(style)}
      </div>

      <Padding
        onChange={(padding) => updateStyle(padding)}
        showMaxCheck
        showAutoCheck
        showSlider
        style={style}
        minValue={0}
        maxValue={200}
      />
    </>
  );
};

Default.story = {
  parameters: {
    jest: ["Padding"],
  },
};
