import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Position from "./Position";

export default {
  title: "Modules|Properties/Individual Properties/Position",
  component: Position,
  excludeStories: /.*Data$/,
};

export const Default: any = () => {
  const [style, setStyle] = React.useState({
    marginTop: 50,
    padding: 100,
    width: 500,
  });

  const updateStyle = (property) => {
    setStyle({ ...style, ...property });
  };

  return (
    <>
      <div
        style={{
          margin: "30px auto",
          background: "yellow",
          border: "5px solid green",
          color: "red",
          fontWeight: "bold",
          fontFamily: "Roboto",
          textAlign: "center",
          ...style,
        }}
      >
        {JSON.stringify(style)}
      </div>

      <Position
        onChange={(marginTop) => updateStyle(marginTop)}
        showMaxCheck
        showAutoCheck
        showSlider
        style={style}
        minValue={-100}
        maxValue={200}
      />
    </>
  );
};

Default.story = {
  parameters: {
    jest: ["Position"],
  },
};
