import { ButtonSliderGroupProps } from "../../groups/ButtonSliderGroup/types";
export interface PositionProps extends ButtonSliderGroupProps {
  /**
   * The value to assign when the max checkbox is checked
   */
  maxCheckValue?: number;
  /**
   * The initial properties object to extract the width from
   */
  style: React.CSSProperties;
  /**
   * Whether or not the max checkbox is turned on
   */
  isMax?: boolean;
  /**
   * The value to assign the property when the auto checkbox is checked
   */
  autoCheckValue?: number;
  /**
   * Whether or not the Autosize checkbox is turned on
   */
  isAuto?: boolean;
  /**
   * Whether or not to show a checkbox that lets the user immediately set the maximum value
   */
  showMaxCheck?: Boolean;
  /**
   * Whether or not to show a checkbox that lets the user set the value to _auto_, representing the fact that the value will be set automatically
   */
  showAutoCheck?: Boolean;
  /**
   * The value to revert to if the autoCheck Checkbox is turned off
   */
  // originalValue?: number;
  /**
   * Triggered when the setting changes
   */
  onChange: (marginTopSettings: React.CSSProperties) => void;
}
