export enum commandType {
  TOP = "Top",
  BOTTOM = "Bottom",
  RIGHT = "Right",
  LEFT = "Left",
  SET = "SET",
}

export enum styleTypes {
  MARGIN = "margin",
  PADDING = "padding",
}

export interface SquareBlockStyles {
  label: React.CSSProperties;
  preview: React.CSSProperties;
  topLayer: React.CSSProperties;
  rightLayer: React.CSSProperties;
  leftLayer: React.CSSProperties;
  bottomLayer: React.CSSProperties;
  // input: React.CSSProperties;
}

export interface SpacingProps {
  /**
   * The incoming style object
   */
  style: React.CSSProperties;

  /**
   * Triggered when the setting changes.
   *
   * Returns the incoming style object with modifications
   */
  onChange: (style: React.CSSProperties) => void;
}

export interface IKeysPressed {
  shiftKey: boolean;
  commandKey: boolean;
  altKey: boolean;
  controlKey: boolean;
}

export interface ICompass {
  top: boolean;
  right: boolean;
  bottom: boolean;
  left: boolean;
}

export interface SquareBlockProps {
  style: React.CSSProperties;
  onChange: (
    styleType: styleTypes,
    type: commandType,
    value: any,
    isKeyPressed: IKeysPressed
  ) => any;
}
