import * as React from "react";
import { action } from "@storybook/addon-actions";
import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

import Width from "./Width";

export default {
  title: "Modules|Properties/Individual Properties/Width",
  component: Width,
  excludeStories: /.*Data$/,
};

export const Default: any = () => {
  const [style, setStyle] = React.useState({ padding: 50, width: 500 });

  const updateStyle = (property) => {
    setStyle({ ...style, ...property });
  };

  return (
    <>
      <div
        style={{
          margin: "30px auto",
          background: "yellow",
          border: "5px solid green",
          color: "red",
          fontWeight: "bold",
          fontFamily: "Roboto",
          textAlign: "center",
          ...style,
        }}
      >
        {JSON.stringify(style)}
      </div>

      <Width
        onChange={(width) => updateStyle(width)}
        showMaxCheck
        showAutoCheck
        showSlider
        style={style}
        minValue={215}
        maxValue={1000}
      />
    </>
  );
};

Default.story = {
  parameters: {
    jest: ["Width"],
  },
};
