import * as React from "react";

interface BehaviorsAndActionsProps {
  /**
   * ...all of the section props
   */
  sectionProps?: any;

  /**
   * The caption to apply to the section group.  (will also apply the caption to each interaction fieldset group as the title and legend)
   */
  label?: string;

  /**
   * only show a subset of the behaviors
   */
  filter?: string;

  /**
   * Triggers when an interaction setting has changed
   */
  onUpdate?: () => any;
}

/**
 * A section for handling editor object behaviors and their corresponding actions,
 *
 * For example, if someone clicks on a button (a behavior) on the canvas, you likely will want the page to redirect to a different page (an action).  Or you may want it to trigger an upsell purchase (a different action)
 *
 * For example, if someone watches a video for more than 2.5 minutes (a behavior), it should show an order button
 *
 * This component will show an <ActionSelector /> component for each of the behaviors associated with the selected object
 */
const BehaviorsAndActions: React.FC<BehaviorsAndActionsProps> = ({
  children,
}) => {
  return <div>{children}</div>;
};

export default BehaviorsAndActions;
