# &lt;ActionSelector /&gt; Component

## Description

This component lets you customize a specific action.

It renders a drop-down menu that will show the list of available actions that can be performed for the associated behavior

When an action is selected, it may also show a sub selection of components to fine-tune the selection

For example, if the action selected is [Go To a URL], a fine-tuning sub selection may ask [What URL?]

## Checklist

This component should...

- Should render the component in the dom
- Should only show actions that match the filter provided in the filter prop
- Should show the title of the action as indicated by the label prop
- Should update the settings with the new action object once it has been set or updated
- Should render a relevant <ActionSubSelector /> after the initial action is selected
- Should trigger the onSetAction() event when a action is to be set for the object
- Should trigger the onDeleteAction() event when a action is to be deleted from the stack
- Should trigger the _onActionSelectorMenuList_ plugin hook when the menu list of actions are being listed
- Should trigger the _onActionSelectorRender_ plugin hook when the ActionSelector component is being rendered
- Should trigger the _onDeleteAction_ plugin hook when a action is to be deleted from the stack

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as ActionSelector from '@sandcastle/Components/Sections/ActionSelector`

export default () => (
  <ActionSelector

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
