import * as React from "react";

interface ActionSubSelectorProps {}

/**
 * An optional sub selector to show after an action is selected.
 *
 * Used for capturing more specific information about the the action they want performed.
 *
 * e.g. if the action (in the type) selected is GO_TO_URL, the <GoToURL /> sub selector component should be rendered (which asks the user to specify the url or page they want the visitor to be redirected to)
 */
const ActionSubSelector: React.FC<ActionSubSelectorProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default ActionSubSelector;
