# &lt;ActionSubSelector /&gt; Component

## Description

An optional sub selector to show after an action is selected.

Used for capturing more specific information about the the action they want performed.

e.g. if the action (in the type) selected is GO_TO_URL, the <GoToURL /> sub selector component should be rendered (which asks the user to specify the url or page they want the visitor to be redirected to)

## Checklist

This component should...

- Should render in the dom
- Should have an option to bypass picking a subselector (e.g. subselector type is _NONE_)
- Should render the appropriate sub selector component based on the chosen _type_ in the props
- Should update the action object's properties once the sub selector information is set
- Should trigger the onSetAction() event when a action is to be set for the editor item
- Should trigger the _onSetAction_ plugin hook when an action is to be set for an editor item
- Should trigger the onSubSelectionRender({type}) plugin hook

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as ActionSubSelector from '@sandcastle/Components/Sections/ActionSubSelector`

export default () => (
  <ActionSubSelector

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
