import * as React from "react";

interface BehaviorSelectorProps {}

/**
 * This component lets you choose from a list of available behaviors (e.g. Clicks, Watches, Pauses, etc.) that they want the system to listen out for
 *
 * When a behavior is selected, it may also show a sub selection of components to fine-tune details about the behavior
 *
 * For example, if the behavior is _Watches a Video,_ a fine-tuning sub selection may ask _For How Long?_
 */
const BehaviorSelector: React.FC<BehaviorSelectorProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default BehaviorSelector;
