# &lt;BehaviorSelector /&gt; Component

## Description

This component lets you choose from a list of available behaviors (e.g. Clicks, Watches, Pauses, etc.) that they want the system to listen out for

When a behavior is selected, it may also show a sub selection of components to fine-tune details about the behavior

For example, if the behavior is _Watches a Video,_ a fine-tuning sub selection may ask _For How Long?_

## Checklist

This component should...

- Should render the component in the dom
- Should only show behaviors that match the filter provided in the filter prop
- Should show the title of the behavior as indicated by the label prop
- Should update the settings with the new behavior object once it has been set or updated
- Should render a relevant <BehaviorSubSelector /> after the initial behavior is selected
- Should trigger the onSetBehavior() event when a behavior is to be set for the object
- Should trigger the onDeleteBehavior() event when a behavior is to be deleted from the stack
- Should trigger the _onBehaviorSelectorMenuList_ plugin hook when the menu list of behaviors are being listed
- Should trigger the _onBehaviorSelectorRender_ plugin hook when the BehaviorSelector component is being rendered
- Should trigger the _onDeleteBehavior_ plugin hook when a behavior is to be deleted from the stack

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as BehaviorSelector from '@sandcastle/Components/Sections/BehaviorSelector`

export default () => (
  <BehaviorSelector

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
