import * as React from "react";

interface BehaviorSubSelectorProps {}

/**
 * An optional sub selector to show after a behavior is selected.
 *
 * It's used for capturing more specific information about the behavior they want detected
 *
 * e.g. if the behavior (in the type) is WATCHES_VIDEO, the <LengthOfTime /> sub selector component should be rendered (which asks the user to specific what length of time should trigger this behavior)
 */
const BehaviorSubSelector: React.FC<BehaviorSubSelectorProps> = ({
  children,
}) => {
  return <div>{children}</div>;
};

export default BehaviorSubSelector;
