# &lt;BehaviorSubSelector /&gt; Component

## Description

An optional sub selector to show after a behavior is selected.

It's used for capturing more specific information about the behavior they want detected

e.g. if the behavior (in the type) is WATCHES_VIDEO, the <LengthOfTime /> sub selector component should be rendered (which asks the user to specific what length of time should trigger this behavior)

## Checklist

This component should...

- Should render in the dom
- Should have an option to bypass picking a subselector (e.g. subselector type is _NONE_)
- Should render the appropriate sub selector component based on the chosen _type_ in the props
- Should update the behavior object's properties once the sub selector information is set
- Should trigger the onSetBehavior() event when a behavior is to be set for the editor item
- Should show <ActionSelector /> once the sub selector is chosen
- Should be able to add multiple <ActionSelector>'s once a sub selector has been selected
- Should be able to delete any of the <ActionSelector>'s
- Should trigger the _onSetBehavior_ plugin hook when a behavior is to be set for an editor item
- Should trigger the onSubSelectionRender({type}) plugin hook

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as BehaviorSubSelector from '@sandcastle/Components/Sections/BehaviorSubSelector`

export default () => (
  <BehaviorSubSelector

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
