import * as React from "react";

interface PopupOptionsProps {
  /**
   * The current action settings for this specific interaction
   */
  action?: string;

  /**
   * Triggers when the popup settings have been set
   */
  onChange?: () => void;
}

/**
 * Lets the user select from a list of available popup windows or create a new one from scratch
 */
const PopupOptions: React.FC<PopupOptionsProps> = ({ children }) => {
  /**
   * Sets the selected popup window as the popup window to show when the action is triggered
   * @params
   */
  const setPopup = (): void => {};

  /**
   * Creates a new popup window on the page
   * @params
   */
  const createPopupWindow = (): void => {};

  /**
   * Shows the selected popup window on the page
   * @params
   */
  const showSelectedPopup = (): void => {};

  return <div>{children}</div>;
};

export default PopupOptions;
