import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<BordersShadow /> Rendering >", () => {
  test.todo(`Should render the BordersShadow component in the dom`);

  test.todo(
    `Should not render the border radius group when the showBorderRadiusGroup prop is false`
  );

  test.todo(
    `Should not render the shadow group of properties when the showShadowGroup prop is false`
  );
});

describe("<BordersShadow /> Events >", () => {
  test.skip(`Should trigger the onChange() event when the borders or shadows change in some way`, () => {});
});

describe("<BordersShadow /> Actions >", () => {
  test.todo(
    `Should change the thickness of the border when the _thickness_ slider changes or +/- buttons are clicked`
  );

  test.todo(
    `Should change the radius of the border when the _Round_ slider changes or +/- buttons are clicked`
  );

  test.todo(
    `Should change the border color when the color picker changes to a different color`
  );

  test.todo(
    `Should change the shadow blur when the _Blur_ slider changes or +/- buttons are clicked`
  );

  test.todo(
    `Should change the border style to none, solid, or dashed when the appropriate preset is selected`
  );
});

describe("<BordersShadow /> Hooks >", () => {
  test.skip(`Should trigger the _onBordersShadowRender_ plugin hook when the BordersShadow component is rendering`, () => {});

  test.skip(`Should trigger the _onBordersShadowChange_ plugin hook when the borders or shadows change in some way`, () => {});
});
