import * as React from "react";

interface BordersShadowProps {
  /**
   * ...all of the section props
   */
  sectionProps?: any;

  /**
   * Whether or not to show the border radius group
   */
  showBorderRadiusGroup?: Boolean;

  /**
   * Whether or not to show the shadow group
   */
  showShadowGroup?: Boolean;

  /**
   * Triggers when the borders or shadows change in some way
   */
  onChange?: () => void;
}

/**
 * A section for configuring the borders and shadows of an object
 */
const BordersShadow: React.FC<BordersShadowProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default BordersShadow;
