# &lt;BordersShadow /&gt; Component

## Description

A section for configuring the borders and shadows of an object

## Checklist

This component should...

- Should render the BordersShadow component in the dom
- Should trigger the onChange() event when the borders or shadows change in some way
- Should trigger the _onBordersShadowRender_ plugin hook when the BordersShadow component is rendering
- Should trigger the _onBordersShadowChange_ plugin hook when the borders or shadows change in some way
- Should not render the border radius group when the showBorderRadiusGroup prop is false
- Should not render the shadow group of properties when the showShadowGroup prop is false
- Should change the thickness of the border when the _thickness_ slider changes or +/- buttons are clicked
- Should change the radius of the border when the _Round_ slider changes or +/- buttons are clicked
- Should change the border color when the color picker changes to a different color
- Should change the shadow blur when the _Blur_ slider changes or +/- buttons are clicked
- Should change the border style to none, solid, or dashed when the appropriate preset is selected

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as BordersShadow from '@sandcastle/Components/Sections/BordersShadow`

export default () => (
  <BordersShadow

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
