# &lt;Preset /&gt; Component

## Description

This is an individual preset. It simply is a wrapper around a child component

## Checklist

This component should...

- Should render in the dom
- Should show an array of <Preset /> components in the dom. The number should match the length of the presets array prop
- Should show the same component (the one provided in the props) as a child of each <Preset /> component
- Triggers the onChange() event when a preset is selected
- Should change the selected editor item's properties according to the setting of the preset clicked
- Triggers the _onObjectPresetsList_ plugin hook when the list is being established, so plugins can modify this list if necessary
- Triggers the _onObjectPresetsChange_ plugin hook when a preset is selected
- Triggers the _onObjectPresetsRender_ plugin hook when the ObjectPresets component is rendered

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as Preset from '@sandcastle/Components/Sections/Preset`

export default () => (
  <Preset

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
