# &lt;SectionWrapper /&gt; Component

## Description

A convenient way to wrap your properties into functional groups (e.g. [Text], [Image Settings], etc.). Groups are collapsable so that the amount of controls do not overwhelm the user

## Checklist

This component should...

- Should render a SectionWrapper component in the dom
- Should show a title in the dom as provided by the title prop
- Should not show any background colors when the backgroundIsShowing prop is set to false
- Should not show a label header when the labelIsShowing prop is false
- Should style the wrapper according to the style provided in the style prop
- Show the section in a collapsed (where no children components are visible) form when the isExpanded prop is false
- Should show the component provided by the  sectionWrapperComponent instead of the default section component when one is provided
- Should render any provided children elements when the isExpanded component is true
- Should trigger the onExpand() event when the section should expand
- Should trigger the onCollapse() event when the section should collapse

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as SectionWrapper from '@sandcastle/components/SectionWrapper`

export default () => (
  <SectionWrapper

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
