import * as React from "react";

interface SectionWrapperProps {
  
  /**
   * The title to show as the label of the group
   */
  title?: string

  /**
   * The icon to show as part of the label of the group
   */
  icon?: string

  /**
   * Whether or not the background of the section is showing.  Useful for when you want to disguise the fact that you're in a group
   */
  backgroundIsShowing?: Boolean

  /**
   * Whether or not the label is showing
   */
  labelIsShowing?: Boolean

  /**
   * The custom style to apply to this section
   */
  style?: object

  /**
   * Whether or not the group should be expanded by default
   */
  isExpanded?: Boolean

  /**
   * The component to use instead of the default that wraps each group of properties
   */
  sectionWrapperComponent?: React.ReactNode

  /**
   * Triggers when the section should expand
   */
  onExpand?: () => void

  /**
   * Triggers when the section should collapse
   */
  onCollapse?: () => void
}

/**
 * A convenient way to wrap your properties into functional groups (e.g. [Text], [Image Settings], etc.). Groups are collapsable so that the amount of controls do not overwhelm the user
 */
const SectionWrapper:React.FC<SectionWrapperProps> = ({ children }) => {
  

  return <div>{children}</div>;
}

export default SectionWrapper;
