# &lt;Typography /&gt; Component

## Description

A section for configuring the typography of an object

## Checklist

This component should...

- Should render the font selection group when the showFontsGroup prop is true
- Should show a list of Google fonts to choose from
- Should render the colorPicker group when the showColorsGroup prop is true
- Should render the lineHeight group when the showLineHeightGroup prop is true
- Should render the text formatting group when the showTextFormattingGroup prop is true
- Should render a title that has the type prop as one of the words in the title
- Triggers the onChange() event when the typography settings change in some way
- Should change the font family of the component to the font family selected (if no text is selected)
- Should change the font family of the selected text inside the component to the font family selected
- Should change the size of the font in the component to the size selected (if no text is selected)
- Should change the size of the font of the selected text inside the component to the font size selected
- Triggers the _onTypographyRender_ plugin hook when the Typography component is rendering
- Triggers the _onTypographyChange_ plugin hook when the typography settings change in some way

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as Typography from '@sandcastle/Components/Sections/Typography`

export default () => (
  <Typography

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
