import * as React from "react";

interface TypographyProps {
  /**
   * ...all of the section props
   */
  sectionProps?: any;

  /**
   * Whether or not to show the font selection group
   */
  showFontsGroup?: Boolean;

  /**
   * Whether or not to show the colorPicker group
   */
  showColorsGroup?: Boolean;

  /**
   * Whether or not to show the lineHeight group
   */
  showLineHeightGroup?: Boolean;

  /**
   * Whether or not to show the text formatting group.  This includes features like bold, italics, and text alignment
   */
  showTextFormattingGroup?: Boolean;

  /**
   * prepends the section title
   */
  type?: string;

  /**
   * Triggers when the typography settings change in some way
   */
  onChange?: () => void;
}

/**
 * A section for configuring the typography of an object
 */
const Typography: React.FC<TypographyProps> = ({ children }) => {
  return <div>{children}</div>;
};

export default Typography;
