# &lt;UploadGroup /&gt; Component

## Description

A section for uploading content. Through drag/drop, clicking an upload button, or entering in a url

## Checklist

This component should...

- Should render in the dom
- Should be able to drag a file to the component and trigger an upload
- Should be able to select a file from my computer
- Should be able to enter a custom url for the file I want to use instead of uploading
- Should not show any url selection buttons if the showURLPicker prop is false
- Should show a preview of the uploaded file (if an image) immediately after uploading
- Should have the text prop as part of the section label
- Should set the style using the style prop instead of the default style if one is provided
- The url (prop) should be updated and the editor item should have the url in its settings after the upload has completed
- Should show a progress loader while the upload is occuring
- Triggers the onChange() event after the upload occurs
- Triggers the _onUploadGroupChange_ plugin hook when the upload occurs
- Triggers the _onUploadGroupRender_ plugin hook when the UploadGroup component is rendering

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as UploadGroup from '@sandcastle/Components/Sections/UploadGroup`

export default () => (
  <UploadGroup

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
