import * as React from "react";
import { render, screen, fireEvent, cleanup } from "@testing-library/react";

describe("<UploadGroup /> Rendering >", () => {
  test.todo(`Should render in the dom`);
  test.todo(
    `Should not show any url selection buttons if the showURLPicker prop is false`
  );
  test.todo(`Should have the text prop as part of the section label`);
  test.todo(
    `Should set the style using the style prop instead of the default style if one is provided`
  );
});

describe("<UploadGroup /> Actions >", () => {
  test.skip(`Should be able to drag a file to the component and trigger an upload`, () => {});

  test.todo(`Should be able to select a file from my computer`);

  test.todo(
    `Should be able to enter a custom url for the file I want to use instead of uploading`
  );

  test.todo(
    `Should show a preview of the uploaded file (if an image) immediately after uploading`
  );

  test.todo(
    `The url (prop) should be updated and the editor item should have the url in its settings after the upload has completed`
  );

  test.skip(`Should show a progress loader while the upload is occuring`, () => {});
});

describe("<UploadGroup /> Events >", () => {
  test.skip(`Triggers the onChange() event after the upload occurs`, () => {});
});

describe("<UploadGroup /> Hooks >", () => {
  test.skip(`Triggers the _onUploadGroupChange_ plugin hook when the upload occurs`, () => {});

  test.skip(`Triggers the _onUploadGroupRender_ plugin hook when the UploadGroup component is rendering`, () => {});
});
