const fetch = require("isomorphic-fetch");
const consts = require("@sc/api/consts");
// const settings = require("@sc/api/config");

let providers = {
  getresponse: require("./providers/getresponse"),
  icontact: require("./providers/icontact"),
  sendreach: require("./providers/sendreach"),
  mailchimp: require("./providers/mailchimp"),
  activecampaign: require("./providers/activecampaign"),
  convertkit: require("./providers/convertkit"),
  drip: require("./providers/drip"),
  ontraport: require("./providers/ontraport")
};

const url = consts.getCampaigns;

module.exports = {
  Query: {
    getProviderCampaigns: async (_, params) => {
      const provider = params.provider.toLowerCase();

      // call the provider specific function used to generate parameters needed for the lambda function
      params = providers[provider].getParams(params);

      const headers = {
        method: "post",
        headers: {
          "Content-Type": "application/json",
          Accept: "application/json"
        },
        body: JSON.stringify(params)
      };

      const slResponse = await fetch(url[provider], headers);

      let json = await slResponse.json();
      const response = providers[provider].getResponse(json);

      return {
        response,
        statusCode: 200
      };
    }
  }
};
