`use strict`;
const path = require("path");
const aws = require("aws-sdk");

const cName = path.join(process.cwd(), "./crm/sendEmail/config.json");
console.log({ cName });

aws.config.loadFromPath(cName);

module.exports = {
  Mutation: {
    sendEmail: async (root, args, context) => {
      // send an email that resets the password
      const { to, from, subject, text, html } = args;

      const charset = "UTF-8";

      const ses = new aws.SES();

      var params = {
        Source: from,
        Destination: {
          ToAddresses: [to]
        },
        Message: {
          Subject: {
            Data: subject,
            Charset: charset
          },
          Body: {
            Text: {
              Data: text,
              Charset: charset
            },
            Html: {
              Data: html,
              Charset: charset
            }
          }
        }
      };

      try {
        const response = await ses.sendEmail(params).promise();

        return {
          statusCode: 200,
          message: "Email Sent! Message Id: " + response.MessageId
        };
      } catch (err) {
        return {
          statusCode: 200,
          message: "Email Failed to Send! " + err.message
        };
      }
    }
  }
};
