const { merge } = require("lodash");

const crm = require("./crm");
const data = require("./data");
const media = require("./media");
const site = require("./site");
const user = require("./user");
const campaign = require("./campaign");

module.exports = {
  typeDefs: [crm.schema, data.schema, media.schema, site.schema, user.schema, campaign.schema],
  resolvers: merge(
    crm.resolvers,
    data.resolvers,
    media.resolvers,
    site.resolvers,
    user.resolvers,
    campaign.resolvers,
  )
};
