const fetch = require("isomorphic-fetch");
const consts = require("@sc/api/consts");
// const settings = require("@sc/api/config");

const url = consts.domainManagement;

const headerDefaults = {
  method: "post",
  headers: { "Content-Type": "application/json", Accept: "application/json" }
};

module.exports = {
  Mutation: {
    createDomainOnServer: async (root, args, context) => {
      const header = {
        ...headerDefaults,
        body: JSON.stringify(args)
      };

      try {
        const res = await fetch(`${url}/createDomain`, header);
        const response = await res.json();

        return {
          statusCode: 200,
          response
        };
      } catch (error) {
        return {
          statusCode: 503,
          response: {
            error,
            message: "Domain Failed to Create! "
          }
        };
      }
    },

    deleteDomainonServer: async (root, args, context) => {
      const header = {
        ...headerDefaults,
        body: JSON.stringify(args)
      };

      try {
        const res = await fetch(`${url}/deleteDomain`, header);
        const response = await res.json();

        return {
          statusCode: 200,
          response
        };
      } catch (error) {
        return {
          statusCode: 503,
          response: {
            error,
            message: "Domain Failed to Delete! "
          }
        };
      }
    },

    createSSLOnServer: async (root, args, context) => {
      const header = {
        ...headerDefaults,
        body: JSON.stringify(args)
      };

      try {
        const res = await fetch(`${url}/createSSL`, header);
        const response = await res.json();

        return {
          statusCode: 200,
          response
        };
      } catch (error) {
        return {
          statusCode: 503,
          response: {
            error,
            message: "Domain Failed to Create! "
          }
        };
      }
    }
  }
};
