const { get } = require("lodash");
const fetch = require("isomorphic-fetch");
const consts = require("@sc/api/consts");
// const settings = require("@sc/api/config");

const headerDefaults = {
  method: "post",
  headers: { "Content-Type": "application/json", Accept: "application/json" }
};

module.exports = {
  Mutation: {
    publishPage: async (_, args) => {
      const url = get(consts, `publishPage`);
      const { parentDomain, slug } = args;
      console.log(url)
      try {
        // publishPage code here
        await fetch(url, {
          ...headerDefaults,
          body: JSON.stringify(args)
        });

        return {
          statusCode: 200,
          message: "Your page was published",
          webSiteUrl: `http://${parentDomain}/${slug}`
        };
      } catch (err) {
        console.log(err);

        return {
          statusCode: 503,
          message: "Something went wrong.  The page was not published"
        };
      }
    },
    publishCampaign: async (_, args) => {
      const url = get(consts, `publishCampaign`);
      const { parentDomain } = args;
      console.log(url)

      try {
        // publishCampaign code here
        await fetch(url, {
          ...headerDefaults,
          body: JSON.stringify(args)
        });

        return {
          statusCode: 200,
          message: "Your campaign was published",
          webSiteUrl: `http://${parentDomain}/`
        };
      } catch (err) {
        return {
          statusCode: 503,
          message: "Something went wrong.  The campaign was not published"
        };
      }
    }
  }
};
