const { get } = require("lodash");
const moment = require('moment');
const aws = require("aws-sdk");
const AthenaExpress = require("athena-express");

const redis = require("redis");
const athenaExpressConfig = { aws, db: "website_events" };

const client = redis.createClient();


module.exports = {
  Query: {
    stats: async (_, args) => {

      try {

        let { id, type, startDate, endDate } = args.where;
        let visitors = 0; let people = 0;

        // console.log({ startDate, endDate })

        // if (!startDate) startDate = moment().startOf('day').format();
        // if (!endDate) endDate = moment().endOf('day').format();

        const athenaExpress = new AthenaExpress(athenaExpressConfig);

        // Count the visitors for that page id
        const query_visitors = `SELECT COUNT(pageid) FROM website_events WHERE pageid = '${id}'` // AND from_iso8601_timestamp(enteredpage) > 'from_iso8601_timestamp(${startDate})' AND from_iso8601_timestamp(enteredpage) < 'from_iso8601_timestamp(${endDate})'
        const results_visitors = await athenaExpress.query(query_visitors)
        visitors = get(results_visitors, 'Items[0]._col0', 0);

        // Count the unique visitors for that page id
        const query_people = `SELECT COUNT(pageid) FROM website_events WHERE pageid = '${id}' GROUP BY ipaddress`; // AND from_iso8601_timestamp(enteredpage) > 'from_iso8601_timestamp(${startDate})' AND from_iso8601_timestamp(enteredpage) < 'from_iso8601_timestamp(${endDate})'
        const results_people = await athenaExpress.query(query_people)
        people = get(results_people, 'Items[0]._col0', 0);

        console.log({ query_visitors, results_visitors })

        return {
          visitors,
          people,
          statusCode: 200,
        };

      } catch (err) {
        console.log(err);

        return {
          statusCode: 503,
          message: "Something went wrong.  Could not retrieve stats"
        };
      }
    }
  }
};
