import * as React from "react";
import { addParameters } from '@storybook/react';
import { addDecorator } from '@storybook/react'; // <- or your view layer
import { DocsPage, DocsContainer } from '@storybook/addon-docs/blocks';
import { withTests } from '@storybook/addon-jest';
import results from '../.jest-test-results.json';
import '@storybook/addon-console';
import { withConsole } from '@storybook/addon-console';
// import { withKnobs, text, boolean, select } from "@storybook/addon-knobs";

addParameters({
  docs: {
    container: DocsContainer,
    page: DocsPage,
  },
  // darkMode: {
  //   stylePreview: true
  // }
});

addDecorator((storyFn, context) => withConsole()(storyFn)(context));

addDecorator(
  withTests({
    results,
  })
);

// Add a global decorator that will render a dark background when the
// "Color Scheme" knob is set to dark
// addDecorator(function (storyFn) {
//   // A knob for color scheme added to every story
//   const colorScheme = select('Color Scheme', ['light', 'dark'], 'light');

//   // Hook your theme provider with some knobs
//   return React.createElement(ThemeProvider, {
//     // A knob for theme added to every story
//     theme: select('Theme', Object.keys(themes), 'default'),
//     colorScheme,
//     children: [
//       React.createElement('style', {
//         dangerouslySetInnerHTML: {
//           __html: `html { ${
//             colorScheme === 'dark' ? 'background-color: rgb(35,35,35);' : ''
//             } }`
//         }
//       }),
//       storyFn()
//     ]
//   });
// });