import { triggerHook, triggerAsyncHook } from "./utils";

import nodes_v1 from './nodes/v1'
import modules_v1 from './modules/v1'
import misc_v1 from './misc/v1'
import webcomponents_v1 from './webcomponents/v1/plugins'
import webcomponents_v2 from './webcomponents/v2/plugins'

import weblayouts from './misc/v2/blocks/weblayouts/plugins'
import templates from './misc/v2/templates/plugins'

const plugins = [
  ...misc_v1,
  ...nodes_v1,
  ...modules_v1,
  ...webcomponents_v1,
  ...webcomponents_v2,
  ...weblayouts,
  ...templates,
];

export { plugins, triggerHook, triggerAsyncHook };
