import { AllPageLayouts } from "@sc/plugins/misc/v2/blocks/weblayouts/types";

export interface SectionPreviewProps {
  /**
   * The label to show on the section preview object.  Usually it's the name of the section
   */
  label: string;

  /**
   * The name of the layout being used.  This is used to look up and auto-generate the preview if possible
   */
  layout: AllPageLayouts;

  /**
   * Overrides the auto-generated preview image with this image
   */
  previewImage?: string;

  /**
   * Triggers when the [add to page] button is clicked
   */
  onAddSection?: (layout: AllPageLayouts) => void;
  connectDragSource?: (elem: JSX.Element) => void;
}
