import { SectionPreviewProps } from "./SectionPreview/types";
import { PageSectionCategory } from "@sc/plugins/misc/v2/blocks/weblayouts/types";
import { AllPageLayouts } from "@sc/plugins/misc/v2/blocks/weblayouts/types";

export interface CategoryData {
  type: PageSectionCategory;
  label: PageSectionCategory | string;
  selected: boolean;
}

export interface AddSectionsTabProps {
  /**
   * An array of section preview items to display
   */
  sections?: SectionPreviewProps[];

  /**
   * A list of categories that the user can quickly choose from to filter the section previews being displayed
   */
  categories?: CategoryData[];

  /**
   * Triggered when the [add to page] button on one of the section previews are clicked
   */
  onAddSection?: (layout: AllPageLayouts, addAfterId: boolean | string) => void;
  addThisAfterThat?: () => void;
}
