import { PageSectionCategory } from "@sc/plugins/misc/v2/blocks/weblayouts/types";

export interface SectionItemProps {
  /**
   * A unique identifier to use for the section item
   */
  id: string;

  /**
   * The text to display in the section item
   */
  label?: string;

  /**
   * They type of section you are representing.  Used to display a relevant icon
   */
  type?: PageSectionCategory | string;

  /**
   * The specific section settings derived from the page content
   */
  settings?: any;

  /**
   * Triggers when the user clicks on the section item
   */
  onClick?: () => any;

  /**
   * Triggers when the users mouse enters the section item
   */
  onMouseEnter?: () => any;

  /**
   * Triggers when the user's mouse leaves the section item
   */
  onMouseLeave?: () => any;

  /**
   * Triggers when the user double-clicks on the section item
   */
  onDoubleClick?: () => any;
}
