import * as React from "react";

interface SectionEditorWidgetProps {}

/**
 * A container for grouping internal objects together
 * Usually the 2nd most parent object on the page (the Body is often it's direct parent)
 * Used as a container for the myriad pre-built page sections that are provided
 *
 * - As a user I would like a simple container that will group internal objects
 * - As a user I would like the ability to set the inner container width so I can have a container that stretches the full width of the page, while keeping its internal objects contained
 * - As a user I would like similar capabilities as a traditional container (background, padding, "shapes") ...main difference is that it's locked to the parent most object (the body)
 */
const SectionEditorWidget: React.FC<SectionEditorWidgetProps> = ({
  children,
}) => {
  return <div>{children}</div>;
};

export default SectionEditorWidget;
