import * as React from "react";
import { get } from "lodash";

import { style } from "./style";
import { default as defaultData } from "./data.json";

import { doIShow, combineData } from "../../utils";

import theme from "../../theme";

import {
  Block,
  Section,
  Headline,
  Text,
  Container,
  Button,
  Grid,
  GridItem,
} from "@sc/plugins/webcomponents/v2";

type LayoutProps = {
  data: any;
};

const Layout: React.FC<LayoutProps> = ({ data }) => {
  const initialContent = {
    main_headline: {
      html: "Headline Goes Here",
    },
    sub_headline: {
      html: "Sub Headline Text Content Goes Here",
    },
  };

  const content = combineData(initialContent, defaultData, data);

  return (
    <Block>
      <Section style={style.SECTION}>
        <Container
          style={{
            ...style.SECTION_INNER,
            maxWidth: get(data, "section.pageMargin"),
          }}
        >
          <Grid spacing={10}>
            <GridItem xs={4}>
              <Container style={{ padding: 20 }}>
                <Headline style={style.HEADLINE}>
                  Best on market we are sure
                </Headline>
              </Container>
            </GridItem>
            <GridItem xs={4}>
              <Container style={{ padding: 20 }}>
                <Text style={style.TEXT}>
                  It's true. Getting results is much easier than you think. The
                  truth is most people simply don't know the correct steps
                </Text>
              </Container>
            </GridItem>
            <GridItem xs={4}>
              <Container style={{ padding: 20 }}>
                <Button
                  style={style.BUTTON.style}
                  caption1="Start"
                  caption1style={style.BUTTON.caption1}
                />
              </Container>
            </GridItem>
          </Grid>
        </Container>
      </Section>
    </Block>
  );
};

export default Layout;
