import * as React from "react";
import { get } from "lodash";

import { style } from "./style";
import { default as defaultData } from "./data.json";

import { doIShow, combineData } from "../../utils";

import theme from "../../theme";

import {
  Block,
  Section,
  Headline,
  Text,
  Container,
  Button,
  Grid,
  GridItem,
} from "@sc/plugins/webcomponents/v2";

type LayoutProps = {
  data: any;
};

const Layout: React.FC<LayoutProps> = ({ data }) => {
  const initialContent = {
    main_headline: {
      html: "Headline Goes Here",
    },
    sub_headline: {
      html: "Sub Headline Text Content Goes Here",
    },
  };

  const content = combineData(initialContent, defaultData, data);

  return (
    <Block>
      <Section style={style.SECTION}>
        <Container
          style={{
            ...style.SECTION_INNER,
            maxWidth: get(data, "section.pageMargin"),
          }}
        >
          <Grid spacing={2}>
            <GridItem xs={4}>
              <Headline style={style.HEADLINE}>
                Free report reveals how to get the most out of your ability to
                include actual images.
              </Headline>
            </GridItem>
            <GridItem xs={4}>
              <Text style={{ ...style.TEXT, paddingRight: 60 }}>
                It's true. Getting results is much easier than you think. The
                truth is most people simply don't know the correct steps to take
                so they become frustrated and quit
              </Text>
            </GridItem>
            <GridItem xs={4}>
              <Text style={{ ...style.TEXT, paddingRight: 60 }}>
                It's true. Getting results is much easier than you think. The
                truth is most people simply don't know
              </Text>
            </GridItem>
          </Grid>
        </Container>
      </Section>
    </Block>
  );
};

export default Layout;
