import * as React from "react";
import { get } from "lodash";

import { style } from "./style";
import { default as defaultData } from "./data.json";

import { doIShow, combineData } from "../../utils";

import theme from "../../theme";

import {
  Block,
  Section,
  Headline,
  Text,
  Container,
  Button,
} from "@sc/plugins/webcomponents/v2";

type LayoutProps = {
  data: any;
};

const Layout: React.FC<LayoutProps> = ({ data }) => {
  const initialContent = {
    main_headline: {
      html: "Headline Goes Here",
    },
    sub_headline: {
      html: "Sub Headline Text Content Goes Here",
    },
  };

  const content = combineData(initialContent, defaultData, data);

  return (
    <Block>
      <Section style={style.SECTION}>
        <Container
          style={{
            ...style.SECTION_INNER,
            maxWidth: get(data, "section.pageMargin"),
          }}
        >
          <Container style={{ maxWidth: 600, margin: "0 auto" }}>
            <Headline style={style.ITEM_HEADLINE}>The relationship</Headline>
            <Text style={style.TEXT}>
              The navigation system provides a set of screen elements that allow
              the user to move page to page through
              <br />
              <br />
              The navigation system provides a set of screen elements that allow
              the user to move page to page through the website. The navigation
              design should communicate the relationship betweeen the links it
              contains.
            </Text>

            <Headline style={style.ITEM_HEADLINE}>Website Elements</Headline>
            <Text style={style.TEXT}>
              The navigation system provides a set of screen elements that allow
              the user to move page to page through
            </Text>
          </Container>
        </Container>
      </Section>
    </Block>
  );
};

export default Layout;
