import * as React from "react";
import { get } from "lodash";

import { style } from "./style";
import { default as defaultData } from "./data.json";

import { doIShow, combineData } from "../../utils";

import theme from "../../theme";

import {
  Block,
  Section,
  Headline,
  Text,
  Container,
  Button,
  Grid,
  GridItem,
  ListItem,
  List,
} from "@sc/plugins/webcomponents/v2";

type LayoutProps = {
  data: any;
};

const Layout: React.FC<LayoutProps> = ({ data }) => {
  const initialContent = {
    main_headline: {
      html: "Headline Goes Here",
    },
    sub_headline: {
      html: "Sub Headline Text Content Goes Here",
    },
  };

  const content = combineData(initialContent, defaultData, data);

  return (
    <Block>
      <Section style={style.SECTION}>
        <Container
          style={{
            ...style.SECTION_INNER,
            maxWidth: get(data, "section.pageMargin"),
          }}
        >
          <Grid spacing={5}>
            <GridItem xs={7}>
              <Container style={{ paddingRight: 30 }}>
                <Headline style={style.HEADLINE}>
                  Free report reveals how to get the most out of your ability to
                  include actual images
                </Headline>
              </Container>
            </GridItem>
            <GridItem xs={5}>
              <Text style={style.TEXT}>
                <p>
                  <strong>Why we do this</strong>
                </p>
                The navigation system provides a set of screen elements that
                allow the user to move page to page through the website
                <br />
                <br />
                It's true. Getting results is much easier than the relationship
                between the links it contains so that users understand the
                options they have for navigating the site.
              </Text>
            </GridItem>
          </Grid>
        </Container>
      </Section>
    </Block>
  );
};

export default Layout;
