import * as React from "react";
import { get } from "lodash";

import { style } from "./style";
import { default as defaultData } from "./data.json";

import { doIShow, combineData } from "../../utils";

import theme from "../../theme";

import {
  Block,
  Section,
  Headline,
  Text,
  Container,
  Button,
  FormField,
} from "@sc/plugins/webcomponents/v2";
import { FormFieldTypes } from "@sc/modules/v2/CRUD/FormBuilder/types";

type LayoutProps = {
  data: any;
};

const Layout: React.FC<LayoutProps> = ({ data }) => {
  const initialContent = {
    main_headline: {
      html: "Headline Goes Here",
    },
    sub_headline: {
      html: "Sub Headline Text Content Goes Here",
    },
  };

  const content = combineData(initialContent, defaultData, data);

  return (
    <Block>
      <Section style={style.SECTION}>
        <Container
          style={{
            ...style.SECTION_INNER,
            maxWidth: 500,
          }}
        >
          <Headline style={style.HEADLINE}>Last one step</Headline>
          <Text style={style.TEXT}>
            Page layout is where these components come together
          </Text>
          <FormField
            type={FormFieldTypes.TEXT}
            style={style.FORM_FIELD.style}
            placeholder="Email"
            name="name"
            inputStyle={style.FORM_FIELD.inputStyle}
          />
          <Button
            style={{ ...style.BUTTON.style }}
            caption1="Sign Up"
            caption1style={style.BUTTON.caption1}
          />
        </Container>
      </Section>
    </Block>
  );
};

export default Layout;
