import * as React from "react";
import { get, startCase, uniqueId } from "lodash";

import { style } from "./style";
import { default as defaultData } from "./data.json";

import { doIShow, combineData, lorem } from "../../utils";

import theme from "../../theme";

import {
  Block,
  Section,
  Headline,
  Text,
  Container,
  Button,
  Image,
  Grid,
  GridItem,
} from "@sc/plugins/webcomponents/v2";

type LayoutProps = {
  data: any;
};

const Layout: React.FC<LayoutProps> = ({ data }) => {
  const initialContent = {
    main_headline: {
      html: "Headline Goes Here",
    },
    sub_headline: {
      html: "Sub Headline Text Content Goes Here",
    },
  };

  const content = combineData(initialContent, defaultData, data);

  return (
    <Block>
      <Section style={{ ...style.SECTION }}>
        <Container
          style={{
            ...style.SECTION_INNER,
            maxWidth: get(data, "section.pageMargin"),
          }}
        >
          <Grid spacing={5} justify="flex-start" alignItems="center">
            <GridItem>
              <Image
                src="http://www.clker.com/cliparts/H/L/l/s/M/J/stop-sign-md.png"
                style={{ maxWidth: 150 }}
              />
            </GridItem>
            <GridItem xs>
              <Headline style={{ ...style.HEADLINE }}>
                WAIT! YOUR ORDER IS NOT COMPLETE YET... (STEP 2 OF 3)
              </Headline>
              <Container>
                <Text style={style.TEXT}>
                  - Do Not Click the "Back Button" -
                </Text>
              </Container>
            </GridItem>
          </Grid>
        </Container>
      </Section>
    </Block>
  );
};

export default Layout;
