import RedirectPopup from "./RedirectPopup";

export const onListItems = (hook, payload, actions) => {
  if (hook.id === "DestinationObjects" && hook.activeTab === "Common") {
    return [
      {
        type: "RedirectComponent",
        id: "traffic_source_facebook",
        name: "Route to URL",
        screenshot: `http://10minutefunnels.com/access/assets/images/icons/pages/AC_pageredirect.png`,
        width: 150,
        height: 100
      }
    ];
  }
};

export const onNodeCreate = async (hook, { item }, { createPage }) => {
  if (hook.type === "RedirectComponent") {
    const { name, screenshot } = item;

    const pageScript = `
      <script type="text/javascript">
        window.location.href = "<%=nextPage%>";
      </script>
    `;

    const response = await createPage({
      name,
      slug: Math.random()
        .toString(36)
        .replace(/[^a-z]+/g, "")
        .substr(0, 6),
      screenshot,
      theme: "none",
      type: "redirect",
      content: [
        {
          id: 2540,
          parent: false,
          properties: { height: "100%" },
          type: "Body",
          canHaveChildren: true
        }
      ],
      userId: localStorage.userId,
      pageSettings: {
        tracking: {
          head: pageScript
        }
      }
    });

    console.log({ response });

    return response;
  }
};

export const onNodeOpen = async (
  hook,
  { settings },
  { showPopup, updateObject, updatePageSettings, updateObjectSettings }
) => {
  if (hook.type === "RedirectComponent") {
    showPopup(RedirectPopup, settings, {
      updateObject,
      updatePageSettings,
      updateObjectSettings
    });
  }
};
