import slugify from "slugify";

import PagesDrawer from "./PagesDrawer";
import objects from "./objects";

export const onListItems = (hook, payload, actions) => {
  if (hook.id === "CanvasItemDrawerTabs") {
    console.log("plugin", "page_nodes", { hook, payload, actions });
    return [
      {
        id: "PAGES",
        icon: "web_asset",
        caption: "Pages",
        component: PagesDrawer
      }
    ];
  }

  if (hook.id === "PageObjects" && hook.activeTab === "New Pages") {
    return objects;
  }
};

export const onNodeCreate = async (hook, { item }, { createPage }) => {
  if (hook.type === "PageComponent") {
    const { name, screenshot, pageType } = item;

    const slug = slugify(name.toString().toLowerCase());

    const response = await createPage({
      name,
      slug: `${slug}-${Math.random()
        .toString(36)
        .substr(2, 2)}`,
      screenshot,
      theme: "all",
      type: pageType,
      content: [
        {
          id: 2540,
          parent: false,
          properties: { height: "100%" },
          type: "Body",
          canHaveChildren: true
        }
      ],
      userId: localStorage.userId
    });

    return response;
  }
};

export const onNodeOpen = async (
  hook,
  { campaignId, settings },
  { navigate }
) => {
  if (hook.type === "PageComponent") {
    navigate(`/campaign/${campaignId}/${settings.page.id}/builder`);
  }
};

export const onNodeSelect = async (
  hook,
  { campaignId, settings },
  { navigate }
) => {
  if (hook.type === "PageComponent") {
    console.log("testing!!");
  }
};
