import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.BODY,
  name: "Body",
  description: "",
  thumbnail: {
    style: {
      background:
        theme.altColor[Math.floor(Math.random() * theme.altColor.length)],
      color: `rgb(255,255,255,0.85)`,
      fontFamily: "Roboto",
      fontSize: "8pt",
      textAlign: "center",
      paddingTop: 15,
    },
    icon: "message",
  },
  default: {
    type: ComponentTypes.BODY,
    // parent: false,
    properties: {
      backgroundColor: "#ffffff",
      backgroundImage: "none",
      height: "100%",
      backgroundAttachment: "scroll",
      backgroundSize: "contain",
      backgroundPosition: "center center",
      backgroundRepeat: "repeat-y",
    },
  },
  properties: {
    main: {
      sections: [
        {
          tab: "Basic",
          type: SectionTypes.BACKGROUND,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.PADDING,
          settings: {},
        },
      ],
    },
  },
};

export default settings;
