// It renders the component on the page
import * as React from "react";
import { render, screen } from "@testing-library/react";

import { Button } from "./live";
import settings from "./settings";

describe("Button (Rendering)", () => {
  it(`Should render on the page`, () => {
    const testId = "WC-BUTTON-LIVE";
    const { debug } = render(<Button {...settings.default} />);
    expect(screen.queryByTestId(testId)).toBeTruthy();
  });

  // - Build out the button properties
  //   - Need the ability to generate & mutate a single section only (without the property window)
  //   - Need the ability to pass in a custom section object ~
  //      - Just tap into the SectionTypes.CUSTOM and send in a custom section component using the Tools.Section component
  // - Custom Sections you have to build
  //   - Line 1 / Line 2 Caption Builder
  //   - Button Colors (& Hover Color)
  //   - Icon Search/Selector
  // - Reusable Components (Individual Property)
  //   - Icon Finder -- a grid of icons you can search through
});
