import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.CONTAINER,
  name: "Container",
  description: "",
  thumbnail: {
    style: {
      background:
        theme.altColor[Math.floor(Math.random() * theme.altColor.length)],
      color: `rgb(255,255,255,1)`,
      fontFamily: "Roboto",
      fontSize: "8pt",
      textAlign: "center",
      paddingTop: 7,
    },
    icon: "crop_landscape",
    iconStyle: {
      fontSize: "22pt",
    },
  },
  default: {
    type: ComponentTypes.CONTAINER,
    properties: {
      display: "inline-block",
      padding: 5,
    },
    canHaveChildren: true,
  },
  properties: {
    main: {
      tabs: ["Container", "Advanced"],
      sections: [
        {
          tab: "Container",
          type: SectionTypes.BACKGROUND,
          settings: {
            isExpanded: true,
          },
        },
        {
          tab: "Container",
          type: SectionTypes.WIDTHHEIGHT,
          settings: {},
        },
        {
          tab: "Container",
          type: SectionTypes.POSITIONPADDING,
          settings: {},
        },
        {
          tab: "Container",
          type: SectionTypes.ALIGNMENT,
          settings: {},
        },
        {
          tab: "Advanced",
          type: SectionTypes.BORDERSSHADOW,
          settings: {
            isExpanded: true,
          },
        },
        {
          tab: "Advanced",
          type: SectionTypes.ACTIONS,
          settings: {
            label: "Container Actions",
          },
        },
      ],
    },
  },
};

export default settings;
