# &lt;FormBuilderPropertyWindow /&gt; Component

## Description

The property window that shows for the FormBuilderEditorObject

## Checklist

This component should...

- (Rendering) Should render in the dom
- (Rendering) Should render the position section
- (Rendering) Should render the alignment section
- (Rendering) Should render the form item section
- (Rendering) Should render the field typography section with tabs for the label, the input field, and validation element
- (Rendering) Should render the field size (width/height) with tabs for the container and input field
- (Rendering) Should render the field border shadow with tabs for the container and input field
- (Rendering) Should render the field position padding with tabs for the container, label, input field, and validation element
- (Actions) Should trigger the handleFormBuilderChange() method when the <EditFormField /> component showing in the property window changes
- (Actions) Should update the <FormBuilder /> component in the canvas when handleFormBuilderChange is triggered
- (Actions) Should trigger the handleFieldSizeChange() method when the properties in the Field Size section changes
- (Actions) Should update the width and height of each field in the form builder when handleFieldSize is triggered
- (Actions) Should update the font size and family of each field in the form builder when handleFontChange is triggered
- (Actions) Should trigger the handleFieldPositionPaddingChange() method when the properties in the position padding section changes
- (Actions) Should update the margin and padding of each field in the form builder when handleFieldPositionPaddingChange is triggered
- (Actions) Should trigger the handleBorderShadowChange() method when the properties in the position & padding section changes
- (Actions) Should update the border settings of each field in the form builder when handleBorderShadowChange is triggered
- (Actions) Should trigger the handleFontChange() method when the properties in the font/typography section changes
- (Actions) Should update the font size and family of each field in the form builder when handleFontChange is triggered

## Usage

To install it...

> npm install @sandcastle/components

Add it to your project...

```
import * as React from 'react'
import * as FormBuilderPropertyWindow from '@sandcastle/components/FormBuilderPropertyWindow`

export default () => (
  <FormBuilderPropertyWindow

  />
)
```

## Best Practices

To do: Add any Best Practices here

## Lifecycle Hooks

To do: Add any Lifecycle Hooks here

## Related Components

To do: Add any Related Components here
