import * as React from "react";

import {
  EditorWithCustomData,
  sampleContentData,
} from "@sc/modules/page/Builder/Builder.stories";

import { EditorGoogleLoginButton } from "./component";
import GoogleLogin from "./live";
import settings from "./settings";

export default {
  title: "Plugins|Web Components/Simple/Google Login",
  component: GoogleLogin,
  subcomponents: { EditorGoogleLoginButton },
};

export const Default: React.FC = () => <GoogleLogin clientId="" />;

export const CustomStyling: React.FC = () => (
  <GoogleLogin
    clientId=""
    buttonSettings={{
      style: {
        backgroundColor: "green",
      },
      caption1: "Login using Google",
    }}
  />
);

export const InTheEditor: React.FC = () => {
  return (
    <EditorWithCustomData
      content={[
        { id: "CustomField", parent: "u5j1r64m5rf", ...settings.default },
        ...sampleContentData,
      ]}
    />
  );
};
