import * as React from "react";
import {
  withKnobs,
  text,
  object,
  boolean,
  select,
} from "@storybook/addon-knobs";

import HTML from "./component";
import { themeSettings } from "@sc/plugins/webcomponents/v2/theme";

import settings from "./settings";
import {
  sampleContentData,
  EditorWithCustomData,
} from "@sc/modules/page/Builder/Builder.stories";

export default {
  title: "Plugins|Web Components/Moderate/HTML",
  component: HTML,
  decorators: [withKnobs],
};

export const Default: React.FC = () => {
  return (
    <HTML
      style={{
        // backgroundColor: themeSettings.default.darkTextColor,
        padding: 20,
      }}
      html={text("Enter HTML", "HTML Content Goes Here")}
    />
  );
};

export const InTheEditor: React.FC = () => {
  return (
    <EditorWithCustomData
      content={[
        { id: "CustomField", parent: "u5j1r64m5rf", ...settings.default },
        ...sampleContentData,
      ]}
    />
  );
};
