import { SectionTypes } from "@sc/modules/v2/Properties/types";
// import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.IMAGE,
  name: "Image",
  description: "",
  thumbnail: "comp_picture.png",
  default: {
    type: ComponentTypes.IMAGE,
    src: "https://assets-pages.s3.amazonaws.com/drop_img-02.jpg",
    properties: {
      textAlign: "center",
      display: "inline-block",
      width: "100%",
    },
  },
  properties: {
    main: {
      tabs: ["Basic", "Advanced"],
      sections: [
        {
          tab: "Basic",
          type: SectionTypes.UPLOADGROUP,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.ACTIONS,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.WIDTHHEIGHT,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.POSITIONPADDING,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.ALIGNMENT,
          settings: {},
        },
        {
          tab: "Advanced",
          type: SectionTypes.BORDERSSHADOW,
          settings: {},
        },
      ],
    },
  },
};

export default settings;
