import * as React from "react";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

import { IconSource, IconTypes } from "../Icon/types";

export type ListItemType = {
  /**
   * Caption of the first line of the button
   **/
  id: string;
  caption?: string;
  style?: React.CSSProperties;
  iconStyle?: React.CSSProperties;
  contentStyle?: React.CSSProperties;
  iconSource?: IconSource;
  icon?: IconTypes;
};

export interface ListProps {
  mode?: EditorMode;
  id?: string;
  children?: React.ReactNode;
  style?: React.CSSProperties;
  iconStyle?: React.CSSProperties;
  contentStyle?: React.CSSProperties;
  icon?: IconTypes;
  iconSource?: IconSource;
  data: ListItemType[];
}

export interface ListBuilderProps extends ListProps {
  onChange: any;
}

export interface PluginProps extends EditorComponentProps {
  settings: ListProps;
}

export interface PropertiesProps extends EditorComponentProps {
  settings: any;
}
