import * as React from "react";

import { IconSource } from "../Icon/types";
import { EditorMode, EditorComponentProps } from "@sc/modules/v2/Editor/types";

export enum ListItemTypes {
  INLINE,
  BLOCK,
}

export interface ListItemProps {
  mode?: EditorMode;
  children?: React.ReactNode | string;
  style?: React.CSSProperties;
  properties?: React.CSSProperties;
  iconStyle?: React.CSSProperties;
  contentStyle?: React.CSSProperties;
  icon?: React.ReactNode | any;
  iconSource?: IconSource;
  type?: ListItemTypes;
  html?: JSX.Element | string;
}

export interface PluginProps extends EditorComponentProps {
  settings: ListItemProps;
  match?: any;
}
