import * as React from "react";

import {
  EditorWithCustomData,
  sampleContentData,
} from "@sc/modules/page/Builder/Builder.stories";

import { EditorProgress } from "./component";
import Progress from "./live";
import settings from "./settings";

export default {
  title: "Plugins|Web Components/Simple/Progress",
  component: Progress,
  subcomponents: { EditorProgress },
};

export const Default: React.FC = () => {
  return <Progress barStyle={{ height: 30 }} value={50} />;
};

export const InTheEditor: React.FC = () => {
  return (
    <EditorWithCustomData
      content={[
        { id: "CustomField", parent: "u5j1r64m5rf", ...settings.default },
        ...sampleContentData,
      ]}
    />
  );
};
