import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.REPEATER,
  name: "Repeater",
  description: "",
  thumbnail: {
    style: {
      background:
        theme.altColor[Math.floor(Math.random() * theme.altColor.length)],
      color: `rgb(255,255,255,0.85)`,
      fontFamily: "Roboto",
      fontSize: "8pt",
      textAlign: "center",
      paddingTop: 15,
    },
    icon: "repeat_one",
  },
  default: {
    type: ComponentTypes.REPEATER,
    html: "This is the version two Text Component",
    style: {
      display: "inline-block",
      padding: 5,
    },
  },
  properties: {
    main: {
      tabs: ["Basic", "Alignment"],
      sections: [
        {
          tab: "Basic",
          type: SectionTypes.LISTSORTABLE,
          settings: {},
        },
        {
          tab: "Advanced",
          type: SectionTypes.BORDERSSHADOW,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.POSITIONPADDING,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.ALIGNMENT,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.ACTIONS,
          settings: {},
        },
      ],
    },
  },
};

export default settings;
