import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";
import { ShareButtonTypes } from "./types";

const settings: IComponentSettings = {
  id: ComponentTypes.SHAREBUTTON,
  name: "Share",
  description: "",
  thumbnail: {
    style: {
      background:
        theme.altColor[Math.floor(Math.random() * theme.altColor.length)],
      color: `rgb(255,255,255,0.85)`,
      fontFamily: "Roboto",
      fontSize: "8pt",
      textAlign: "center",
      paddingTop: 15,
    },
    icon: "share",
  },
  default: {
    type: ComponentTypes.SHAREBUTTON,
    shareButtonType: ShareButtonTypes.FACEBOOK,
    subject: "This is the subject",
    content: "This is your content",
    url: "http://google.com",
    showShareCount: false,
    children: (props) => {
      // button settings
    },
  },
  properties: {
    main: {
      sections: [
        {
          tab: "Basic",
          type: SectionTypes.PRESETS,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.CAPTION,
          settings: {
            label: "Button Caption",
          },
        },
        {
          tab: "Basic",
          type: SectionTypes.TYPOGRAPHY,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.COLORPICKER,
          settings: {
            label: "Button Color",
          },
        },
        {
          tab: "Basic",
          type: SectionTypes.WIDTHHEIGHT,
          settings: {},
        },
        {
          type: SectionTypes.POSITIONPADDING,
          settings: {},
        },
        {
          type: SectionTypes.ALIGNMENT,
          settings: {},
        },
        {
          tab: "Advanced",
          type: SectionTypes.BORDERSSHADOW,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.ACTIONS,
          settings: {
            label: "Post Optin Actions",
          },
        },
      ],
    },
  },
};

export default settings;
