import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.STEPPER,
  name: "Stepper",
  description: "",
  thumbnail: {
    style: {
      background:
        theme.altColor[Math.floor(Math.random() * theme.altColor.length)],
      color: `rgb(255,255,255,0.85)`,
      fontFamily: "Roboto",
      fontSize: "8pt",
      textAlign: "center",
      paddingTop: 7,
    },
    icon: "linear_scale",
    iconStyle: {
      fontSize: "25pt",
    },
  },
  default: {
    type: ComponentTypes.STEPPER,
    html: "This is the version two Text Component",
    style: {
      display: "inline-block",
      padding: 5,
    },
  },
  properties: {
    main: {
      sections: [
        {
          tab: "Basic",
          type: SectionTypes.PRESETS,
          settings: {},
        },

        {
          tab: "Basic",
          type: SectionTypes.LISTSORTABLE,
          settings: {},
        },

        {
          tab: "Basic",
          type: SectionTypes.ACTIONS,
          settings: {},
        },
      ],
    },
  },
};

export default settings;
