import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.TABLE,
  name: "Table",
  description: "",
  thumbnail: "comp_table.png",
  default: {
    type: ComponentTypes.TABLE,
    html: "This is the version two Text Component",
    style: {
      display: "inline-block",
      padding: 5,
    },
  },
  properties: {
    main: {
      tabs: ["Basic", "Advanced"],
      sections: [
        {
          tab: "Basic",
          type: SectionTypes.DATATABLE,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.PRESETS,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.POSITIONPADDING,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.TYPOGRAPHY,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.WIDTHHEIGHT,
          settings: {},
        },
        {
          tab: "Basic",
          type: SectionTypes.ALIGNMENT,
          settings: {},
        },
        {
          tab: "Advanced",
          type: SectionTypes.BORDERSSHADOW,
          settings: {},
        },
        {
          tab: "Advanced",
          type: SectionTypes.ACTIONS,
          settings: {},
        },
      ],
    },
  },
};

export default settings;
