import { IComponentSettings, ComponentTypes } from "../types";
import { SectionTypes } from "@sc/modules/v2/Properties/types";

const settings: IComponentSettings = {
  id: ComponentTypes.TESTING,
  name: "Testing",
  thumbnail: {
    style: {
      background: "purple",
      color: "white",
      fontFamily: "Roboto",
      fontSize: "8pt",
      textAlign: "center",
      paddingTop: 15,
    },
    icon: "favorite",
  },
  default: {
    type: ComponentTypes.TESTING,
    properties: { fontSize: "32pt", color: "purple" },
  },
  properties: {
    main: {
      tabs: ["basic", "advanced"],
      sections: [
        {
          tab: "basic",
          type: SectionTypes.POSITIONPADDING,
          settings: {
            isExpanded: true,
          },
        },
        {
          tab: "advanced",
          type: SectionTypes.WIDTHHEIGHT,
          settings: {},
        },
      ],
    },
  },
};

export default settings;
