import { SectionTypes } from "@sc/modules/v2/Properties/types";
import theme from "@sc/components/ui/theme";
import { IComponentSettings, ComponentTypes } from "../types";

const settings: IComponentSettings = {
  id: ComponentTypes.TEXT,
  name: "Text",
  description: "",
  thumbnail: "comp_text.png",
  default: {
    type: "MyText",
    html: "This is the version two Text Component",
    properties: {
      display: "inline-block",
      fontSize: "11pt",
      fontWeight: "bold",
      padding: 20,
      backgroundColor: "lightyellow",
      textAlign: "center",
    },
  },
  properties: {
    main: {
      tabs: ["Basic", "Advanced"],
      sections: [
        {
          tab: "Basic",
          type: SectionTypes.TYPOGRAPHY,
          settings: {
            isExpanded: true,
          },
        },
        {
          tab: "Basic",
          type: SectionTypes.POSITIONPADDING,
        },
        {
          tab: "Basic",
          type: SectionTypes.ALIGNMENT,
          settings: { textAlign: true },
        },
        {
          tab: "Basic",
          type: SectionTypes.ACTIONS,
          caption: "Text Actions",
        },
      ],
    },
  },
};

export default settings;
